# -*- coding:utf-8 -*-
from table import Table, BoolField, NumberField, StringField
from restsql import RestSqlClient
from restsqldb import EnumDataBase
from middleware import RestSqlMiddleware
from peewee import SqliteDatabase
import pandas as pd


# test2 = {"select":{"from":"sngapm.df_rate","fields":["version","time_day"],"filter":{"time_day":"2020-03-11"},"group_by":["version"],"aggregation":["range_2_4__sum","range_4_8__sum","drop_monitor_ms__sum","range_0__sum","range_bigger__sum"],"sort":[]},"join":[{"type":"left_join","query":{"select":{"from":"sngapm.test","fields":[],"filter":{},"aggregation":[],"group_by":[]}},"on":{},"export":[]}],"sort":[],"fields":["version@版本","range_0__sum@range_0","range_1__sum@range_1","range_2_4__sum@range_2_4","range_4_8__sum@range_4_8","drop_monitor_ms__sum@drop_monitor_ms","(range_0__sum*16.7+range_1__sum*1.5*16.7+range_2_4__sum*16.7*3+range_4_8__sum*16.7*6)@dfrate"],"limit":1000}
# restsqlagent.query(query)

# from peewee import *
# db = SqliteDatabase('grafana.db')
# class User(Model):
#     login = TextField()
#     email = TextField()
#     password = TextField()
#     version = IntegerField()
#     is_admin = IntegerField()
#     company = TextField()
#
#     class Meta:
#         database = db
#         table_name = 'user'

# def peewee_test():
#     # results = User.select(User.company, fn.Sum(User.version).alias('version__sum')).group_by(User.company)
#     results = User.select(User.company, fn.sum(User.version).alias('version__sum')).group_by(User.company)
#     results2 = User.select(getattr(User, 'company'), getattr(User, 'version'))
#     for result in results:
#         print result.company, result.version__sum
#     print '***'
#     for result in results2:
#         print result.company, result.version



class TestMiddlerware(RestSqlMiddleware):
    @staticmethod
    def process_query(query):
        # 自定义处理过程
        if 'select' not in query:
            raise RuntimeError('Missing select field in query')


def restsql_test1():
    db_settings = [
        {
            'name': 'sqlite_test',
            'type': EnumDataBase.SQLITE,
            'host': 'grafana.db',
            'user': '',
            'schema': [User, OrgUser]
        }
    ]

    restsql = RestSqlClient(db_settings=db_settings, middlewares=[])

    test_query1 = {
        'select': {
            'from': 'user',
            'fields': ['version', 'login', 'email', 'password', 'company'],
            'filter': {'version__gte': 0, 'company': 'ff'},
            'aggregation': [],
            'group_by': []
        },
        'join': [],
        'sort': [],
        'fields': [],
        'limit': 200
    }
    test_query2 = {
        'select': {
            'from': 'user',
            'fields': ['version__sum', 'company'],
            'filter': {},
            'aggregation': [],
            'group_by': ['company']
        },
        'join': [],
        'sort': [],
        'fields': [],
        'limit': 200
    }

    test_query3 = {
        'select': {
            'from': 'user',
            'fields': ['id', 'version', 'login', 'email', 'password', 'company'],
            'filter': {'version__gte': 0, 'company': 'tt'},
            'aggregation': [],
            'group_by': []
        },
        'join': [
            {
                'type': 'left_join',
                'query': {
                    'select': {
                        'from': 'org_user',
                        'fields': ['user_id', 'role'],
                        'filter': {},
                        'aggregation': [],
                        'group_by': []
                    }
                },
                'on': {
                    'id': 'user_id'
                },
                'export': ['role@user_role']
            }
        ],
        'sort': [],
        'fields': [],
        'limit': 200
    }
    print restsql.query(test_query3)


class User(Table):
    table_name = 'user'
    fields = {
        'id': NumberField(),
        'version': NumberField(),
        'login': StringField(),
        'email': StringField(),
        'password': StringField(),
        'is_disabled': BoolField(),
        'company': StringField()
    }


class OrgUser(Table):
    table_name = 'org_user'
    fields = {
        'org_id': NumberField(),
        'user_id': NumberField(),
        'role': StringField()
    }


class DfLogTest(Table):
    table_name = 'df_log_android-2020-03-*'
    fields = {
        'zone': StringField(),
        'version': StringField(),
        'deviceid': StringField(),
        'is_translated': BoolField()
    }


class ProductInfo(Table):
    table_name = 'productinfo'
    fields = {
        'p_id': StringField(),
        'product_name': StringField(),
        'platform': StringField()
    }


class UserStat(Table):
    table_name = 'user_stat'
    fields = {
        'time_day': StringField(),
        'p_id': StringField(),
        'version': StringField(),
        'used': NumberField()
    }


def restsql_test():
    db_settings = [
        {
            'name': 'sqlite_test',
            'type': EnumDataBase.SQLITE,
            'host': 'grafana.db',
            'user': '',
            'tables': [User, OrgUser]
        },
        {
            'name': 'es_test',
            'type': EnumDataBase.ES,
            'host': '127.0.0.1:9200',
            'tables': [DfLogTest]
        },
        {
            'name': 'pg_test',
            'type': EnumDataBase.PG,
            'host': '129.204.126.21',
            'port': '5435',
            'user': 'root',
            'password': 'SnG987aPm',
            'db': 'sngapm_cloud_db',
            'schema': 'sngapm',
            'tables': [ProductInfo, UserStat]
        }
    ]

    restsql = RestSqlClient(db_settings=db_settings, middlewares=[])

    sqlite_query_test = {
        'select': {
            'from': 'sqlite_test.user',
            'fields': ['id', 'version', 'login', 'email', 'password', 'company'],
            'filter': {'version__gte': 0, 'company': 'tt'},
            'aggregation': [],
            'group_by': []
        },
        'join': [
            {
                'type': 'left_join',
                'query': {
                    'select': {
                        'from': 'sqlite_test.org_user',
                        'fields': ['user_id', 'role'],
                        'filter': {},
                        'aggregation': [],
                        'group_by': []
                    }
                },
                'on': {
                    'id': 'user_id'
                },
                'export': ['role@role']
            }
        ],
        'sort': [],
        'fields': ['id', 'version', 'login', 'email', 'password', 'company', 'role'],
        'limit': 200
    }

    pg_query_test = {
        'select': {
            'from': 'pg_test.user_stat',
            'fields': ['p_id'],
            'filter': {'time_day': '2020-04-03'},
            'aggregation': ['used__sum'],
            'group_by': ['p_id']
        },
        'join': [
            {
                'type': 'left_join',
                'query': {
                    'select': {
                        'from': 'pg_test.productinfo',
                        'fields': ['p_id', 'product_name', 'platform'],
                        'filter': {},
                        'aggregation': [],
                        'group_by': []
                    }
                },
                'export': ['p_id@id', 'product_name@name'],
                'on': {'p_id': 'id'}
            }

        ],
        'sort': ['-p_id'],
        'fields': ['p_id@id', 'name@name', 'platform@platform'],
        'limit': 200
    }

    es_query_test = {
        'select': {
            'from': 'es_test.df_log_android-2020-03-*',
            'fields': ['p_id'],
            'filter': {},
            'aggregation': ['cost_time__avg'],
            'group_by': ['p_id'],
            'limit': 1000
        },
        'join': [],
        'sort': [],
        'fields': ['p_id@id', 'cost_time@cost'],
        'limit': 200
    }

    # es_query_test = {
    #     'select': {
    #         'from': 'es_test.df_log_android-2020-03-*',
    #         'fields': ['zone', 'version', 'deviceid', 'is_translated'],
    #         'filter': {},
    #         'aggregation': [],
    #         'group_by': [],
    #         'limit': 1000
    #     },
    #     'join': [],
    #     'sort': [],
    #     'fields': ['zone', 'version', 'deviceid', 'is_translated'],
    #     'limit': 200
    # }

    restsql.query(es_query_test)


def pandas_test():
    person = [
        {
            'pid': 1,
            'name': 'venzo',
            'city': 'shenzhen'
        },
        {
            'pid': 2,
            'name': 'venzo2',
            'city': 'shenzhen'
        },
        {
            'pid': 3,
            'name': 'venzo',
            'city': 'shenzhen'
        },
        {
            'pid': 4,
            'name': 'venzo4',
            'city': 'shenzhen'
        },
        {
            'pid': 5,
            'name': 'venzo5',
            'city': 'shenzhen'
        },
    ]
    order = [
        {
            'oid': 1,
            'product': 'product1',
            'pid': 3
        },
        {
            'oid': 2,
            'product': 'product2',
            'pid': 1
        },
        {
            'oid': 3,
            'product': 'product3',
            'pid': 2
        },
        {
            'oid': 4,
            'product': 'product4',
            'pid': 1
        },
        {
            'oid': 4,
            'product': 'product4',
            'pid': 6
        }
    ]

    df1 = pd.DataFrame.from_records(person)
    # print df1

    df2 = pd.DataFrame(order)
    # print df2

    df3 = df1.merge(df2, left_on='pid', right_on='pid', how='inner')
    print df3


def pg_test():
    from peewee import PostgresqlDatabase
    from model import Model
    from peewee import TextField

    db = PostgresqlDatabase(
        'sngapm_cloud_db',
        user='root',
        password='SnG987aPm',
        host='129.204.126.21',
        port='5435'
    )

    class ProductInfo(Model):
        p_id = TextField(primary_key=True)
        product_name = TextField()
        class Meta:
            database = db
            schema = 'sngapm'
            table_name = 'productinfo'


    class JobBak(Model):
        command = TextField()
        jobid = IntegerField(primary_key=True)
        class Meta:
            database = db
            schema = 'public'
            table_name = 'jobbak'


    results = ProductInfo.filter(ProductInfo.p_id == 339)
    for result in results:
        print result.product_name

    results = JobBak.filter(JobBak.jobid == 40)
    for result in results:
        print result.command


def jsontest():
  #  a = {"TraceInfo":{"uber-trace-id":"17b0bdb3bfed7228:2f745d8214355a6b:7cb82b8e99aeaa29:0","uberctx-apm_identify":"2bebe746-07e4-4d63-872d-97044efc9f78","uberctx-deviceid":"C8139E9E-977C-47D9-82DA-46FF579D7350","uberctx-file_path":"http://sngapmpublic-1253358381.cosgz.myqcloud.com/entrance/1820/2/2020-03-30/2bebe746-07e4-4d63-872d-97044efc9f78","uberctx-pid":"1820","uberctx-plugin":"2","uberctx-sdk_ver":"3.2.3","uberctx-uin":"AKIDdokPKzgYQ6gjXgoGzSoBKCLGxOaRJjxP","uberctx-vip":"false"},"api_ver":1,"apm_entrance_filename":"filename","apm_entrance_filepath":"http://sngapmpublic-1253358381.cosgz.myqcloud.com/entrance/1820/2/2020-03-30/2bebe746-07e4-4d63-872d-97044efc9f78","apm_entrance_filesize":1183,"apm_entrance_status":1001,"apm_entrance_time":"2020-03-30T10:53:37.187+0800","apm_identify":"2bebe746-07e4-4d63-872d-97044efc9f78","apm_translate_summary":"itrans_msg: [4] TransItemList.translate.TranslateSymbol(a739017e-7231-11ea-a7e9-32a2a4b7bb32), has some error: GetSymbolBlockKeysOfAddressList. error: config.symbolIndexMod not init. config: {identify:{pid:1820 rdmuuid:61566304-41d7-49a1-8780-97732f3e05f8 arch:arm64 name:QCloudCOSBrowser allNames:[QCloudCOSBrowser] version: osBuild:16G161 sysNames:[libsystem_kernel.dylib libdispatch.dylib FrontBoardServices UIKitCore QuartzCore IOKit CoreFoundation GraphicsServices libdyld.dylib libsystem_pthread.dylib]} tr","arch":"arm64","bread_crumb_id":"","client_identify":"2CF96E9F-DF66-44D4-BC2B-B1F34CF7C420","cost_time":743.5880000000001,"cputype":"arm64","device":"iPhone7,2","device_classification":"0","deviceid":"C8139E9E-977C-47D9-82DA-46FF579D7350","event_time":"2020-03-30T10:53:37.187+0800","ip":"183.95.250.9","is_dyeing":false,"is_translated":false,"is_vip":false,"operator":"联通/基站WiFi","os":"Version 12.4.5 (Build 16G161)","p_id":1820,"plugin":2,"plugin_ver":1,"q":"0","rawstack":{"time_slices":[{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"0","calls":[],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"1","calls":[],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"2","calls":[],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"3","calls":[],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"4","calls":[],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"5","calls":[],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"6","calls":[],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"7","calls":["1 libsystem_kernel.dylib 0x1c0de8000 0x1c0e00130","2 libdispatch.dylib 0x1c0c4d000 0x1c0c4f7a0","3 libdispatch.dylib 0x1c0c4d000 0x1c0c50220","4 FrontBoardServices 0x1c3be0000 0x1c3bf3eec","5 UIKitCore 0x1ed1a0000 0x1eda56604","6 UIKitCore 0x1ed1a0000 0x1eda9e2e0","7 QuartzCore 0x1c566e000 0x1c57145c0","8 QuartzCore 0x1c566e000 0x1c5742620","9 QuartzCore 0x1c566e000 0x1c56800f4","10 IOKit 0x1c14c7000 0x1c14cc4b0","11 CoreFoundation 0x1c1156000 0x1c11da990","12 CoreFoundation 0x1c1156000 0x1c1201594","13 CoreFoundation 0x1c1156000 0x1c1200ce0","14 CoreFoundation 0x1c1156000 0x1c11fbb04","15 CoreFoundation 0x1c1156000 0x1c11fafb4","16 GraphicsServices 0x1c33f2000 0x1c33fc79c","17 UIKitCore 0x1ed1a0000 0x1eda5cc38","18 QCloudCOSBrowser 0x100424000 0x1004a1aa0","19 libdyld.dylib 0x1c0cbd000 0x1c0cbe8e0"],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"8","calls":["1 libsystem_kernel.dylib 0x1c0de8000 0x1c0e0c93c","2 libdispatch.dylib 0x1c0c4d000 0x1c0c6bbf4","3 libdispatch.dylib 0x1c0c4d000 0x1c0c6b118","4 FrontBoardServices 0x1c3be0000 0x1c3c10fb0","5 FrontBoardServices 0x1c3be0000 0x1c3c109b8","6 FrontBoardServices 0x1c3be0000 0x1c3bea550","7 FrontBoardServices 0x1c3be0000 0x1c3c243e4","8 FrontBoardServices 0x1c3be0000 0x1c3bea1c0","9 FrontBoardServices 0x1c3be0000 0x1c3bea790","10 UIKitCore 0x1ed1a0000 0x1ed655ae4","11 UIKitCore 0x1ed1a0000 0x1eda5eed4","12 UIKitCore 0x1ed1a0000 0x1eda5ee38","13 UIKitCore 0x1ed1a0000 0x1ed4d3490","14 UIKitCore 0x1ed1a0000 0x1ed4d3464","15 UIKitCore 0x1ed1a0000 0x1ed4d3490","16 UIKitCore 0x1ed1a0000 0x1ed4d3490","17 UIKitCore 0x1ed1a0000 0x1ed4d3490","18 UIKitCore 0x1ed1a0000 0x1eddf92a8","19 CoreFoundation 0x1c1156000 0x1c1276800","20 CoreFoundation 0x1c1156000 0x1c11583c0","21 libdispatch.dylib 0x1c0c4d000 0x1c0cad7d4","22 libdispatch.dylib 0x1c0c4d000 0x1c0c525dc","23 FrontBoardServices 0x1c3be0000 0x1c3c26040","24 FrontBoardServices 0x1c3be0000 0x1c3c25cdc","25 FrontBoardServices 0x1c3be0000 0x1c3bf3d6c","26 UIKitCore 0x1ed1a0000 0x1eda56604","27 UIKitCore 0x1ed1a0000 0x1eda9e2e0","28 QuartzCore 0x1c566e000 0x1c57145c0","29 QuartzCore 0x1c566e000 0x1c5742620","30 QuartzCore 0x1c566e000 0x1c56800f4","31 IOKit 0x1c14c7000 0x1c14cc4b0","32 CoreFoundation 0x1c1156000 0x1c11da990","33 CoreFoundation 0x1c1156000 0x1c1201594","34 CoreFoundation 0x1c1156000 0x1c1200ce0","35 CoreFoundation 0x1c1156000 0x1c11fbb04","36 CoreFoundation 0x1c1156000 0x1c11fafb4","37 GraphicsServices 0x1c33f2000 0x1c33fc79c","38 UIKitCore 0x1ed1a0000 0x1eda5cc38","39 QCloudCOSBrowser 0x100424000 0x1004a1aa0","40 libdyld.dylib 0x1c0cbd000 0x1c0cbe8e0"],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"9","calls":[],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"10","calls":[],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"11","calls":[],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"12","calls":[],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"13","calls":[],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"14","calls":[],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"15","calls":[],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"16","calls":[],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"17","calls":[],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"18","calls":[],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"19","calls":[],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"20","calls":[],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"21","calls":[],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"22","calls":[],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"23","calls":[],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"24","calls":[],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"25","calls":[],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"26","calls":[],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"27","calls":[],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"28","calls":[],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"29","calls":["1 libsystem_kernel.dylib 0x1c0de8000 0x1c0e00130","2 libdispatch.dylib 0x1c0c4d000 0x1c0c4f7a0","3 libdispatch.dylib 0x1c0c4d000 0x1c0c50220","4 FrontBoardServices 0x1c3be0000 0x1c3bf3eec","5 UIKitCore 0x1ed1a0000 0x1eda56604","6 UIKitCore 0x1ed1a0000 0x1eda9e2e0","7 QuartzCore 0x1c566e000 0x1c57145c0","8 QuartzCore 0x1c566e000 0x1c5742620","9 QuartzCore 0x1c566e000 0x1c56800f4","10 IOKit 0x1c14c7000 0x1c14cc4b0","11 CoreFoundation 0x1c1156000 0x1c11da990","12 CoreFoundation 0x1c1156000 0x1c1201594","13 CoreFoundation 0x1c1156000 0x1c1200ce0","14 CoreFoundation 0x1c1156000 0x1c11fbb04","15 CoreFoundation 0x1c1156000 0x1c11fafb4","16 GraphicsServices 0x1c33f2000 0x1c33fc79c","17 UIKitCore 0x1ed1a0000 0x1eda5cc38","18 QCloudCOSBrowser 0x100424000 0x1004a1aa0","19 libdyld.dylib 0x1c0cbd000 0x1c0cbe8e0"],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"30","calls":[],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"31","calls":[],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"32","calls":[],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"33","calls":[],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"34","calls":[],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"35","calls":[],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"36","calls":[],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"37","calls":[],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"38","calls":[],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"39","calls":[],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"40","calls":[],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"41","calls":[],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"42","calls":[],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"43","calls":["1 libsystem_kernel.dylib 0x1c0de8000 0x1c0e000f4","2 libsystem_kernel.dylib 0x1c0de8000 0x1c0dff5a0","3 QuartzCore 0x1c566e000 0x1c5714a20","4 QuartzCore 0x1c566e000 0x1c5742620","5 QuartzCore 0x1c566e000 0x1c56800f4","6 IOKit 0x1c14c7000 0x1c14cc4b0","7 CoreFoundation 0x1c1156000 0x1c11da990","8 CoreFoundation 0x1c1156000 0x1c1201594","9 CoreFoundation 0x1c1156000 0x1c1200ce0","10 CoreFoundation 0x1c1156000 0x1c11fbb04","11 CoreFoundation 0x1c1156000 0x1c11fafb4","12 GraphicsServices 0x1c33f2000 0x1c33fc79c","13 UIKitCore 0x1ed1a0000 0x1eda5cc38","14 QCloudCOSBrowser 0x100424000 0x1004a1aa0","15 libdyld.dylib 0x1c0cbd000 0x1c0cbe8e0"],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"44","calls":["1 libsystem_kernel.dylib 0x1c0de8000 0x1c0e09ecc","2 libsystem_pthread.dylib 0x1c0e82000 0x1c0e8f540","3 libdispatch.dylib 0x1c0c4d000 0x1c0c51234","4 libdispatch.dylib 0x1c0c4d000 0x1c0c5136c","5 libdispatch.dylib 0x1c0c4d000 0x1c0c526a8","6 FrontBoardServices 0x1c3be0000 0x1c3c26040","7 FrontBoardServices 0x1c3be0000 0x1c3c25cdc","8 FrontBoardServices 0x1c3be0000 0x1c3c26294","9 CoreFoundation 0x1c1156000 0x1c1200f1c","10 CoreFoundation 0x1c1156000 0x1c1200e9c","11 CoreFoundation 0x1c1156000 0x1c1200784","12 CoreFoundation 0x1c1156000 0x1c11fb6c0","13 CoreFoundation 0x1c1156000 0x1c11fafb4","14 GraphicsServices 0x1c33f2000 0x1c33fc79c","15 UIKitCore 0x1ed1a0000 0x1eda5cc38","16 QCloudCOSBrowser 0x100424000 0x1004a1aa0","17 libdyld.dylib 0x1c0cbd000 0x1c0cbe8e0"],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]}]},"rdmuuid":"61566304-41d7-49a1-8780-97732f3e05f8","region":"武汉","sdk_ver":"3.2.3","stack":{"time_slices":[{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"0","calls":[],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"1","calls":[],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"2","calls":[],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"3","calls":[],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"4","calls":[],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"5","calls":[],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"6","calls":[],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"7","calls":["1 libsystem_kernel.dylib 0x1c0de8000 0x1c0e00130","2 libdispatch.dylib 0x1c0c4d000 0x1c0c4f7a0","3 libdispatch.dylib 0x1c0c4d000 0x1c0c50220","4 FrontBoardServices 0x1c3be0000 0x1c3bf3eec","5 UIKitCore 0x1ed1a0000 0x1eda56604","6 UIKitCore 0x1ed1a0000 0x1eda9e2e0","7 QuartzCore 0x1c566e000 0x1c57145c0","8 QuartzCore 0x1c566e000 0x1c5742620","9 QuartzCore 0x1c566e000 0x1c56800f4","10 IOKit 0x1c14c7000 0x1c14cc4b0","11 CoreFoundation 0x1c1156000 0x1c11da990","12 CoreFoundation 0x1c1156000 0x1c1201594","13 CoreFoundation 0x1c1156000 0x1c1200ce0","14 CoreFoundation 0x1c1156000 0x1c11fbb04","15 CoreFoundation 0x1c1156000 0x1c11fafb4","16 GraphicsServices 0x1c33f2000 0x1c33fc79c","17 UIKitCore 0x1ed1a0000 0x1eda5cc38","18 QCloudCOSBrowser 0x100424000 0x1004a1aa0","19 libdyld.dylib 0x1c0cbd000 0x1c0cbe8e0"],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"8","calls":["1 libsystem_kernel.dylib 0x1c0de8000 0x1c0e0c93c","2 libdispatch.dylib 0x1c0c4d000 0x1c0c6bbf4","3 libdispatch.dylib 0x1c0c4d000 0x1c0c6b118","4 FrontBoardServices 0x1c3be0000 0x1c3c10fb0","5 FrontBoardServices 0x1c3be0000 0x1c3c109b8","6 FrontBoardServices 0x1c3be0000 0x1c3bea550","7 FrontBoardServices 0x1c3be0000 0x1c3c243e4","8 FrontBoardServices 0x1c3be0000 0x1c3bea1c0","9 FrontBoardServices 0x1c3be0000 0x1c3bea790","10 UIKitCore 0x1ed1a0000 0x1ed655ae4","11 UIKitCore 0x1ed1a0000 0x1eda5eed4","12 UIKitCore 0x1ed1a0000 0x1eda5ee38","13 UIKitCore 0x1ed1a0000 0x1ed4d3490","14 UIKitCore 0x1ed1a0000 0x1ed4d3464","15 UIKitCore 0x1ed1a0000 0x1ed4d3490","16 UIKitCore 0x1ed1a0000 0x1ed4d3490","17 UIKitCore 0x1ed1a0000 0x1ed4d3490","18 UIKitCore 0x1ed1a0000 0x1eddf92a8","19 CoreFoundation 0x1c1156000 0x1c1276800","20 CoreFoundation 0x1c1156000 0x1c11583c0","21 libdispatch.dylib 0x1c0c4d000 0x1c0cad7d4","22 libdispatch.dylib 0x1c0c4d000 0x1c0c525dc","23 FrontBoardServices 0x1c3be0000 0x1c3c26040","24 FrontBoardServices 0x1c3be0000 0x1c3c25cdc","25 FrontBoardServices 0x1c3be0000 0x1c3bf3d6c","26 UIKitCore 0x1ed1a0000 0x1eda56604","27 UIKitCore 0x1ed1a0000 0x1eda9e2e0","28 QuartzCore 0x1c566e000 0x1c57145c0","29 QuartzCore 0x1c566e000 0x1c5742620","30 QuartzCore 0x1c566e000 0x1c56800f4","31 IOKit 0x1c14c7000 0x1c14cc4b0","32 CoreFoundation 0x1c1156000 0x1c11da990","33 CoreFoundation 0x1c1156000 0x1c1201594","34 CoreFoundation 0x1c1156000 0x1c1200ce0","35 CoreFoundation 0x1c1156000 0x1c11fbb04","36 CoreFoundation 0x1c1156000 0x1c11fafb4","37 GraphicsServices 0x1c33f2000 0x1c33fc79c","38 UIKitCore 0x1ed1a0000 0x1eda5cc38","39 QCloudCOSBrowser 0x100424000 0x1004a1aa0","40 libdyld.dylib 0x1c0cbd000 0x1c0cbe8e0"],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"9","calls":[],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"10","calls":[],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"11","calls":[],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"12","calls":[],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"13","calls":[],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"14","calls":[],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"15","calls":[],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"16","calls":[],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"17","calls":[],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"18","calls":[],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"19","calls":[],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"20","calls":[],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"21","calls":[],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"22","calls":[],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"23","calls":[],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"24","calls":[],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"25","calls":[],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"26","calls":[],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"27","calls":[],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"28","calls":[],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"29","calls":["1 libsystem_kernel.dylib 0x1c0de8000 0x1c0e00130","2 libdispatch.dylib 0x1c0c4d000 0x1c0c4f7a0","3 libdispatch.dylib 0x1c0c4d000 0x1c0c50220","4 FrontBoardServices 0x1c3be0000 0x1c3bf3eec","5 UIKitCore 0x1ed1a0000 0x1eda56604","6 UIKitCore 0x1ed1a0000 0x1eda9e2e0","7 QuartzCore 0x1c566e000 0x1c57145c0","8 QuartzCore 0x1c566e000 0x1c5742620","9 QuartzCore 0x1c566e000 0x1c56800f4","10 IOKit 0x1c14c7000 0x1c14cc4b0","11 CoreFoundation 0x1c1156000 0x1c11da990","12 CoreFoundation 0x1c1156000 0x1c1201594","13 CoreFoundation 0x1c1156000 0x1c1200ce0","14 CoreFoundation 0x1c1156000 0x1c11fbb04","15 CoreFoundation 0x1c1156000 0x1c11fafb4","16 GraphicsServices 0x1c33f2000 0x1c33fc79c","17 UIKitCore 0x1ed1a0000 0x1eda5cc38","18 QCloudCOSBrowser 0x100424000 0x1004a1aa0","19 libdyld.dylib 0x1c0cbd000 0x1c0cbe8e0"],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"30","calls":[],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"31","calls":[],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"32","calls":[],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"33","calls":[],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"34","calls":[],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"35","calls":[],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"36","calls":[],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"37","calls":[],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"38","calls":[],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"39","calls":[],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"40","calls":[],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"41","calls":[],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"42","calls":[],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"43","calls":["1 libsystem_kernel.dylib 0x1c0de8000 0x1c0e000f4","2 libsystem_kernel.dylib 0x1c0de8000 0x1c0dff5a0","3 QuartzCore 0x1c566e000 0x1c5714a20","4 QuartzCore 0x1c566e000 0x1c5742620","5 QuartzCore 0x1c566e000 0x1c56800f4","6 IOKit 0x1c14c7000 0x1c14cc4b0","7 CoreFoundation 0x1c1156000 0x1c11da990","8 CoreFoundation 0x1c1156000 0x1c1201594","9 CoreFoundation 0x1c1156000 0x1c1200ce0","10 CoreFoundation 0x1c1156000 0x1c11fbb04","11 CoreFoundation 0x1c1156000 0x1c11fafb4","12 GraphicsServices 0x1c33f2000 0x1c33fc79c","13 UIKitCore 0x1ed1a0000 0x1eda5cc38","14 QCloudCOSBrowser 0x100424000 0x1004a1aa0","15 libdyld.dylib 0x1c0cbd000 0x1c0cbe8e0"],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]},{"duration":0.01666,"threads":[{"name":"0","frame":{"name":"44","calls":["1 libsystem_kernel.dylib 0x1c0de8000 0x1c0e09ecc","2 libsystem_pthread.dylib 0x1c0e82000 0x1c0e8f540","3 libdispatch.dylib 0x1c0c4d000 0x1c0c51234","4 libdispatch.dylib 0x1c0c4d000 0x1c0c5136c","5 libdispatch.dylib 0x1c0c4d000 0x1c0c526a8","6 FrontBoardServices 0x1c3be0000 0x1c3c26040","7 FrontBoardServices 0x1c3be0000 0x1c3c25cdc","8 FrontBoardServices 0x1c3be0000 0x1c3c26294","9 CoreFoundation 0x1c1156000 0x1c1200f1c","10 CoreFoundation 0x1c1156000 0x1c1200e9c","11 CoreFoundation 0x1c1156000 0x1c1200784","12 CoreFoundation 0x1c1156000 0x1c11fb6c0","13 CoreFoundation 0x1c1156000 0x1c11fafb4","14 GraphicsServices 0x1c33f2000 0x1c33fc79c","15 UIKitCore 0x1ed1a0000 0x1eda5cc38","16 QCloudCOSBrowser 0x100424000 0x1004a1aa0","17 libdyld.dylib 0x1c0cbd000 0x1c0cbe8e0"],"value":0,"constructed_calls":[]},"cpu_usage":-1,"stack_type":"","malloc_size":-1,"malloc_count":-1}]}]},"stage":"others","time_day":"20200330","timecost":"0.743588","uin":"AKIDdokPKzgYQ6gjXgoGzSoBKCLGxOaRJjxP","user_classification":"0","version":"2.0.3"}
    b = {u'apm_entrance_filename': u'filename', u'apm_entrance_status': 1001, u'api_ver': 1, u'apm_entrance_filepath': u'http://sngapmpublic-1253358381.cosgz.myqcloud.com/entrance/1820/2/2020-04-01/d88f989f-9036-4fe2-bbd5-c01463f60460', u'uin': u'AKIDeGk4DAOXxCF7oJenmcJpAKJ7nKhspjOt', u'time_day': u'20200401', u'sdk_ver': u'3.2.6', u'operator': u'\u7535\u4fe1', u'rawstack': {u'time_slices': [{u'duration': 0.01666, u'threads': [{u'cpu_usage': -1, u'name': u'0', u'frame': {u'value': 0, u'name': u'0', u'calls': [u'1 libsystem_c.dylib 0x1b0ae6000 0x1b0b32ecc', u'2 libsystem_trace.dylib 0x1b0a9c000 0x1b0aa3ab8', u'3 libsystem_trace.dylib 0x1b0a9c000 0x1b0aaba38', u'4 libsystem_trace.dylib 0x1b0a9c000 0x1b0aaab5c', u'5 libsystem_trace.dylib 0x1b0a9c000 0x1b0aacaa0', u'6 CoreFoundation 0x1b0dc7000 0x1b0edf77c', u'7 Foundation 0x1b11a3000 0x1b12bf718', u'8 Foundation 0x1b11a3000 0x1b12bf75c', u'9 QCloudCOSBrowser 0x1001b8000 0x1002be5f0', u'10 QCloudCOSBrowser 0x1001b8000 0x1006b433c', u'11 QCloudCOSBrowser 0x1001b8000 0x1006b2bb4', u'12 QCloudCOSBrowser 0x1001b8000 0x1006a5994', u'13 QCloudCOSBrowser 0x1001b8000 0x1006a4f84', u'14 QCloudCOSBrowser 0x1001b8000 0x1002bef10', u'15 QCloudCOSBrowser 0x1001b8000 0x1002fa4a4', u'16 UIKitCore 0x1b4575000 0x1b4f6eee4', u'17 UIKitCore 0x1b4575000 0x1b4f70ca0', u'18 UIKitCore 0x1b4575000 0x1b4f7642c', u'19 UIKitCore 0x1b4575000 0x1b4743208', u'20 UIKitCore 0x1b4575000 0x1b4bd9698', u'21 UIKitCore 0x1b4575000 0x1b4743cf0', u'22 UIKitCore 0x1b4575000 0x1b4743748', u'23 UIKitCore 0x1b4575000 0x1b4743b1c', u'24 UIKitCore 0x1b4575000 0x1b47433d8', u'25 UIKitCore 0x1b4575000 0x1b47478c4', u'26 UIKitCore 0x1b4575000 0x1b4b0af08', u'27 UIKitCore 0x1b4575000 0x1b4bf2c84', u'28 UIKitCore 0x1b4575000 0x1b47475fc', u'29 UIKitCore 0x1b4575000 0x1b4bf2b80', u'30 UIKitCore 0x1b4575000 0x1b4747468', u'31 UIKitCore 0x1b4575000 0x1b45b92c0', u'32 UIKitCore 0x1b4575000 0x1b45b7e28', u'33 UIKitCore 0x1b4575000 0x1b45b8ff8', u'34 UIKitCore 0x1b4575000 0x1b4f747e4', u'35 UIKitCore 0x1b4575000 0x1b4b2b900', u'36 FrontBoardServices 0x1b6019000 0x1b60257a0', u'37 FrontBoardServices 0x1b6019000 0x1b604a838', u'38 FrontBoardServices 0x1b6019000 0x1b602ff04', u'39 FrontBoardServices 0x1b6019000 0x1b604a4f4', u'40 libdispatch.dylib 0x100e38000 0x100e3ebd8', u'41 libdispatch.dylib 0x100e38000 0x100e41ffc', u'42 FrontBoardServices 0x1b6019000 0x1b606f418', u'43 FrontBoardServices 0x1b6019000 0x1b606f0e4', u'44 FrontBoardServices 0x1b6019000 0x1b606f60c', u'45 CoreFoundation 0x1b0dc7000 0x1b0e70a00', u'46 CoreFoundation 0x1b0dc7000 0x1b0e70958', u'47 CoreFoundation 0x1b0dc7000 0x1b0e70140', u'48 CoreFoundation 0x1b0dc7000 0x1b0e6b23c', u'49 CoreFoundation 0x1b0dc7000 0x1b0e6aadc', u'50 GraphicsServices 0x1bae08000 0x1bae0b328', u'51 UIKitCore 0x1b4575000 0x1b4f7863c', u'52 QCloudCOSBrowser 0x1001b8000 0x1002a991c', u'53 libdyld.dylib 0x1b0cf3000 0x1b0cf4360'], u'constructed_calls': []}, u'malloc_size': -1, u'malloc_count': -1, u'stack_type': u''}]}, {u'duration': 0.01666, u'threads': [{u'cpu_usage': -1, u'name': u'0', u'frame': {u'value': 0, u'name': u'1', u'calls': [u'1 unkonwn 0x100fa6004', u'2 unkonwn 0x100fab9e0', u'3 unkonwn 0x100fa13bc', u'4 unkonwn 0x100fa8348', u'5 libdyld.dylib 0x1b0cf3000 0x1b0cf8460', u'6 CFNetwork 0x1b4133000 0x1b42dc4ec', u'7 libdispatch.dylib 0x100e38000 0x100e3ebd8', u'8 libdispatch.dylib 0x100e38000 0x100e404c8', u'9 CFNetwork 0x1b4133000 0x1b42dc4b4', u'10 CFNetwork 0x1b4133000 0x1b413c6f0', u'11 CFNetwork 0x1b4133000 0x1b4143648', u'12 CFNetwork 0x1b4133000 0x1b4371c50', u'13 libdispatch.dylib 0x100e38000 0x100e3ebd8', u'14 libdispatch.dylib 0x100e38000 0x100e404c8', u'15 CFNetwork 0x1b4133000 0x1b4371a94', u'16 CFNetwork 0x1b4133000 0x1b42eae64', u'17 libdispatch.dylib 0x100e38000 0x100e3ebd8', u'18 libdispatch.dylib 0x100e38000 0x100e404c8', u'19 CFNetwork 0x1b4133000 0x1b4148f08', u'20 QCloudCOSBrowser 0x1001b8000 0x100209034', u'21 QCloudCOSBrowser 0x1001b8000 0x1002d8c58', u'22 QCloudCOSBrowser 0x1001b8000 0x1002df9e4', u'23 QCloudCOSBrowser 0x1001b8000 0x1002be4a8', u'24 QCloudCOSBrowser 0x1001b8000 0x1002be59c', u'25 QCloudCOSBrowser 0x1001b8000 0x1002be514', u'26 QCloudCOSBrowser 0x1001b8000 0x1002bfa0c', u'27 QCloudCOSBrowser 0x1001b8000 0x1002befa0', u'28 QCloudCOSBrowser 0x1001b8000 0x1002fa4a4', u'29 UIKitCore 0x1b4575000 0x1b4f6eee4', u'30 UIKitCore 0x1b4575000 0x1b4f70ca0', u'31 UIKitCore 0x1b4575000 0x1b4f7642c', u'32 UIKitCore 0x1b4575000 0x1b4743208', u'33 UIKitCore 0x1b4575000 0x1b4bd9698', u'34 UIKitCore 0x1b4575000 0x1b4743cf0', u'35 UIKitCore 0x1b4575000 0x1b4743748', u'36 UIKitCore 0x1b4575000 0x1b4743b1c', u'37 UIKitCore 0x1b4575000 0x1b47433d8', u'38 UIKitCore 0x1b4575000 0x1b47478c4', u'39 UIKitCore 0x1b4575000 0x1b4b0af08', u'40 UIKitCore 0x1b4575000 0x1b4bf2c84', u'41 UIKitCore 0x1b4575000 0x1b47475fc', u'42 UIKitCore 0x1b4575000 0x1b4bf2b80', u'43 UIKitCore 0x1b4575000 0x1b4747468', u'44 UIKitCore 0x1b4575000 0x1b45b92c0', u'45 UIKitCore 0x1b4575000 0x1b45b7e28', u'46 UIKitCore 0x1b4575000 0x1b45b8ff8', u'47 UIKitCore 0x1b4575000 0x1b4f747e4', u'48 UIKitCore 0x1b4575000 0x1b4b2b900', u'49 FrontBoardServices 0x1b6019000 0x1b60257a0', u'50 FrontBoardServices 0x1b6019000 0x1b604a838', u'51 FrontBoardServices 0x1b6019000 0x1b602ff04', u'52 FrontBoardServices 0x1b6019000 0x1b604a4f4', u'53 libdispatch.dylib 0x100e38000 0x100e3ebd8', u'54 libdispatch.dylib 0x100e38000 0x100e41ffc', u'55 FrontBoardServices 0x1b6019000 0x1b606f418', u'56 FrontBoardServices 0x1b6019000 0x1b606f0e4', u'57 FrontBoardServices 0x1b6019000 0x1b606f60c', u'58 CoreFoundation 0x1b0dc7000 0x1b0e70a00', u'59 CoreFoundation 0x1b0dc7000 0x1b0e70958', u'60 CoreFoundation 0x1b0dc7000 0x1b0e70140', u'61 CoreFoundation 0x1b0dc7000 0x1b0e6b23c', u'62 CoreFoundation 0x1b0dc7000 0x1b0e6aadc', u'63 GraphicsServices 0x1bae08000 0x1bae0b328', u'64 UIKitCore 0x1b4575000 0x1b4f7863c', u'65 QCloudCOSBrowser 0x1001b8000 0x1002a991c', u'66 libdyld.dylib 0x1b0cf3000 0x1b0cf4360'], u'constructed_calls': []}, u'malloc_size': -1, u'malloc_count': -1, u'stack_type': u''}]}, {u'duration': 0.01666, u'threads': [{u'cpu_usage': -1, u'name': u'0', u'frame': {u'value': 0, u'name': u'2', u'calls': [u'1 libsystem_kernel.dylib 0x1b0cc5000 0x1b0cec264', u'2 CoreFoundation 0x1b0dc7000 0x1b0e3e73c', u'3 CoreFoundation 0x1b0dc7000 0x1b0ec6dd8', u'4 CoreFoundation 0x1b0dc7000 0x1b0ede5d0', u'5 CoreFoundation 0x1b0dc7000 0x1b0f31a24', u'6 Foundation 0x1b11a3000 0x1b11bd7e8', u'7 UIKitCore 0x1b4575000 0x1b4fdfcb4', u'8 UIKitCore 0x1b4575000 0x1b4fe0088', u'9 QCloudCOSBrowser 0x1001b8000 0x1001cc3e4', u'10 QCloudCOSBrowser 0x1001b8000 0x1001cec98', u'11 QCloudCOSBrowser 0x1001b8000 0x1002d8ee0', u'12 QCloudCOSBrowser 0x1001b8000 0x1003e2200', u'13 QCloudCOSBrowser 0x1001b8000 0x1002be52c', u'14 QCloudCOSBrowser 0x1001b8000 0x1002bfa0c', u'15 QCloudCOSBrowser 0x1001b8000 0x1002befa0', u'16 QCloudCOSBrowser 0x1001b8000 0x1002fa4a4', u'17 UIKitCore 0x1b4575000 0x1b4f6eee4', u'18 UIKitCore 0x1b4575000 0x1b4f70ca0', u'19 UIKitCore 0x1b4575000 0x1b4f7642c', u'20 UIKitCore 0x1b4575000 0x1b4743208', u'21 UIKitCore 0x1b4575000 0x1b4bd9698', u'22 UIKitCore 0x1b4575000 0x1b4743cf0', u'23 UIKitCore 0x1b4575000 0x1b4743748', u'24 UIKitCore 0x1b4575000 0x1b4743b1c', u'25 UIKitCore 0x1b4575000 0x1b47433d8', u'26 UIKitCore 0x1b4575000 0x1b47478c4', u'27 UIKitCore 0x1b4575000 0x1b4b0af08', u'28 UIKitCore 0x1b4575000 0x1b4bf2c84', u'29 UIKitCore 0x1b4575000 0x1b47475fc', u'30 UIKitCore 0x1b4575000 0x1b4bf2b80', u'31 UIKitCore 0x1b4575000 0x1b4747468', u'32 UIKitCore 0x1b4575000 0x1b45b92c0', u'33 UIKitCore 0x1b4575000 0x1b45b7e28', u'34 UIKitCore 0x1b4575000 0x1b45b8ff8', u'35 UIKitCore 0x1b4575000 0x1b4f747e4', u'36 UIKitCore 0x1b4575000 0x1b4b2b900', u'37 FrontBoardServices 0x1b6019000 0x1b60257a0', u'38 FrontBoardServices 0x1b6019000 0x1b604a838', u'39 FrontBoardServices 0x1b6019000 0x1b602ff04', u'40 FrontBoardServices 0x1b6019000 0x1b604a4f4', u'41 libdispatch.dylib 0x100e38000 0x100e3ebd8', u'42 libdispatch.dylib 0x100e38000 0x100e41ffc', u'43 FrontBoardServices 0x1b6019000 0x1b606f418', u'44 FrontBoardServices 0x1b6019000 0x1b606f0e4', u'45 FrontBoardServices 0x1b6019000 0x1b606f60c', u'46 CoreFoundation 0x1b0dc7000 0x1b0e70a00', u'47 CoreFoundation 0x1b0dc7000 0x1b0e70958', u'48 CoreFoundation 0x1b0dc7000 0x1b0e70140', u'49 CoreFoundation 0x1b0dc7000 0x1b0e6b23c', u'50 CoreFoundation 0x1b0dc7000 0x1b0e6aadc', u'51 GraphicsServices 0x1bae08000 0x1bae0b328', u'52 UIKitCore 0x1b4575000 0x1b4f7863c', u'53 QCloudCOSBrowser 0x1001b8000 0x1002a991c', u'54 libdyld.dylib 0x1b0cf3000 0x1b0cf4360'], u'constructed_calls': []}, u'malloc_size': -1, u'malloc_count': -1, u'stack_type': u''}]}, {u'duration': 0.01666, u'threads': [{u'cpu_usage': -1, u'name': u'0', u'frame': {u'value': 0, u'name': u'3', u'calls': [u'1 unkonwn 0x100fac590', u'2 unkonwn 0x100fac58c', u'3 unkonwn 0x100fac5c0', u'4 unkonwn 0x100fac5c0', u'5 unkonwn 0x100fac5c0', u'6 unkonwn 0x100fac5c0', u'7 unkonwn 0x100fac5c0', u'8 unkonwn 0x100fac5c0', u'9 unkonwn 0x100fab9fc', u'10 unkonwn 0x100fa13bc', u'11 unkonwn 0x100fa8348', u'12 libdyld.dylib 0x1b0cf3000 0x1b0cf8460', u'13 UIKitCore 0x1b4575000 0x1b4d25880', u'14 UIKitCore 0x1b4575000 0x1b4d25808', u'15 UIKitCore 0x1b4575000 0x1b4d1f480', u'16 UIKitCore 0x1b4575000 0x1b4d27264', u'17 UIKitCore 0x1b4575000 0x1b4d27600', u'18 UIKitCore 0x1b4575000 0x1b46fc380', u'19 UIKitCore 0x1b4575000 0x1b46fc328', u'20 UIKitCore 0x1b4575000 0x1b46fb168', u'21 UIKitCore 0x1b4575000 0x1b46fd160', u'22 UIKitCore 0x1b4575000 0x1b46f8c88', u'23 UIKitCore 0x1b4575000 0x1b46dc540', u'24 UIKitCore 0x1b4575000 0x1b4fdfcd4', u'25 UIKitCore 0x1b4575000 0x1b4fe0088', u'26 QCloudCOSBrowser 0x1001b8000 0x1001cc3e4', u'27 QCloudCOSBrowser 0x1001b8000 0x1001cec98', u'28 QCloudCOSBrowser 0x1001b8000 0x1002d8ee0', u'29 QCloudCOSBrowser 0x1001b8000 0x1003e2200', u'30 QCloudCOSBrowser 0x1001b8000 0x1002be52c', u'31 QCloudCOSBrowser 0x1001b8000 0x1002bfa0c', u'32 QCloudCOSBrowser 0x1001b8000 0x1002befa0', u'33 QCloudCOSBrowser 0x1001b8000 0x1002fa4a4', u'34 UIKitCore 0x1b4575000 0x1b4f6eee4', u'35 UIKitCore 0x1b4575000 0x1b4f70ca0', u'36 UIKitCore 0x1b4575000 0x1b4f7642c', u'37 UIKitCore 0x1b4575000 0x1b4743208', u'38 UIKitCore 0x1b4575000 0x1b4bd9698', u'39 UIKitCore 0x1b4575000 0x1b4743cf0', u'40 UIKitCore 0x1b4575000 0x1b4743748', u'41 UIKitCore 0x1b4575000 0x1b4743b1c', u'42 UIKitCore 0x1b4575000 0x1b47433d8', u'43 UIKitCore 0x1b4575000 0x1b47478c4', u'44 UIKitCore 0x1b4575000 0x1b4b0af08', u'45 UIKitCore 0x1b4575000 0x1b4bf2c84', u'46 UIKitCore 0x1b4575000 0x1b47475fc', u'47 UIKitCore 0x1b4575000 0x1b4bf2b80', u'48 UIKitCore 0x1b4575000 0x1b4747468', u'49 UIKitCore 0x1b4575000 0x1b45b92c0', u'50 UIKitCore 0x1b4575000 0x1b45b7e28', u'51 UIKitCore 0x1b4575000 0x1b45b8ff8', u'52 UIKitCore 0x1b4575000 0x1b4f747e4', u'53 UIKitCore 0x1b4575000 0x1b4b2b900', u'54 FrontBoardServices 0x1b6019000 0x1b60257a0', u'55 FrontBoardServices 0x1b6019000 0x1b604a838', u'56 FrontBoardServices 0x1b6019000 0x1b602ff04', u'57 FrontBoardServices 0x1b6019000 0x1b604a4f4', u'58 libdispatch.dylib 0x100e38000 0x100e3ebd8', u'59 libdispatch.dylib 0x100e38000 0x100e41ffc', u'60 FrontBoardServices 0x1b6019000 0x1b606f418', u'61 FrontBoardServices 0x1b6019000 0x1b606f0e4', u'62 FrontBoardServices 0x1b6019000 0x1b606f60c', u'63 CoreFoundation 0x1b0dc7000 0x1b0e70a00', u'64 CoreFoundation 0x1b0dc7000 0x1b0e70958', u'65 CoreFoundation 0x1b0dc7000 0x1b0e70140', u'66 CoreFoundation 0x1b0dc7000 0x1b0e6b23c', u'67 CoreFoundation 0x1b0dc7000 0x1b0e6aadc', u'68 GraphicsServices 0x1bae08000 0x1bae0b328', u'69 UIKitCore 0x1b4575000 0x1b4f7863c', u'70 QCloudCOSBrowser 0x1001b8000 0x1002a991c', u'71 libdyld.dylib 0x1b0cf3000 0x1b0cf4360'], u'constructed_calls': []}, u'malloc_size': -1, u'malloc_count': -1, u'stack_type': u''}]}, {u'duration': 0.01666, u'threads': [{u'cpu_usage': -1, u'name': u'0', u'frame': {u'value': 0, u'name': u'4', u'calls': [u'1 libsystem_kernel.dylib 0x1b0cc5000 0x1b0ce9ce4', u'2 libsystem_pthread.dylib 0x1b0c03000 0x1b0c0bd38', u'3 libsystem_pthread.dylib 0x1b0c03000 0x1b0c0bcac', u'4 libdyld.dylib 0x1b0cf3000 0x1b0cf6d48', u'5 libdyld.dylib 0x1b0cf3000 0x1b0cf85f0', u'6 UIKitCore 0x1b4575000 0x1b4d25ba8', u'7 UIKitCore 0x1b4575000 0x1b4d25640', u'8 UIKitCore 0x1b4575000 0x1b4d2558c', u'9 libdispatch.dylib 0x100e38000 0x100e3ebd8', u'10 libdispatch.dylib 0x100e38000 0x100e404c8', u'11 UIKitCore 0x1b4575000 0x1b4d25564', u'12 UIKitCore 0x1b4575000 0x1b4d27384', u'13 UIKitCore 0x1b4575000 0x1b4d27600', u'14 UIKitCore 0x1b4575000 0x1b46fc380', u'15 UIKitCore 0x1b4575000 0x1b46fc328', u'16 UIKitCore 0x1b4575000 0x1b46fb168', u'17 UIKitCore 0x1b4575000 0x1b46fd160', u'18 UIKitCore 0x1b4575000 0x1b46f8c88', u'19 UIKitCore 0x1b4575000 0x1b46dc540', u'20 UIKitCore 0x1b4575000 0x1b4fdfcd4', u'21 UIKitCore 0x1b4575000 0x1b4fe0088', u'22 QCloudCOSBrowser 0x1001b8000 0x1001cc3e4', u'23 QCloudCOSBrowser 0x1001b8000 0x1001cec98', u'24 QCloudCOSBrowser 0x1001b8000 0x1002d8ee0', u'25 QCloudCOSBrowser 0x1001b8000 0x1003e2200', u'26 QCloudCOSBrowser 0x1001b8000 0x1002be52c', u'27 QCloudCOSBrowser 0x1001b8000 0x1002bfa0c', u'28 QCloudCOSBrowser 0x1001b8000 0x1002befa0', u'29 QCloudCOSBrowser 0x1001b8000 0x1002fa4a4', u'30 UIKitCore 0x1b4575000 0x1b4f6eee4', u'31 UIKitCore 0x1b4575000 0x1b4f70ca0', u'32 UIKitCore 0x1b4575000 0x1b4f7642c', u'33 UIKitCore 0x1b4575000 0x1b4743208', u'34 UIKitCore 0x1b4575000 0x1b4bd9698', u'35 UIKitCore 0x1b4575000 0x1b4743cf0', u'36 UIKitCore 0x1b4575000 0x1b4743748', u'37 UIKitCore 0x1b4575000 0x1b4743b1c', u'38 UIKitCore 0x1b4575000 0x1b47433d8', u'39 UIKitCore 0x1b4575000 0x1b47478c4', u'40 UIKitCore 0x1b4575000 0x1b4b0af08', u'41 UIKitCore 0x1b4575000 0x1b4bf2c84', u'42 UIKitCore 0x1b4575000 0x1b47475fc', u'43 UIKitCore 0x1b4575000 0x1b4bf2b80', u'44 UIKitCore 0x1b4575000 0x1b4747468', u'45 UIKitCore 0x1b4575000 0x1b45b92c0', u'46 UIKitCore 0x1b4575000 0x1b45b7e28', u'47 UIKitCore 0x1b4575000 0x1b45b8ff8', u'48 UIKitCore 0x1b4575000 0x1b4f747e4', u'49 UIKitCore 0x1b4575000 0x1b4b2b900', u'50 FrontBoardServices 0x1b6019000 0x1b60257a0', u'51 FrontBoardServices 0x1b6019000 0x1b604a838', u'52 FrontBoardServices 0x1b6019000 0x1b602ff04', u'53 FrontBoardServices 0x1b6019000 0x1b604a4f4', u'54 libdispatch.dylib 0x100e38000 0x100e3ebd8', u'55 libdispatch.dylib 0x100e38000 0x100e41ffc', u'56 FrontBoardServices 0x1b6019000 0x1b606f418', u'57 FrontBoardServices 0x1b6019000 0x1b606f0e4', u'58 FrontBoardServices 0x1b6019000 0x1b606f60c', u'59 CoreFoundation 0x1b0dc7000 0x1b0e70a00', u'60 CoreFoundation 0x1b0dc7000 0x1b0e70958', u'61 CoreFoundation 0x1b0dc7000 0x1b0e70140', u'62 CoreFoundation 0x1b0dc7000 0x1b0e6b23c', u'63 CoreFoundation 0x1b0dc7000 0x1b0e6aadc', u'64 GraphicsServices 0x1bae08000 0x1bae0b328', u'65 UIKitCore 0x1b4575000 0x1b4f7863c', u'66 QCloudCOSBrowser 0x1001b8000 0x1002a991c', u'67 libdyld.dylib 0x1b0cf3000 0x1b0cf4360'], u'constructed_calls': []}, u'malloc_size': -1, u'malloc_count': -1, u'stack_type': u''}]}, {u'duration': 0.01666, u'threads': [{u'cpu_usage': -1, u'name': u'0', u'frame': {u'value': 0, u'name': u'5', u'calls': [u'1 UIKitCore 0x1b4575000 0x1b53dd2e0', u'2 LookinServer 0x102194000 0x1021ad69c', u'3 UIKitCore 0x1b4575000 0x1b536292c', u'4 UIKitCore 0x1b4575000 0x1b5245350', u'5 UIKitCore 0x1b4575000 0x1b52459b8', u'6 UIKitCore 0x1b4575000 0x1b5245acc', u'7 UIKitCore 0x1b4575000 0x1b5245a70', u'8 UIKitCore 0x1b4575000 0x1b46dc55c', u'9 UIKitCore 0x1b4575000 0x1b4fdfcd4', u'10 UIKitCore 0x1b4575000 0x1b4fe0088', u'11 QCloudCOSBrowser 0x1001b8000 0x1001cc3e4', u'12 QCloudCOSBrowser 0x1001b8000 0x1001cec98', u'13 QCloudCOSBrowser 0x1001b8000 0x1002d8ee0', u'14 QCloudCOSBrowser 0x1001b8000 0x1003e2200', u'15 QCloudCOSBrowser 0x1001b8000 0x1002be52c', u'16 QCloudCOSBrowser 0x1001b8000 0x1002bfa0c', u'17 QCloudCOSBrowser 0x1001b8000 0x1002befa0', u'18 QCloudCOSBrowser 0x1001b8000 0x1002fa4a4', u'19 UIKitCore 0x1b4575000 0x1b4f6eee4', u'20 UIKitCore 0x1b4575000 0x1b4f70ca0', u'21 UIKitCore 0x1b4575000 0x1b4f7642c', u'22 UIKitCore 0x1b4575000 0x1b4743208', u'23 UIKitCore 0x1b4575000 0x1b4bd9698', u'24 UIKitCore 0x1b4575000 0x1b4743cf0', u'25 UIKitCore 0x1b4575000 0x1b4743748', u'26 UIKitCore 0x1b4575000 0x1b4743b1c', u'27 UIKitCore 0x1b4575000 0x1b47433d8', u'28 UIKitCore 0x1b4575000 0x1b47478c4', u'29 UIKitCore 0x1b4575000 0x1b4b0af08', u'30 UIKitCore 0x1b4575000 0x1b4bf2c84', u'31 UIKitCore 0x1b4575000 0x1b47475fc', u'32 UIKitCore 0x1b4575000 0x1b4bf2b80', u'33 UIKitCore 0x1b4575000 0x1b4747468', u'34 UIKitCore 0x1b4575000 0x1b45b92c0', u'35 UIKitCore 0x1b4575000 0x1b45b7e28', u'36 UIKitCore 0x1b4575000 0x1b45b8ff8', u'37 UIKitCore 0x1b4575000 0x1b4f747e4', u'38 UIKitCore 0x1b4575000 0x1b4b2b900', u'39 FrontBoardServices 0x1b6019000 0x1b60257a0', u'40 FrontBoardServices 0x1b6019000 0x1b604a838', u'41 FrontBoardServices 0x1b6019000 0x1b602ff04', u'42 FrontBoardServices 0x1b6019000 0x1b604a4f4', u'43 libdispatch.dylib 0x100e38000 0x100e3ebd8', u'44 libdispatch.dylib 0x100e38000 0x100e41ffc', u'45 FrontBoardServices 0x1b6019000 0x1b606f418', u'46 FrontBoardServices 0x1b6019000 0x1b606f0e4', u'47 FrontBoardServices 0x1b6019000 0x1b606f60c', u'48 CoreFoundation 0x1b0dc7000 0x1b0e70a00', u'49 CoreFoundation 0x1b0dc7000 0x1b0e70958', u'50 CoreFoundation 0x1b0dc7000 0x1b0e70140', u'51 CoreFoundation 0x1b0dc7000 0x1b0e6b23c', u'52 CoreFoundation 0x1b0dc7000 0x1b0e6aadc', u'53 GraphicsServices 0x1bae08000 0x1bae0b328', u'54 UIKitCore 0x1b4575000 0x1b4f7863c', u'55 QCloudCOSBrowser 0x1001b8000 0x1002a991c', u'56 libdyld.dylib 0x1b0cf3000 0x1b0cf4360'], u'constructed_calls': []}, u'malloc_size': -1, u'malloc_count': -1, u'stack_type': u''}]}, {u'duration': 0.01666, u'threads': [{u'cpu_usage': -1, u'name': u'0', u'frame': {u'value': 0, u'name': u'6', u'calls': [u'1 libsystem_kernel.dylib 0x1b0cc5000 0x1b0cea8b8', u'2 libsystem_platform.dylib 0x1b0bf8000 0x1b0bfe4d0', u'3 libobjc.A.dylib 0x1b0c14000 0x1b0c2167c', u'4 CoreFoundation 0x1b0dc7000 0x1b0df81d8', u'5 Foundation 0x1b11a3000 0x1b11af5bc', u'6 UIKitCore 0x1b4575000 0x1b45b5e24', u'7 UIKitCore 0x1b4575000 0x1b45b3708', u'8 UIKitCore 0x1b4575000 0x1b4f882dc', u'9 UIKitCore 0x1b4575000 0x1b4f7c220', u'10 UIKitCore 0x1b4575000 0x1b4f7c630', u'11 UIKitCore 0x1b4575000 0x1b46ffc14', u'12 UIKitCore 0x1b4575000 0x1b53f34d0', u'13 UIKitCore 0x1b4575000 0x1b4fe25dc', u'14 UIKitCore 0x1b4575000 0x1b4fdfcfc', u'15 UIKitCore 0x1b4575000 0x1b4fe0088', u'16 QCloudCOSBrowser 0x1001b8000 0x1001cc3e4', u'17 QCloudCOSBrowser 0x1001b8000 0x1001cec98', u'18 QCloudCOSBrowser 0x1001b8000 0x1002d8ee0', u'19 QCloudCOSBrowser 0x1001b8000 0x1003e2200', u'20 QCloudCOSBrowser 0x1001b8000 0x1002be52c', u'21 QCloudCOSBrowser 0x1001b8000 0x1002bfa0c', u'22 QCloudCOSBrowser 0x1001b8000 0x1002befa0', u'23 QCloudCOSBrowser 0x1001b8000 0x1002fa4a4', u'24 UIKitCore 0x1b4575000 0x1b4f6eee4', u'25 UIKitCore 0x1b4575000 0x1b4f70ca0', u'26 UIKitCore 0x1b4575000 0x1b4f7642c', u'27 UIKitCore 0x1b4575000 0x1b4743208', u'28 UIKitCore 0x1b4575000 0x1b4bd9698', u'29 UIKitCore 0x1b4575000 0x1b4743cf0', u'30 UIKitCore 0x1b4575000 0x1b4743748', u'31 UIKitCore 0x1b4575000 0x1b4743b1c', u'32 UIKitCore 0x1b4575000 0x1b47433d8', u'33 UIKitCore 0x1b4575000 0x1b47478c4', u'34 UIKitCore 0x1b4575000 0x1b4b0af08', u'35 UIKitCore 0x1b4575000 0x1b4bf2c84', u'36 UIKitCore 0x1b4575000 0x1b47475fc', u'37 UIKitCore 0x1b4575000 0x1b4bf2b80', u'38 UIKitCore 0x1b4575000 0x1b4747468', u'39 UIKitCore 0x1b4575000 0x1b45b92c0', u'40 UIKitCore 0x1b4575000 0x1b45b7e28', u'41 UIKitCore 0x1b4575000 0x1b45b8ff8', u'42 UIKitCore 0x1b4575000 0x1b4f747e4', u'43 UIKitCore 0x1b4575000 0x1b4b2b900', u'44 FrontBoardServices 0x1b6019000 0x1b60257a0', u'45 FrontBoardServices 0x1b6019000 0x1b604a838', u'46 FrontBoardServices 0x1b6019000 0x1b602ff04', u'47 FrontBoardServices 0x1b6019000 0x1b604a4f4', u'48 libdispatch.dylib 0x100e38000 0x100e3ebd8', u'49 libdispatch.dylib 0x100e38000 0x100e41ffc', u'50 FrontBoardServices 0x1b6019000 0x1b606f418', u'51 FrontBoardServices 0x1b6019000 0x1b606f0e4', u'52 FrontBoardServices 0x1b6019000 0x1b606f60c', u'53 CoreFoundation 0x1b0dc7000 0x1b0e70a00', u'54 CoreFoundation 0x1b0dc7000 0x1b0e70958', u'55 CoreFoundation 0x1b0dc7000 0x1b0e70140', u'56 CoreFoundation 0x1b0dc7000 0x1b0e6b23c', u'57 CoreFoundation 0x1b0dc7000 0x1b0e6aadc', u'58 GraphicsServices 0x1bae08000 0x1bae0b328', u'59 UIKitCore 0x1b4575000 0x1b4f7863c', u'60 QCloudCOSBrowser 0x1001b8000 0x1002a991c', u'61 libdyld.dylib 0x1b0cf3000 0x1b0cf4360'], u'constructed_calls': []}, u'malloc_size': -1, u'malloc_count': -1, u'stack_type': u''}]}, {u'duration': 0.01666, u'threads': [{u'cpu_usage': -1, u'name': u'0', u'frame': {u'value': 0, u'name': u'7', u'calls': [u'1 libsystem_kernel.dylib 0x1b0cc5000 0x1b0ce9c94', u'2 libsystem_pthread.dylib 0x1b0c03000 0x1b0c0b094', u'3 libc++.1.dylib 0x1b0d2e000 0x1b0d3c7a8', u'4 Flutter 0x101ac0000 0x101afaa28', u'5 Flutter 0x101ac0000 0x101b44910', u'6 Flutter 0x101ac0000 0x101b438a4', u'7 Flutter 0x101ac0000 0x101ace3c0', u'8 Flutter 0x101ac0000 0x101adcf14', u'9 QCloudCOSBrowser 0x1001b8000 0x1001dfb98', u'10 QCloudCOSBrowser 0x1001b8000 0x1002d90c8', u'11 QCloudCOSBrowser 0x1001b8000 0x1003e2200', u'12 QCloudCOSBrowser 0x1001b8000 0x1002be52c', u'13 QCloudCOSBrowser 0x1001b8000 0x1002bfa0c', u'14 QCloudCOSBrowser 0x1001b8000 0x1002befa0', u'15 QCloudCOSBrowser 0x1001b8000 0x1002fa4a4', u'16 UIKitCore 0x1b4575000 0x1b4f6eee4', u'17 UIKitCore 0x1b4575000 0x1b4f70ca0', u'18 UIKitCore 0x1b4575000 0x1b4f7642c', u'19 UIKitCore 0x1b4575000 0x1b4743208', u'20 UIKitCore 0x1b4575000 0x1b4bd9698', u'21 UIKitCore 0x1b4575000 0x1b4743cf0', u'22 UIKitCore 0x1b4575000 0x1b4743748', u'23 UIKitCore 0x1b4575000 0x1b4743b1c', u'24 UIKitCore 0x1b4575000 0x1b47433d8', u'25 UIKitCore 0x1b4575000 0x1b47478c4', u'26 UIKitCore 0x1b4575000 0x1b4b0af08', u'27 UIKitCore 0x1b4575000 0x1b4bf2c84', u'28 UIKitCore 0x1b4575000 0x1b47475fc', u'29 UIKitCore 0x1b4575000 0x1b4bf2b80', u'30 UIKitCore 0x1b4575000 0x1b4747468', u'31 UIKitCore 0x1b4575000 0x1b45b92c0', u'32 UIKitCore 0x1b4575000 0x1b45b7e28', u'33 UIKitCore 0x1b4575000 0x1b45b8ff8', u'34 UIKitCore 0x1b4575000 0x1b4f747e4', u'35 UIKitCore 0x1b4575000 0x1b4b2b900', u'36 FrontBoardServices 0x1b6019000 0x1b60257a0', u'37 FrontBoardServices 0x1b6019000 0x1b604a838', u'38 FrontBoardServices 0x1b6019000 0x1b602ff04', u'39 FrontBoardServices 0x1b6019000 0x1b604a4f4', u'40 libdispatch.dylib 0x100e38000 0x100e3ebd8', u'41 libdispatch.dylib 0x100e38000 0x100e41ffc', u'42 FrontBoardServices 0x1b6019000 0x1b606f418', u'43 FrontBoardServices 0x1b6019000 0x1b606f0e4', u'44 FrontBoardServices 0x1b6019000 0x1b606f60c', u'45 CoreFoundation 0x1b0dc7000 0x1b0e70a00', u'46 CoreFoundation 0x1b0dc7000 0x1b0e70958', u'47 CoreFoundation 0x1b0dc7000 0x1b0e70140', u'48 CoreFoundation 0x1b0dc7000 0x1b0e6b23c', u'49 CoreFoundation 0x1b0dc7000 0x1b0e6aadc', u'50 GraphicsServices 0x1bae08000 0x1bae0b328', u'51 UIKitCore 0x1b4575000 0x1b4f7863c', u'52 QCloudCOSBrowser 0x1001b8000 0x1002a991c', u'53 libdyld.dylib 0x1b0cf3000 0x1b0cf4360'], u'constructed_calls': []}, u'malloc_size': -1, u'malloc_count': -1, u'stack_type': u''}]}, {u'duration': 0.01666, u'threads': [{u'cpu_usage': -1, u'name': u'0', u'frame': {u'value': 0, u'name': u'8', u'calls': [u'1 libFontParser.dylib 0x1bb19f000 0x1bb1dbae0', u'2 libFontParser.dylib 0x1bb19f000 0x1bb1dba94', u'3 libFontParser.dylib 0x1bb19f000 0x1bb1be354', u'4 libFontParser.dylib 0x1bb19f000 0x1bb1a597c', u'5 libFontParser.dylib 0x1bb19f000 0x1bb1a5524', u'6 libFontParser.dylib 0x1bb19f000 0x1bb1b252c', u'7 CoreText 0x1b1b5f000 0x1b1c17c38', u'8 CoreText 0x1b1b5f000 0x1b1c32b64', u'9 CoreText 0x1b1b5f000 0x1b1c32c9c', u'10 CoreText 0x1b1b5f000 0x1b1c3eeac', u'11 CoreText 0x1b1b5f000 0x1b1c32fd8', u'12 CoreText 0x1b1b5f000 0x1b1c076c4', u'13 CoreText 0x1b1b5f000 0x1b1b7927c', u'14 CoreText 0x1b1b5f000 0x1b1b86018', u'15 CoreText 0x1b1b5f000 0x1b1b9a960', u'16 CoreText 0x1b1b5f000 0x1b1b9a5c8', u'17 CoreText 0x1b1b5f000 0x1b1b871cc', u'18 UIFoundation 0x1b4494000 0x1b4518900', u'19 UIFoundation 0x1b4494000 0x1b4514c08', u'20 UIFoundation 0x1b4494000 0x1b4496070', u'21 UIKitCore 0x1b4575000 0x1b5364fbc', u'22 UIKitCore 0x1b4575000 0x1b5369940', u'23 UIKitCore 0x1b4575000 0x1b53f34d0', u'24 UIKitCore 0x1b4575000 0x1b4723744', u'25 UIKitCore 0x1b4575000 0x1b471db20', u'26 UIKitCore 0x1b4575000 0x1b471cda4', u'27 UIKitCore 0x1b4575000 0x1b4714dfc', u'28 UIKitCore 0x1b4575000 0x1b48a0254', u'29 UIKitCore 0x1b4575000 0x1b48a0a98', u'30 UIKitCore 0x1b4575000 0x1b48a0eec', u'31 QCloudCOSBrowser 0x1001b8000 0x1002d9480', u'32 QCloudCOSBrowser 0x1001b8000 0x1003e2200', u'33 QCloudCOSBrowser 0x1001b8000 0x1002be52c', u'34 QCloudCOSBrowser 0x1001b8000 0x1002bfa0c', u'35 QCloudCOSBrowser 0x1001b8000 0x1002befa0', u'36 QCloudCOSBrowser 0x1001b8000 0x1002fa4a4', u'37 UIKitCore 0x1b4575000 0x1b4f6eee4', u'38 UIKitCore 0x1b4575000 0x1b4f70ca0', u'39 UIKitCore 0x1b4575000 0x1b4f7642c', u'40 UIKitCore 0x1b4575000 0x1b4743208', u'41 UIKitCore 0x1b4575000 0x1b4bd9698', u'42 UIKitCore 0x1b4575000 0x1b4743cf0', u'43 UIKitCore 0x1b4575000 0x1b4743748', u'44 UIKitCore 0x1b4575000 0x1b4743b1c', u'45 UIKitCore 0x1b4575000 0x1b47433d8', u'46 UIKitCore 0x1b4575000 0x1b47478c4', u'47 UIKitCore 0x1b4575000 0x1b4b0af08', u'48 UIKitCore 0x1b4575000 0x1b4bf2c84', u'49 UIKitCore 0x1b4575000 0x1b47475fc', u'50 UIKitCore 0x1b4575000 0x1b4bf2b80', u'51 UIKitCore 0x1b4575000 0x1b4747468', u'52 UIKitCore 0x1b4575000 0x1b45b92c0', u'53 UIKitCore 0x1b4575000 0x1b45b7e28', u'54 UIKitCore 0x1b4575000 0x1b45b8ff8', u'55 UIKitCore 0x1b4575000 0x1b4f747e4', u'56 UIKitCore 0x1b4575000 0x1b4b2b900', u'57 FrontBoardServices 0x1b6019000 0x1b60257a0', u'58 FrontBoardServices 0x1b6019000 0x1b604a838', u'59 FrontBoardServices 0x1b6019000 0x1b602ff04', u'60 FrontBoardServices 0x1b6019000 0x1b604a4f4', u'61 libdispatch.dylib 0x100e38000 0x100e3ebd8', u'62 libdispatch.dylib 0x100e38000 0x100e41ffc', u'63 FrontBoardServices 0x1b6019000 0x1b606f418', u'64 FrontBoardServices 0x1b6019000 0x1b606f0e4', u'65 FrontBoardServices 0x1b6019000 0x1b606f60c', u'66 CoreFoundation 0x1b0dc7000 0x1b0e70a00', u'67 CoreFoundation 0x1b0dc7000 0x1b0e70958', u'68 CoreFoundation 0x1b0dc7000 0x1b0e70140', u'69 CoreFoundation 0x1b0dc7000 0x1b0e6b23c', u'70 CoreFoundation 0x1b0dc7000 0x1b0e6aadc', u'71 GraphicsServices 0x1bae08000 0x1bae0b328', u'72 UIKitCore 0x1b4575000 0x1b4f7863c', u'73 QCloudCOSBrowser 0x1001b8000 0x1002a991c', u'74 libdyld.dylib 0x1b0cf3000 0x1b0cf4360'], u'constructed_calls': []}, u'malloc_size': -1, u'malloc_count': -1, u'stack_type': u''}]}, {u'duration': 0.01666, u'threads': [{u'cpu_usage': -1, u'name': u'0', u'frame': {u'value': 0, u'name': u'9', u'calls': [u'1 CoreFoundation 0x1b0dc7000 0x1b0e90dac', u'2 CoreFoundation 0x1b0dc7000 0x1b0e90b74', u'3 CoreFoundation 0x1b0dc7000 0x1b0dcb5c4', u'4 JavaScriptCore 0x1bfc05000 0x1bfc49540', u'5 JavaScriptCore 0x1bfc05000 0x1bfc496ec', u'6 WebKit 0x1b8485000 0x1b879c600', u'7 WebKit 0x1b8485000 0x1b879c8e4', u'8 WebKit 0x1b8485000 0x1b879cfd0', u'9 WebKit 0x1b8485000 0x1b86f2ec0', u'10 WebKit 0x1b8485000 0x1b86d237c', u'11 WebKit 0x1b8485000 0x1b86d2264', u'12 WebKit 0x1b8485000 0x1b86d20fc', u'13 WebKit 0x1b8485000 0x1b870cd1c', u'14 WebKit 0x1b8485000 0x1b8487910', u'15 WebKit 0x1b8485000 0x1b8495134', u'16 WebKit 0x1b8485000 0x1b848af5c', u'17 WebKit 0x1b8485000 0x1b848ac00', u'18 WebKit 0x1b8485000 0x1b848877c', u'19 WebKit 0x1b8485000 0x1b848863c', u'20 QCloudCOSBrowser 0x1001b8000 0x100250858', u'21 QCloudCOSBrowser 0x1001b8000 0x1002befc0', u'22 QCloudCOSBrowser 0x1001b8000 0x1002fa4a4', u'23 UIKitCore 0x1b4575000 0x1b4f6eee4', u'24 UIKitCore 0x1b4575000 0x1b4f70ca0', u'25 UIKitCore 0x1b4575000 0x1b4f7642c', u'26 UIKitCore 0x1b4575000 0x1b4743208', u'27 UIKitCore 0x1b4575000 0x1b4bd9698', u'28 UIKitCore 0x1b4575000 0x1b4743cf0', u'29 UIKitCore 0x1b4575000 0x1b4743748', u'30 UIKitCore 0x1b4575000 0x1b4743b1c', u'31 UIKitCore 0x1b4575000 0x1b47433d8', u'32 UIKitCore 0x1b4575000 0x1b47478c4', u'33 UIKitCore 0x1b4575000 0x1b4b0af08', u'34 UIKitCore 0x1b4575000 0x1b4bf2c84', u'35 UIKitCore 0x1b4575000 0x1b47475fc', u'36 UIKitCore 0x1b4575000 0x1b4bf2b80', u'37 UIKitCore 0x1b4575000 0x1b4747468', u'38 UIKitCore 0x1b4575000 0x1b45b92c0', u'39 UIKitCore 0x1b4575000 0x1b45b7e28', u'40 UIKitCore 0x1b4575000 0x1b45b8ff8', u'41 UIKitCore 0x1b4575000 0x1b4f747e4', u'42 UIKitCore 0x1b4575000 0x1b4b2b900', u'43 FrontBoardServices 0x1b6019000 0x1b60257a0', u'44 FrontBoardServices 0x1b6019000 0x1b604a838', u'45 FrontBoardServices 0x1b6019000 0x1b602ff04', u'46 FrontBoardServices 0x1b6019000 0x1b604a4f4', u'47 libdispatch.dylib 0x100e38000 0x100e3ebd8', u'48 libdispatch.dylib 0x100e38000 0x100e41ffc', u'49 FrontBoardServices 0x1b6019000 0x1b606f418', u'50 FrontBoardServices 0x1b6019000 0x1b606f0e4', u'51 FrontBoardServices 0x1b6019000 0x1b606f60c', u'52 CoreFoundation 0x1b0dc7000 0x1b0e70a00', u'53 CoreFoundation 0x1b0dc7000 0x1b0e70958', u'54 CoreFoundation 0x1b0dc7000 0x1b0e70140', u'55 CoreFoundation 0x1b0dc7000 0x1b0e6b23c', u'56 CoreFoundation 0x1b0dc7000 0x1b0e6aadc', u'57 GraphicsServices 0x1bae08000 0x1bae0b328', u'58 UIKitCore 0x1b4575000 0x1b4f7863c', u'59 QCloudCOSBrowser 0x1001b8000 0x1002a991c', u'60 libdyld.dylib 0x1b0cf3000 0x1b0cf4360'], u'constructed_calls': []}, u'malloc_size': -1, u'malloc_count': -1, u'stack_type': u''}]}, {u'duration': 0.01666, u'threads': [{u'cpu_usage': -1, u'name': u'0', u'frame': {u'value': 0, u'name': u'10', u'calls': [u'1 unkonwn 0x100fac51c', u'2 unkonwn 0x100fab9fc', u'3 unkonwn 0x100fa13bc', u'4 unkonwn 0x100fa8348', u'5 libdyld.dylib 0x1b0cf3000 0x1b0cf8460', u'6 WebCore 0x1b8a57000 0x1b8a61cd8', u'7 libdispatch.dylib 0x100e38000 0x100e3ebd8', u'8 libdispatch.dylib 0x100e38000 0x100e404c8', u'9 WebCore 0x1b8a57000 0x1b8a61ffc', u'10 libdispatch.dylib 0x100e38000 0x100e3ebd8', u'11 libdispatch.dylib 0x100e38000 0x100e404c8', u'12 WebCore 0x1b8a57000 0x1b8a61d6c', u'13 WebKit 0x1b8485000 0x1b86c92c4', u'14 WebKit 0x1b8485000 0x1b87ec9ec', u'15 WebKit 0x1b8485000 0x1b87ec844', u'16 WebKit 0x1b8485000 0x1b875a27c', u'17 WebKit 0x1b8485000 0x1b84880f4', u'18 WebKit 0x1b8485000 0x1b84880a4', u'19 WebKit 0x1b8485000 0x1b848ac6c', u'20 WebKit 0x1b8485000 0x1b848877c', u'21 WebKit 0x1b8485000 0x1b848863c', u'22 QCloudCOSBrowser 0x1001b8000 0x100250858', u'23 QCloudCOSBrowser 0x1001b8000 0x1002befc0', u'24 QCloudCOSBrowser 0x1001b8000 0x1002fa4a4', u'25 UIKitCore 0x1b4575000 0x1b4f6eee4', u'26 UIKitCore 0x1b4575000 0x1b4f70ca0', u'27 UIKitCore 0x1b4575000 0x1b4f7642c', u'28 UIKitCore 0x1b4575000 0x1b4743208', u'29 UIKitCore 0x1b4575000 0x1b4bd9698', u'30 UIKitCore 0x1b4575000 0x1b4743cf0', u'31 UIKitCore 0x1b4575000 0x1b4743748', u'32 UIKitCore 0x1b4575000 0x1b4743b1c', u'33 UIKitCore 0x1b4575000 0x1b47433d8', u'34 UIKitCore 0x1b4575000 0x1b47478c4', u'35 UIKitCore 0x1b4575000 0x1b4b0af08', u'36 UIKitCore 0x1b4575000 0x1b4bf2c84', u'37 UIKitCore 0x1b4575000 0x1b47475fc', u'38 UIKitCore 0x1b4575000 0x1b4bf2b80', u'39 UIKitCore 0x1b4575000 0x1b4747468', u'40 UIKitCore 0x1b4575000 0x1b45b92c0', u'41 UIKitCore 0x1b4575000 0x1b45b7e28', u'42 UIKitCore 0x1b4575000 0x1b45b8ff8', u'43 UIKitCore 0x1b4575000 0x1b4f747e4', u'44 UIKitCore 0x1b4575000 0x1b4b2b900', u'45 FrontBoardServices 0x1b6019000 0x1b60257a0', u'46 FrontBoardServices 0x1b6019000 0x1b604a838', u'47 FrontBoardServices 0x1b6019000 0x1b602ff04', u'48 FrontBoardServices 0x1b6019000 0x1b604a4f4', u'49 libdispatch.dylib 0x100e38000 0x100e3ebd8', u'50 libdispatch.dylib 0x100e38000 0x100e41ffc', u'51 FrontBoardServices 0x1b6019000 0x1b606f418', u'52 FrontBoardServices 0x1b6019000 0x1b606f0e4', u'53 FrontBoardServices 0x1b6019000 0x1b606f60c', u'54 CoreFoundation 0x1b0dc7000 0x1b0e70a00', u'55 CoreFoundation 0x1b0dc7000 0x1b0e70958', u'56 CoreFoundation 0x1b0dc7000 0x1b0e70140', u'57 CoreFoundation 0x1b0dc7000 0x1b0e6b23c', u'58 CoreFoundation 0x1b0dc7000 0x1b0e6aadc', u'59 GraphicsServices 0x1bae08000 0x1bae0b328', u'60 UIKitCore 0x1b4575000 0x1b4f7863c', u'61 QCloudCOSBrowser 0x1001b8000 0x1002a991c', u'62 libdyld.dylib 0x1b0cf3000 0x1b0cf4360'], u'constructed_calls': []}, u'malloc_size': -1, u'malloc_count': -1, u'stack_type': u''}]}, {u'duration': 0.01666, u'threads': [{u'cpu_usage': -1, u'name': u'0', u'frame': {u'value': 0, u'name': u'11', u'calls': [u'1 CoreFoundation 0x1b0dc7000 0x1b0dcb660', u'2 CoreFoundation 0x1b0dc7000 0x1b0dcb640', u'3 CoreFoundation 0x1b0dc7000 0x1b0dfbb28', u'4 CoreFoundation 0x1b0dc7000 0x1b0dd06d8', u'5 CoreFoundation 0x1b0dc7000 0x1b0e4c4d8', u'6 Foundation 0x1b11a3000 0x1b11a9a04', u'7 TextInput 0x1bcf53000 0x1bcf98178', u'8 TextInput 0x1bcf53000 0x1bcf9d274', u'9 TextInput 0x1bcf53000 0x1bcf9d9d4', u'10 libdispatch.dylib 0x100e38000 0x100e3ebd8', u'11 libdispatch.dylib 0x100e38000 0x100e404c8', u'12 TextInput 0x1bcf53000 0x1bcf9d9b8', u'13 UIKitCore 0x1b4575000 0x1b4c5b1a4', u'14 UIKitCore 0x1b4575000 0x1b4c5b088', u'15 UIKitCore 0x1b4575000 0x1b4c5b02c', u'16 libdispatch.dylib 0x100e38000 0x100e3ebd8', u'17 libdispatch.dylib 0x100e38000 0x100e404c8', u'18 UIKitCore 0x1b4575000 0x1b4c5b010', u'19 UIKitCore 0x1b4575000 0x1b4d8ddd8', u'20 UIKitCore 0x1b4575000 0x1b4d88cbc', u'21 UIKitCore 0x1b4575000 0x1b4d86c34', u'22 WebKit 0x1b8485000 0x1b8754260', u'23 WebKit 0x1b8485000 0x1b86d3434', u'24 WebKit 0x1b8485000 0x1b86d2ecc', u'25 WebKit 0x1b8485000 0x1b8712ec8', u'26 WebKit 0x1b8485000 0x1b8712cc4', u'27 WebKit 0x1b8485000 0x1b848bcc4', u'28 WebKit 0x1b8485000 0x1b848bc50', u'29 WebKit 0x1b8485000 0x1b8489f44', u'30 WebKit 0x1b8485000 0x1b848863c', u'31 QCloudCOSBrowser 0x1001b8000 0x100250858', u'32 QCloudCOSBrowser 0x1001b8000 0x1002befc0', u'33 QCloudCOSBrowser 0x1001b8000 0x1002fa4a4', u'34 UIKitCore 0x1b4575000 0x1b4f6eee4', u'35 UIKitCore 0x1b4575000 0x1b4f70ca0', u'36 UIKitCore 0x1b4575000 0x1b4f7642c', u'37 UIKitCore 0x1b4575000 0x1b4743208', u'38 UIKitCore 0x1b4575000 0x1b4bd9698', u'39 UIKitCore 0x1b4575000 0x1b4743cf0', u'40 UIKitCore 0x1b4575000 0x1b4743748', u'41 UIKitCore 0x1b4575000 0x1b4743b1c', u'42 UIKitCore 0x1b4575000 0x1b47433d8', u'43 UIKitCore 0x1b4575000 0x1b47478c4', u'44 UIKitCore 0x1b4575000 0x1b4b0af08', u'45 UIKitCore 0x1b4575000 0x1b4bf2c84', u'46 UIKitCore 0x1b4575000 0x1b47475fc', u'47 UIKitCore 0x1b4575000 0x1b4bf2b80', u'48 UIKitCore 0x1b4575000 0x1b4747468', u'49 UIKitCore 0x1b4575000 0x1b45b92c0', u'50 UIKitCore 0x1b4575000 0x1b45b7e28', u'51 UIKitCore 0x1b4575000 0x1b45b8ff8', u'52 UIKitCore 0x1b4575000 0x1b4f747e4', u'53 UIKitCore 0x1b4575000 0x1b4b2b900', u'54 FrontBoardServices 0x1b6019000 0x1b60257a0', u'55 FrontBoardServices 0x1b6019000 0x1b604a838', u'56 FrontBoardServices 0x1b6019000 0x1b602ff04', u'57 FrontBoardServices 0x1b6019000 0x1b604a4f4', u'58 libdispatch.dylib 0x100e38000 0x100e3ebd8', u'59 libdispatch.dylib 0x100e38000 0x100e41ffc', u'60 FrontBoardServices 0x1b6019000 0x1b606f418', u'61 FrontBoardServices 0x1b6019000 0x1b606f0e4', u'62 FrontBoardServices 0x1b6019000 0x1b606f60c', u'63 CoreFoundation 0x1b0dc7000 0x1b0e70a00', u'64 CoreFoundation 0x1b0dc7000 0x1b0e70958', u'65 CoreFoundation 0x1b0dc7000 0x1b0e70140', u'66 CoreFoundation 0x1b0dc7000 0x1b0e6b23c', u'67 CoreFoundation 0x1b0dc7000 0x1b0e6aadc', u'68 GraphicsServices 0x1bae08000 0x1bae0b328', u'69 UIKitCore 0x1b4575000 0x1b4f7863c', u'70 QCloudCOSBrowser 0x1001b8000 0x1002a991c', u'71 libdyld.dylib 0x1b0cf3000 0x1b0cf4360'], u'constructed_calls': []}, u'malloc_size': -1, u'malloc_count': -1, u'stack_type': u''}]}, {u'duration': 0.01666, u'threads': [{u'cpu_usage': -1, u'name': u'0', u'frame': {u'value': 0, u'name': u'12', u'calls': [u'1 libsystem_kernel.dylib 0x1b0cc5000 0x1b0ceab1c', u'2 Foundation 0x1b11a3000 0x1b12bf650', u'3 ManagedConfiguration 0x1b3606000 0x1b36c17b0', u'4 ManagedConfiguration 0x1b3606000 0x1b36c1e78', u'5 libdispatch.dylib 0x100e38000 0x100e3ebd8', u'6 libdispatch.dylib 0x100e38000 0x100e4d858', u'7 ManagedConfiguration 0x1b3606000 0x1b36c1cbc', u'8 ManagedConfiguration 0x1b3606000 0x1b36c23ec', u'9 ManagedConfiguration 0x1b3606000 0x1b36e14a4', u'10 ManagedConfiguration 0x1b3606000 0x1b36e1134', u'11 ManagedConfiguration 0x1b3606000 0x1b36e550c', u'12 UIKitCore 0x1b4575000 0x1b4c4c3a4', u'13 UIKitCore 0x1b4575000 0x1b4c4cf00', u'14 UIKitCore 0x1b4575000 0x1b4c52ee0', u'15 UIKitCore 0x1b4575000 0x1b4c51abc', u'16 UIKitCore 0x1b4575000 0x1b4c5071c', u'17 UIKitCore 0x1b4575000 0x1b4c46508', u'18 UIKitCore 0x1b4575000 0x1b4d88cfc', u'19 UIKitCore 0x1b4575000 0x1b4d86c34', u'20 WebKit 0x1b8485000 0x1b8754260', u'21 WebKit 0x1b8485000 0x1b86d3434', u'22 WebKit 0x1b8485000 0x1b86d2ecc', u'23 WebKit 0x1b8485000 0x1b8712ec8', u'24 WebKit 0x1b8485000 0x1b8712cc4', u'25 WebKit 0x1b8485000 0x1b848bcc4', u'26 WebKit 0x1b8485000 0x1b848bc50', u'27 WebKit 0x1b8485000 0x1b8489f44', u'28 WebKit 0x1b8485000 0x1b848863c', u'29 QCloudCOSBrowser 0x1001b8000 0x100250858', u'30 QCloudCOSBrowser 0x1001b8000 0x1002befc0', u'31 QCloudCOSBrowser 0x1001b8000 0x1002fa4a4', u'32 UIKitCore 0x1b4575000 0x1b4f6eee4', u'33 UIKitCore 0x1b4575000 0x1b4f70ca0', u'34 UIKitCore 0x1b4575000 0x1b4f7642c', u'35 UIKitCore 0x1b4575000 0x1b4743208', u'36 UIKitCore 0x1b4575000 0x1b4bd9698', u'37 UIKitCore 0x1b4575000 0x1b4743cf0', u'38 UIKitCore 0x1b4575000 0x1b4743748', u'39 UIKitCore 0x1b4575000 0x1b4743b1c', u'40 UIKitCore 0x1b4575000 0x1b47433d8', u'41 UIKitCore 0x1b4575000 0x1b47478c4', u'42 UIKitCore 0x1b4575000 0x1b4b0af08', u'43 UIKitCore 0x1b4575000 0x1b4bf2c84', u'44 UIKitCore 0x1b4575000 0x1b47475fc', u'45 UIKitCore 0x1b4575000 0x1b4bf2b80', u'46 UIKitCore 0x1b4575000 0x1b4747468', u'47 UIKitCore 0x1b4575000 0x1b45b92c0', u'48 UIKitCore 0x1b4575000 0x1b45b7e28', u'49 UIKitCore 0x1b4575000 0x1b45b8ff8', u'50 UIKitCore 0x1b4575000 0x1b4f747e4', u'51 UIKitCore 0x1b4575000 0x1b4b2b900', u'52 FrontBoardServices 0x1b6019000 0x1b60257a0', u'53 FrontBoardServices 0x1b6019000 0x1b604a838', u'54 FrontBoardServices 0x1b6019000 0x1b602ff04', u'55 FrontBoardServices 0x1b6019000 0x1b604a4f4', u'56 libdispatch.dylib 0x100e38000 0x100e3ebd8', u'57 libdispatch.dylib 0x100e38000 0x100e41ffc', u'58 FrontBoardServices 0x1b6019000 0x1b606f418', u'59 FrontBoardServices 0x1b6019000 0x1b606f0e4', u'60 FrontBoardServices 0x1b6019000 0x1b606f60c', u'61 CoreFoundation 0x1b0dc7000 0x1b0e70a00', u'62 CoreFoundation 0x1b0dc7000 0x1b0e70958', u'63 CoreFoundation 0x1b0dc7000 0x1b0e70140', u'64 CoreFoundation 0x1b0dc7000 0x1b0e6b23c', u'65 CoreFoundation 0x1b0dc7000 0x1b0e6aadc', u'66 GraphicsServices 0x1bae08000 0x1bae0b328', u'67 UIKitCore 0x1b4575000 0x1b4f7863c', u'68 QCloudCOSBrowser 0x1001b8000 0x1002a991c', u'69 libdyld.dylib 0x1b0cf3000 0x1b0cf4360'], u'constructed_calls': []}, u'malloc_size': -1, u'malloc_count': -1, u'stack_type': u''}]}, {u'duration': 0.01666, u'threads': [{u'cpu_usage': -1, u'name': u'0', u'frame': {u'value': 0, u'name': u'13', u'calls': [u'1 unkonwn 0x100fac5c0', u'2 unkonwn 0x100fac5c0', u'3 unkonwn 0x100fac5c0', u'4 unkonwn 0x100fac5c0', u'5 unkonwn 0x100fac5c0', u'6 unkonwn 0x100fac5c0', u'7 unkonwn 0x100fac5c0', u'8 unkonwn 0x100fac5c0', u'9 unkonwn 0x100fac5c0', u'10 unkonwn 0x100fac5c0', u'11 unkonwn 0x100fac5c0', u'12 unkonwn 0x100fab9fc', u'13 unkonwn 0x100fa13bc', u'14 unkonwn 0x100fa8348', u'15 libdyld.dylib 0x1b0cf3000 0x1b0cf8460', u'16 UIKitCore 0x1b4575000 0x1b4a20c38', u'17 UIKitCore 0x1b4575000 0x1b4a20bc0', u'18 UIKitCore 0x1b4575000 0x1b4a1d2fc', u'19 UIKitCore 0x1b4575000 0x1b495dc5c', u'20 UIKitCore 0x1b4575000 0x1b495e360', u'21 UIKitCore 0x1b4575000 0x1b4a91554', u'22 UIKitCore 0x1b4575000 0x1b4d8d6d8', u'23 UIKitCore 0x1b4575000 0x1b4dacdc0', u'24 UIKitCore 0x1b4575000 0x1b4d8b31c', u'25 UIKitCore 0x1b4575000 0x1b4d88dcc', u'26 UIKitCore 0x1b4575000 0x1b4d86c34', u'27 WebKit 0x1b8485000 0x1b8754260', u'28 WebKit 0x1b8485000 0x1b86d3434', u'29 WebKit 0x1b8485000 0x1b86d2ecc', u'30 WebKit 0x1b8485000 0x1b8712ec8', u'31 WebKit 0x1b8485000 0x1b8712cc4', u'32 WebKit 0x1b8485000 0x1b848bcc4', u'33 WebKit 0x1b8485000 0x1b848bc50', u'34 WebKit 0x1b8485000 0x1b8489f44', u'35 WebKit 0x1b8485000 0x1b848863c', u'36 QCloudCOSBrowser 0x1001b8000 0x100250858', u'37 QCloudCOSBrowser 0x1001b8000 0x1002befc0', u'38 QCloudCOSBrowser 0x1001b8000 0x1002fa4a4', u'39 UIKitCore 0x1b4575000 0x1b4f6eee4', u'40 UIKitCore 0x1b4575000 0x1b4f70ca0', u'41 UIKitCore 0x1b4575000 0x1b4f7642c', u'42 UIKitCore 0x1b4575000 0x1b4743208', u'43 UIKitCore 0x1b4575000 0x1b4bd9698', u'44 UIKitCore 0x1b4575000 0x1b4743cf0', u'45 UIKitCore 0x1b4575000 0x1b4743748', u'46 UIKitCore 0x1b4575000 0x1b4743b1c', u'47 UIKitCore 0x1b4575000 0x1b47433d8', u'48 UIKitCore 0x1b4575000 0x1b47478c4', u'49 UIKitCore 0x1b4575000 0x1b4b0af08', u'50 UIKitCore 0x1b4575000 0x1b4bf2c84', u'51 UIKitCore 0x1b4575000 0x1b47475fc', u'52 UIKitCore 0x1b4575000 0x1b4bf2b80', u'53 UIKitCore 0x1b4575000 0x1b4747468', u'54 UIKitCore 0x1b4575000 0x1b45b92c0', u'55 UIKitCore 0x1b4575000 0x1b45b7e28', u'56 UIKitCore 0x1b4575000 0x1b45b8ff8', u'57 UIKitCore 0x1b4575000 0x1b4f747e4', u'58 UIKitCore 0x1b4575000 0x1b4b2b900', u'59 FrontBoardServices 0x1b6019000 0x1b60257a0', u'60 FrontBoardServices 0x1b6019000 0x1b604a838', u'61 FrontBoardServices 0x1b6019000 0x1b602ff04', u'62 FrontBoardServices 0x1b6019000 0x1b604a4f4', u'63 libdispatch.dylib 0x100e38000 0x100e3ebd8', u'64 libdispatch.dylib 0x100e38000 0x100e41ffc', u'65 FrontBoardServices 0x1b6019000 0x1b606f418', u'66 FrontBoardServices 0x1b6019000 0x1b606f0e4', u'67 FrontBoardServices 0x1b6019000 0x1b606f60c', u'68 CoreFoundation 0x1b0dc7000 0x1b0e70a00', u'69 CoreFoundation 0x1b0dc7000 0x1b0e70958', u'70 CoreFoundation 0x1b0dc7000 0x1b0e70140', u'71 CoreFoundation 0x1b0dc7000 0x1b0e6b23c', u'72 CoreFoundation 0x1b0dc7000 0x1b0e6aadc', u'73 GraphicsServices 0x1bae08000 0x1bae0b328', u'74 UIKitCore 0x1b4575000 0x1b4f7863c', u'75 QCloudCOSBrowser 0x1001b8000 0x1002a991c', u'76 libdyld.dylib 0x1b0cf3000 0x1b0cf4360'], u'constructed_calls': []}, u'malloc_size': -1, u'malloc_count': -1, u'stack_type': u''}]}, {u'duration': 0.01666, u'threads': [{u'cpu_usage': -1, u'name': u'0', u'frame': {u'value': 0, u'name': u'14', u'calls': [u'1 libobjc.A.dylib 0x1b0c14000 0x1b0c1e730', u'2 libobjc.A.dylib 0x1b0c14000 0x1b0c283d0', u'3 libobjc.A.dylib 0x1b0c14000 0x1b0c163fc', u'4 Foundation 0x1b11a3000 0x1b11bcab4', u'5 Foundation 0x1b11a3000 0x1b11bcbd8', u'6 BaseBoard 0x1b3a82000 0x1b3accc28', u'7 BaseBoard 0x1b3a82000 0x1b3a841a4', u'8 BackBoardServices 0x1b77d2000 0x1b78099bc', u'9 BackBoardServices 0x1b77d2000 0x1b7802f04', u'10 BackBoardServices 0x1b77d2000 0x1b780373c', u'11 BaseBoard 0x1b3a82000 0x1b3a93498', u'12 UIKitCore 0x1b4575000 0x1b4fc0770', u'13 UIKitCore 0x1b4575000 0x1b51a71d4', u'14 UIKitCore 0x1b4575000 0x1b473dd90', u'15 UIKitCore 0x1b4575000 0x1b51a718c', u'16 UIKitCore 0x1b4575000 0x1b45b808c', u'17 UIKitCore 0x1b4575000 0x1b45b8ff8', u'18 UIKitCore 0x1b4575000 0x1b4f747e4', u'19 UIKitCore 0x1b4575000 0x1b4b2b900', u'20 FrontBoardServices 0x1b6019000 0x1b60257a0', u'21 FrontBoardServices 0x1b6019000 0x1b604a838', u'22 FrontBoardServices 0x1b6019000 0x1b602ff04', u'23 FrontBoardServices 0x1b6019000 0x1b604a4f4', u'24 libdispatch.dylib 0x100e38000 0x100e3ebd8', u'25 libdispatch.dylib 0x100e38000 0x100e41ffc', u'26 FrontBoardServices 0x1b6019000 0x1b606f418', u'27 FrontBoardServices 0x1b6019000 0x1b606f0e4', u'28 FrontBoardServices 0x1b6019000 0x1b606f60c', u'29 CoreFoundation 0x1b0dc7000 0x1b0e70a00', u'30 CoreFoundation 0x1b0dc7000 0x1b0e70958', u'31 CoreFoundation 0x1b0dc7000 0x1b0e70140', u'32 CoreFoundation 0x1b0dc7000 0x1b0e6b23c', u'33 CoreFoundation 0x1b0dc7000 0x1b0e6aadc', u'34 GraphicsServices 0x1bae08000 0x1bae0b328', u'35 UIKitCore 0x1b4575000 0x1b4f7863c', u'36 QCloudCOSBrowser 0x1001b8000 0x1002a991c', u'37 libdyld.dylib 0x1b0cf3000 0x1b0cf4360'], u'constructed_calls': []}, u'malloc_size': -1, u'malloc_count': -1, u'stack_type': u''}]}, {u'duration': 0.01666, u'threads': [{u'cpu_usage': -1, u'name': u'0', u'frame': {u'value': 0, u'name': u'15', u'calls': [u'1 libobjc.A.dylib 0x1b0c14000 0x1b0c1e75c', u'2 libobjc.A.dylib 0x1b0c14000 0x1b0c283d0', u'3 libobjc.A.dylib 0x1b0c14000 0x1b0c163fc', u'4 UIKitCore 0x1b4575000 0x1b495e888', u'5 Flutter 0x101ac0000 0x101add4f8', u'6 UIKitCore 0x1b4575000 0x1b495dc5c', u'7 UIKitCore 0x1b4575000 0x1b48d0038', u'8 UIKitCore 0x1b4575000 0x1b48d0354', u'9 UIKitCore 0x1b4575000 0x1b48d121c', u'10 UIKitCore 0x1b4575000 0x1b48d255c', u'11 UIKitCore 0x1b4575000 0x1b48b59e0', u'12 UIKitCore 0x1b4575000 0x1b540e17c', u'13 QuartzCore 0x1b7825000 0x1b79762c0', u'14 QuartzCore 0x1b7825000 0x1b797c43c', u'15 QuartzCore 0x1b7825000 0x1b7987140', u'16 QuartzCore 0x1b7825000 0x1b78cf884', u'17 QuartzCore 0x1b7825000 0x1b78f9574', u'18 UIKitCore 0x1b4575000 0x1b4f8fac8', u'19 CoreFoundation 0x1b0dc7000 0x1b0e70834', u'20 CoreFoundation 0x1b0dc7000 0x1b0e6ffd4', u'21 CoreFoundation 0x1b0dc7000 0x1b0e6b250', u'22 CoreFoundation 0x1b0dc7000 0x1b0e6aadc', u'23 GraphicsServices 0x1bae08000 0x1bae0b328', u'24 UIKitCore 0x1b4575000 0x1b4f7863c', u'25 QCloudCOSBrowser 0x1001b8000 0x1002a991c', u'26 libdyld.dylib 0x1b0cf3000 0x1b0cf4360'], u'constructed_calls': []}, u'malloc_size': -1, u'malloc_count': -1, u'stack_type': u''}]}, {u'duration': 0.01666, u'threads': [{u'cpu_usage': -1, u'name': u'0', u'frame': {u'value': 0, u'name': u'16', u'calls': [u'1 libobjc.A.dylib 0x1b0c14000 0x1b0c21664', u'2 CoreFoundation 0x1b0dc7000 0x1b0e72304', u'3 CoreFoundation 0x1b0dc7000 0x1b0e72304', u'4 CoreFoundation 0x1b0dc7000 0x1b0eb7b34', u'5 CoreFoundation 0x1b0dc7000 0x1b0e72048', u'6 CoreGraphics 0x1b7c33000 0x1b7ccb9e4', u'7 CoreText 0x1b1b5f000 0x1b1c659a0', u'8 CoreText 0x1b1b5f000 0x1b1bd2b9c', u'9 CoreText 0x1b1b5f000 0x1b1bd254c', u'10 CoreText 0x1b1b5f000 0x1b1bda7c0', u'11 CoreText 0x1b1b5f000 0x1b1bd8dc8', u'12 CoreText 0x1b1b5f000 0x1b1bd800c', u'13 CoreText 0x1b1b5f000 0x1b1c34730', u'14 CoreText 0x1b1b5f000 0x1b1c34930', u'15 CoreText 0x1b1b5f000 0x1b1c349f8', u'16 CoreText 0x1b1b5f000 0x1b1bb7cd8', u'17 CoreText 0x1b1b5f000 0x1b1bb80b0', u'18 CoreText 0x1b1b5f000 0x1b1b83620', u'19 CoreText 0x1b1b5f000 0x1b1b83008', u'20 CoreText 0x1b1b5f000 0x1b1b82a74', u'21 CoreText 0x1b1b5f000 0x1b1b823c8', u'22 CoreText 0x1b1b5f000 0x1b1b9a760', u'23 CoreText 0x1b1b5f000 0x1b1b9a5c8', u'24 CoreText 0x1b1b5f000 0x1b1b871cc', u'25 UIFoundation 0x1b4494000 0x1b4518900', u'26 UIFoundation 0x1b4494000 0x1b4514c08', u'27 UIFoundation 0x1b4494000 0x1b44963ac', u'28 UIKitCore 0x1b4575000 0x1b49a62b8', u'29 UIKitCore 0x1b4575000 0x1b49a59cc', u'30 QCloudCOSBrowser 0x1001b8000 0x1002c884c', u'31 UIKitCore 0x1b4575000 0x1b49aa090', u'32 UIKitCore 0x1b4575000 0x1b49a84c8', u'33 UIKitCore 0x1b4575000 0x1b4660880', u'34 UIKitCore 0x1b4575000 0x1b46607c4', u'35 UIKitCore 0x1b4575000 0x1b54051bc', u'36 UIKitCore 0x1b4575000 0x1b53f90e0', u'37 UIKitCore 0x1b4575000 0x1b53f8fc8', u'38 UIKitCore 0x1b4575000 0x1b54078d0', u'39 UIKitCore 0x1b4575000 0x1b531c398', u'40 UIKitCore 0x1b4575000 0x1b531ff1c', u'41 UIKitCore 0x1b4575000 0x1b531fcb4', u'42 UIKitCore 0x1b4575000 0x1b531febc', u'43 UIKitCore 0x1b4575000 0x1b5326fb4', u'44 UIKitCore 0x1b4575000 0x1b464bef0', u'45 UIKitCore 0x1b4575000 0x1b464e280', u'46 UIKitCore 0x1b4575000 0x1b533f4f8', u'47 UIKitCore 0x1b4575000 0x1b533f9c4', u'48 UIKitCore 0x1b4575000 0x1b533f8a8', u'49 Foundation 0x1b11a3000 0x1b11c9ffc', u'50 UIKitCore 0x1b4575000 0x1b533fbe4', u'51 UIKitCore 0x1b4575000 0x1b533f8a8', u'52 Foundation 0x1b11a3000 0x1b11c9ffc', u'53 UIKitCore 0x1b4575000 0x1b53400a0', u'54 UIKitCore 0x1b4575000 0x1b533ea74', u'55 UIKitCore 0x1b4575000 0x1b533fcd8', u'56 UIKitCore 0x1b4575000 0x1b5340b18', u'57 UIKitCore 0x1b4575000 0x1b53fa584', u'58 UIKitCore 0x1b4575000 0x1b48bf56c', u'59 UIKitCore 0x1b4575000 0x1b48bf7a0', u'60 UIKitCore 0x1b4575000 0x1b48d25b8', u'61 UIKitCore 0x1b4575000 0x1b48b59e0', u'62 UIKitCore 0x1b4575000 0x1b540e17c', u'63 QuartzCore 0x1b7825000 0x1b79762c0', u'64 QuartzCore 0x1b7825000 0x1b797c43c', u'65 QuartzCore 0x1b7825000 0x1b7987140', u'66 QuartzCore 0x1b7825000 0x1b78cf884', u'67 QuartzCore 0x1b7825000 0x1b78f9574', u'68 UIKitCore 0x1b4575000 0x1b4f8fac8', u'69 CoreFoundation 0x1b0dc7000 0x1b0e70834', u'70 CoreFoundation 0x1b0dc7000 0x1b0e6ffd4', u'71 CoreFoundation 0x1b0dc7000 0x1b0e6b250', u'72 CoreFoundation 0x1b0dc7000 0x1b0e6aadc', u'73 GraphicsServices 0x1bae08000 0x1bae0b328', u'74 UIKitCore 0x1b4575000 0x1b4f7863c', u'75 QCloudCOSBrowser 0x1001b8000 0x1002a991c', u'76 libdyld.dylib 0x1b0cf3000 0x1b0cf4360'], u'constructed_calls': []}, u'malloc_size': -1, u'malloc_count': -1, u'stack_type': u''}]}, {u'duration': 0.01666, u'threads': [{u'cpu_usage': -1, u'name': u'0', u'frame': {u'value': 0, u'name': u'17', u'calls': [u'1 libsystem_kernel.dylib 0x1b0cc5000 0x1b0ce9c94', u'2 libsystem_pthread.dylib 0x1b0c03000 0x1b0c0b094', u'3 libc++.1.dylib 0x1b0d2e000 0x1b0d3c840', u'4 Flutter 0x101ac0000 0x101afaae4', u'5 Flutter 0x101ac0000 0x101adf268', u'6 UIKitCore 0x1b4575000 0x1b540e354', u'7 QuartzCore 0x1b7825000 0x1b79762c0', u'8 QuartzCore 0x1b7825000 0x1b797c43c', u'9 QuartzCore 0x1b7825000 0x1b7987140', u'10 QuartzCore 0x1b7825000 0x1b78cf884', u'11 QuartzCore 0x1b7825000 0x1b78f9574', u'12 UIKitCore 0x1b4575000 0x1b4f8fac8', u'13 CoreFoundation 0x1b0dc7000 0x1b0e70834', u'14 CoreFoundation 0x1b0dc7000 0x1b0e6ffd4', u'15 CoreFoundation 0x1b0dc7000 0x1b0e6b250', u'16 CoreFoundation 0x1b0dc7000 0x1b0e6aadc', u'17 GraphicsServices 0x1bae08000 0x1bae0b328', u'18 UIKitCore 0x1b4575000 0x1b4f7863c', u'19 QCloudCOSBrowser 0x1001b8000 0x1002a991c', u'20 libdyld.dylib 0x1b0cf3000 0x1b0cf4360'], u'constructed_calls': []}, u'malloc_size': -1, u'malloc_count': -1, u'stack_type': u''}]}, {u'duration': 0.01666, u'threads': [{u'cpu_usage': -1, u'name': u'0', u'frame': {u'value': 0, u'name': u'18', u'calls': [u'1 libz.1.dylib 0x1e6308000 0x1e6313644', u'2 libz.1.dylib 0x1e6308000 0x1e631391c', u'3 ImageIO 0x1b166e000 0x1b1837fec', u'4 ImageIO 0x1b166e000 0x1b187a318', u'5 ImageIO 0x1b166e000 0x1b16e3818', u'6 ImageIO 0x1b166e000 0x1b16e31b8', u'7 ImageIO 0x1b166e000 0x1b16e2b70', u'8 ImageIO 0x1b166e000 0x1b16df2a0', u'9 ImageIO 0x1b166e000 0x1b16eb570', u'10 CoreGraphics 0x1b7c33000 0x1b7f29424', u'11 CoreGraphics 0x1b7c33000 0x1b7d2aa88', u'12 CoreGraphics 0x1b7c33000 0x1b7e93cf4', u'13 CoreGraphics 0x1b7c33000 0x1b7d2aa88', u'14 CoreGraphics 0x1b7c33000 0x1b7f18e8c', u'15 CoreGraphics 0x1b7c33000 0x1b7e06a1c', u'16 CoreGraphics 0x1b7c33000 0x1b7e04868', u'17 CoreGraphics 0x1b7c33000 0x1b7c359dc', u'18 CoreGraphics 0x1b7c33000 0x1b7e1f7bc', u'19 CoreGraphics 0x1b7c33000 0x1b7e0b4dc', u'20 QuartzCore 0x1b7825000 0x1b784c6a0', u'21 QuartzCore 0x1b7825000 0x1b784e864', u'22 QuartzCore 0x1b7825000 0x1b784f2d8', u'23 QuartzCore 0x1b7825000 0x1b7987568', u'24 QuartzCore 0x1b7825000 0x1b78cf890', u'25 QuartzCore 0x1b7825000 0x1b78f9574', u'26 UIKitCore 0x1b4575000 0x1b4f8fac8', u'27 CoreFoundation 0x1b0dc7000 0x1b0e70834', u'28 CoreFoundation 0x1b0dc7000 0x1b0e6ffd4', u'29 CoreFoundation 0x1b0dc7000 0x1b0e6b250', u'30 CoreFoundation 0x1b0dc7000 0x1b0e6aadc', u'31 GraphicsServices 0x1bae08000 0x1bae0b328', u'32 UIKitCore 0x1b4575000 0x1b4f7863c', u'33 QCloudCOSBrowser 0x1001b8000 0x1002a991c', u'34 libdyld.dylib 0x1b0cf3000 0x1b0cf4360'], u'constructed_calls': []}, u'malloc_size': -1, u'malloc_count': -1, u'stack_type': u''}]}, {u'duration': 0.01666, u'threads': [{u'cpu_usage': -1, u'name': u'0', u'frame': {u'value': 0, u'name': u'19', u'calls': [u'1 CoreGraphics 0x1b7c33000 0x1b7c5fc88', u'2 unkonwn 0x4', u'3 CoreGraphics 0x1b7c33000 0x1b7ea4764', u'4 CoreGraphics 0x1b7c33000 0x1b7e94390', u'5 CoreGraphics 0x1b7c33000 0x1b7d2a4c0', u'6 CoreGraphics 0x1b7c33000 0x1b7f191c0', u'7 CoreGraphics 0x1b7c33000 0x1b7dfdcd8', u'8 CoreGraphics 0x1b7c33000 0x1b7e085dc', u'9 CoreGraphics 0x1b7c33000 0x1b7e04868', u'10 CoreGraphics 0x1b7c33000 0x1b7c359dc', u'11 CoreGraphics 0x1b7c33000 0x1b7e1f7bc', u'12 CoreGraphics 0x1b7c33000 0x1b7e0b4dc', u'13 QuartzCore 0x1b7825000 0x1b784c6a0', u'14 QuartzCore 0x1b7825000 0x1b784e864', u'15 QuartzCore 0x1b7825000 0x1b784f2d8', u'16 QuartzCore 0x1b7825000 0x1b7987568', u'17 QuartzCore 0x1b7825000 0x1b78cf890', u'18 QuartzCore 0x1b7825000 0x1b78f9574', u'19 UIKitCore 0x1b4575000 0x1b4f8fac8', u'20 CoreFoundation 0x1b0dc7000 0x1b0e70834', u'21 CoreFoundation 0x1b0dc7000 0x1b0e6ffd4', u'22 CoreFoundation 0x1b0dc7000 0x1b0e6b250', u'23 CoreFoundation 0x1b0dc7000 0x1b0e6aadc', u'24 GraphicsServices 0x1bae08000 0x1bae0b328', u'25 UIKitCore 0x1b4575000 0x1b4f7863c', u'26 QCloudCOSBrowser 0x1001b8000 0x1002a991c', u'27 libdyld.dylib 0x1b0cf3000 0x1b0cf4360'], u'constructed_calls': []}, u'malloc_size': -1, u'malloc_count': -1, u'stack_type': u''}]}, {u'duration': 0.01666, u'threads': [{u'cpu_usage': -1, u'name': u'0', u'frame': {u'value': 0, u'name': u'20', u'calls': [u'1 CoreGraphics 0x1b7c33000 0x1b7c5fca0', u'2 unkonwn 0x4', u'3 CoreGraphics 0x1b7c33000 0x1b7ea4764', u'4 CoreGraphics 0x1b7c33000 0x1b7e94390', u'5 CoreGraphics 0x1b7c33000 0x1b7d2a4c0', u'6 CoreGraphics 0x1b7c33000 0x1b7f191c0', u'7 CoreGraphics 0x1b7c33000 0x1b7dfdcd8', u'8 CoreGraphics 0x1b7c33000 0x1b7e085dc', u'9 CoreGraphics 0x1b7c33000 0x1b7e04868', u'10 CoreGraphics 0x1b7c33000 0x1b7c359dc', u'11 CoreGraphics 0x1b7c33000 0x1b7e1f7bc', u'12 CoreGraphics 0x1b7c33000 0x1b7e0b4dc', u'13 QuartzCore 0x1b7825000 0x1b784c6a0', u'14 QuartzCore 0x1b7825000 0x1b784e864', u'15 QuartzCore 0x1b7825000 0x1b784f2d8', u'16 QuartzCore 0x1b7825000 0x1b7987568', u'17 QuartzCore 0x1b7825000 0x1b78cf890', u'18 QuartzCore 0x1b7825000 0x1b78f9574', u'19 UIKitCore 0x1b4575000 0x1b4f8fac8', u'20 CoreFoundation 0x1b0dc7000 0x1b0e70834', u'21 CoreFoundation 0x1b0dc7000 0x1b0e6ffd4', u'22 CoreFoundation 0x1b0dc7000 0x1b0e6b250', u'23 CoreFoundation 0x1b0dc7000 0x1b0e6aadc', u'24 GraphicsServices 0x1bae08000 0x1bae0b328', u'25 UIKitCore 0x1b4575000 0x1b4f7863c', u'26 QCloudCOSBrowser 0x1001b8000 0x1002a991c', u'27 libdyld.dylib 0x1b0cf3000 0x1b0cf4360'], u'constructed_calls': []}, u'malloc_size': -1, u'malloc_count': -1, u'stack_type': u''}]}, {u'duration': 0.01666, u'threads': [{u'cpu_usage': -1, u'name': u'0', u'frame': {u'value': 0, u'name': u'21', u'calls': [u'1 libobjc.A.dylib 0x1b0c14000 0x1b0c160ac', u'2 QCloudCOSBrowser 0x1001b8000 0x10023e684', u'3 QCloudCOSBrowser 0x1001b8000 0x1004dc3c8', u'4 CoreData 0x1b57b3000 0x1b5847bfc', u'5 CoreData 0x1b57b3000 0x1b593dd90', u'6 CoreData 0x1b57b3000 0x1b59173b0', u'7 CoreData 0x1b57b3000 0x1b5923a04', u'8 libdispatch.dylib 0x100e38000 0x100e3ebd8', u'9 libdispatch.dylib 0x100e38000 0x100e4d858', u'10 CoreData 0x1b57b3000 0x1b59147fc', u'11 CoreData 0x1b57b3000 0x1b57b7f90', u'12 QCloudCOSBrowser 0x1001b8000 0x1003a2338', u'13 QCloudCOSBrowser 0x1001b8000 0x1003a2174', u'14 QCloudCOSBrowser 0x1001b8000 0x1003a3c78', u'15 QCloudCOSBrowser 0x1001b8000 0x1003a3ee0', u'16 QCloudCOSBrowser 0x1001b8000 0x10038e500', u'17 QCloudCOSBrowser 0x1001b8000 0x10021b368', u'18 QCloudCOSBrowser 0x1001b8000 0x1002e55a8', u'19 QCloudCOSBrowser 0x1001b8000 0x1002ab1cc', u'20 CoreFoundation 0x1b0dc7000 0x1b0e4e288', u'21 CoreFoundation 0x1b0dc7000 0x1b0e4e2d0', u'22 CoreFoundation 0x1b0dc7000 0x1b0e4d630', u'23 CoreFoundation 0x1b0dc7000 0x1b0e4d2e8', u'24 CoreFoundation 0x1b0dc7000 0x1b0dc959c', u'25 CoreFoundation 0x1b0dc7000 0x1b0e4cc38', u'26 Foundation 0x1b11a3000 0x1b11a90c8', u'27 QCloudCOSBrowser 0x1001b8000 0x1003e50b8', u'28 libdispatch.dylib 0x100e38000 0x100e3d7fc', u'29 libdispatch.dylib 0x100e38000 0x100e3ebd8', u'30 libdispatch.dylib 0x100e38000 0x100e4cc34', u'31 CoreFoundation 0x1b0dc7000 0x1b0e705e4', u'32 CoreFoundation 0x1b0dc7000 0x1b0e6b5d8', u'33 CoreFoundation 0x1b0dc7000 0x1b0e6aadc', u'34 GraphicsServices 0x1bae08000 0x1bae0b328', u'35 UIKitCore 0x1b4575000 0x1b4f7863c', u'36 QCloudCOSBrowser 0x1001b8000 0x1002a991c', u'37 libdyld.dylib 0x1b0cf3000 0x1b0cf4360'], u'constructed_calls': []}, u'malloc_size': -1, u'malloc_count': -1, u'stack_type': u''}]}, {u'duration': 0.01666, u'threads': [{u'cpu_usage': -1, u'name': u'0', u'frame': {u'value': 0, u'name': u'22', u'calls': [u'1 FrontBoardServices 0x1b6019000 0x1b603e22c', u'2 libobjc.A.dylib 0x1b0c14000 0x1b0c190e8', u'3 libobjc.A.dylib 0x1b0c14000 0x1b0c2bd7c', u'4 CoreFoundation 0x1b0dc7000 0x1b0df820c', u'5 FrontBoardServices 0x1b6019000 0x1b603db00', u'6 FrontBoardServices 0x1b6019000 0x1b60495cc', u'7 libsystem_blocks.dylib 0x1b0ae5000 0x1b0ae5a48', u'8 libdispatch.dylib 0x100e38000 0x100e3f024', u'9 libsystem_blocks.dylib 0x1b0ae5000 0x1b0ae5a48', u'10 FrontBoardServices 0x1b6019000 0x1b606f1b8', u'11 FrontBoardServices 0x1b6019000 0x1b606f60c', u'12 CoreFoundation 0x1b0dc7000 0x1b0e70a00', u'13 CoreFoundation 0x1b0dc7000 0x1b0e70958', u'14 CoreFoundation 0x1b0dc7000 0x1b0e70140', u'15 CoreFoundation 0x1b0dc7000 0x1b0e6b23c', u'16 CoreFoundation 0x1b0dc7000 0x1b0e6aadc', u'17 GraphicsServices 0x1bae08000 0x1bae0b328', u'18 UIKitCore 0x1b4575000 0x1b4f7863c', u'19 QCloudCOSBrowser 0x1001b8000 0x1002a991c', u'20 libdyld.dylib 0x1b0cf3000 0x1b0cf4360'], u'constructed_calls': []}, u'malloc_size': -1, u'malloc_count': -1, u'stack_type': u''}]}]}, u'is_translated': False, u'timecost': u'0.419449', u'q': u'0', u'event_time': u'2020-04-01T17:46:23.959+0800', u'apm_translate_summary': u'itrans_msg: [4] TransItemList.translate.TranslateSymbol(a636e358-73fd-11ea-bb8f-f21af8630ae6), has some error: GetSymbolBlockKeysOfAddressList. error: config.symbolIndexMod not init. config: {identify:{pid:1820 rdmuuid:0 arch:arm64 name:QCloudCOSBrowser allNames:[QCloudCOSBrowser] version: osBuild:17D50 sysNames:[libsystem_c.dylib libsystem_trace.dylib CoreFoundation Foundation UIKitCore FrontBoardServices libdispatch.dylib GraphicsServices libdyld.dylib CFNetwork libsystem_kernel.dylib libsystem_pthread.dy', u'version': u'2.1.0.1', u'ip': u'59.37.125.38', u'apm_entrance_filesize': 6800, u'is_dyeing': False, u'user_classification': u'0', u'TraceInfo': {u'uberctx-sdk_ver': u'3.2.6', u'uber-trace-id': u'603181e9665d694f:21c36375eeb44e:3d5c7590476d3279:0', u'uberctx-pid': u'1820', u'uberctx-file_path': u'http://sngapmpublic-1253358381.cosgz.myqcloud.com/entrance/1820/2/2020-04-01/d88f989f-9036-4fe2-bbd5-c01463f60460', u'uberctx-apm_identify': u'd88f989f-9036-4fe2-bbd5-c01463f60460', u'uberctx-uin': u'AKIDeGk4DAOXxCF7oJenmcJpAKJ7nKhspjOt', u'uberctx-deviceid': u'EFE02E59-DD26-4D43-9EBB-BD35B871E137', u'uberctx-plugin': u'2', u'uberctx-vip': u'false'}, u'cost_time': 419.449, u'plugin_ver': 1, u'apm_entrance_time': u'2020-04-01T17:46:23.959+0800', u'client_identify': u'3DEA65CC-8AC4-416C-95A1-12105B8F4930', u'device': u'iPhone10,3', u'arch': u'arm64', u'stack': {u'time_slices': [{u'duration': 0.01666, u'threads': [{u'cpu_usage': -1, u'name': u'0', u'frame': {u'value': 0, u'name': u'0', u'calls': [u'1 libsystem_c.dylib 0x1b0ae6000 0x1b0b32ecc', u'2 libsystem_trace.dylib 0x1b0a9c000 0x1b0aa3ab8', u'3 libsystem_trace.dylib 0x1b0a9c000 0x1b0aaba38', u'4 libsystem_trace.dylib 0x1b0a9c000 0x1b0aaab5c', u'5 libsystem_trace.dylib 0x1b0a9c000 0x1b0aacaa0', u'6 CoreFoundation 0x1b0dc7000 0x1b0edf77c', u'7 Foundation 0x1b11a3000 0x1b12bf718', u'8 Foundation 0x1b11a3000 0x1b12bf75c', u'9 QCloudCOSBrowser 0x1001b8000 0x1002be5f0', u'10 QCloudCOSBrowser 0x1001b8000 0x1006b433c', u'11 QCloudCOSBrowser 0x1001b8000 0x1006b2bb4', u'12 QCloudCOSBrowser 0x1001b8000 0x1006a5994', u'13 QCloudCOSBrowser 0x1001b8000 0x1006a4f84', u'14 QCloudCOSBrowser 0x1001b8000 0x1002bef10', u'15 QCloudCOSBrowser 0x1001b8000 0x1002fa4a4', u'16 UIKitCore 0x1b4575000 0x1b4f6eee4', u'17 UIKitCore 0x1b4575000 0x1b4f70ca0', u'18 UIKitCore 0x1b4575000 0x1b4f7642c', u'19 UIKitCore 0x1b4575000 0x1b4743208', u'20 UIKitCore 0x1b4575000 0x1b4bd9698', u'21 UIKitCore 0x1b4575000 0x1b4743cf0', u'22 UIKitCore 0x1b4575000 0x1b4743748', u'23 UIKitCore 0x1b4575000 0x1b4743b1c', u'24 UIKitCore 0x1b4575000 0x1b47433d8', u'25 UIKitCore 0x1b4575000 0x1b47478c4', u'26 UIKitCore 0x1b4575000 0x1b4b0af08', u'27 UIKitCore 0x1b4575000 0x1b4bf2c84', u'28 UIKitCore 0x1b4575000 0x1b47475fc', u'29 UIKitCore 0x1b4575000 0x1b4bf2b80', u'30 UIKitCore 0x1b4575000 0x1b4747468', u'31 UIKitCore 0x1b4575000 0x1b45b92c0', u'32 UIKitCore 0x1b4575000 0x1b45b7e28', u'33 UIKitCore 0x1b4575000 0x1b45b8ff8', u'34 UIKitCore 0x1b4575000 0x1b4f747e4', u'35 UIKitCore 0x1b4575000 0x1b4b2b900', u'36 FrontBoardServices 0x1b6019000 0x1b60257a0', u'37 FrontBoardServices 0x1b6019000 0x1b604a838', u'38 FrontBoardServices 0x1b6019000 0x1b602ff04', u'39 FrontBoardServices 0x1b6019000 0x1b604a4f4', u'40 libdispatch.dylib 0x100e38000 0x100e3ebd8', u'41 libdispatch.dylib 0x100e38000 0x100e41ffc', u'42 FrontBoardServices 0x1b6019000 0x1b606f418', u'43 FrontBoardServices 0x1b6019000 0x1b606f0e4', u'44 FrontBoardServices 0x1b6019000 0x1b606f60c', u'45 CoreFoundation 0x1b0dc7000 0x1b0e70a00', u'46 CoreFoundation 0x1b0dc7000 0x1b0e70958', u'47 CoreFoundation 0x1b0dc7000 0x1b0e70140', u'48 CoreFoundation 0x1b0dc7000 0x1b0e6b23c', u'49 CoreFoundation 0x1b0dc7000 0x1b0e6aadc', u'50 GraphicsServices 0x1bae08000 0x1bae0b328', u'51 UIKitCore 0x1b4575000 0x1b4f7863c', u'52 QCloudCOSBrowser 0x1001b8000 0x1002a991c', u'53 libdyld.dylib 0x1b0cf3000 0x1b0cf4360'], u'constructed_calls': []}, u'malloc_size': -1, u'malloc_count': -1, u'stack_type': u''}]}, {u'duration': 0.01666, u'threads': [{u'cpu_usage': -1, u'name': u'0', u'frame': {u'value': 0, u'name': u'1', u'calls': [u'1 unkonwn 0x100fa6004', u'2 unkonwn 0x100fab9e0', u'3 unkonwn 0x100fa13bc', u'4 unkonwn 0x100fa8348', u'5 libdyld.dylib 0x1b0cf3000 0x1b0cf8460', u'6 CFNetwork 0x1b4133000 0x1b42dc4ec', u'7 libdispatch.dylib 0x100e38000 0x100e3ebd8', u'8 libdispatch.dylib 0x100e38000 0x100e404c8', u'9 CFNetwork 0x1b4133000 0x1b42dc4b4', u'10 CFNetwork 0x1b4133000 0x1b413c6f0', u'11 CFNetwork 0x1b4133000 0x1b4143648', u'12 CFNetwork 0x1b4133000 0x1b4371c50', u'13 libdispatch.dylib 0x100e38000 0x100e3ebd8', u'14 libdispatch.dylib 0x100e38000 0x100e404c8', u'15 CFNetwork 0x1b4133000 0x1b4371a94', u'16 CFNetwork 0x1b4133000 0x1b42eae64', u'17 libdispatch.dylib 0x100e38000 0x100e3ebd8', u'18 libdispatch.dylib 0x100e38000 0x100e404c8', u'19 CFNetwork 0x1b4133000 0x1b4148f08', u'20 QCloudCOSBrowser 0x1001b8000 0x100209034', u'21 QCloudCOSBrowser 0x1001b8000 0x1002d8c58', u'22 QCloudCOSBrowser 0x1001b8000 0x1002df9e4', u'23 QCloudCOSBrowser 0x1001b8000 0x1002be4a8', u'24 QCloudCOSBrowser 0x1001b8000 0x1002be59c', u'25 QCloudCOSBrowser 0x1001b8000 0x1002be514', u'26 QCloudCOSBrowser 0x1001b8000 0x1002bfa0c', u'27 QCloudCOSBrowser 0x1001b8000 0x1002befa0', u'28 QCloudCOSBrowser 0x1001b8000 0x1002fa4a4', u'29 UIKitCore 0x1b4575000 0x1b4f6eee4', u'30 UIKitCore 0x1b4575000 0x1b4f70ca0', u'31 UIKitCore 0x1b4575000 0x1b4f7642c', u'32 UIKitCore 0x1b4575000 0x1b4743208', u'33 UIKitCore 0x1b4575000 0x1b4bd9698', u'34 UIKitCore 0x1b4575000 0x1b4743cf0', u'35 UIKitCore 0x1b4575000 0x1b4743748', u'36 UIKitCore 0x1b4575000 0x1b4743b1c', u'37 UIKitCore 0x1b4575000 0x1b47433d8', u'38 UIKitCore 0x1b4575000 0x1b47478c4', u'39 UIKitCore 0x1b4575000 0x1b4b0af08', u'40 UIKitCore 0x1b4575000 0x1b4bf2c84', u'41 UIKitCore 0x1b4575000 0x1b47475fc', u'42 UIKitCore 0x1b4575000 0x1b4bf2b80', u'43 UIKitCore 0x1b4575000 0x1b4747468', u'44 UIKitCore 0x1b4575000 0x1b45b92c0', u'45 UIKitCore 0x1b4575000 0x1b45b7e28', u'46 UIKitCore 0x1b4575000 0x1b45b8ff8', u'47 UIKitCore 0x1b4575000 0x1b4f747e4', u'48 UIKitCore 0x1b4575000 0x1b4b2b900', u'49 FrontBoardServices 0x1b6019000 0x1b60257a0', u'50 FrontBoardServices 0x1b6019000 0x1b604a838', u'51 FrontBoardServices 0x1b6019000 0x1b602ff04', u'52 FrontBoardServices 0x1b6019000 0x1b604a4f4', u'53 libdispatch.dylib 0x100e38000 0x100e3ebd8', u'54 libdispatch.dylib 0x100e38000 0x100e41ffc', u'55 FrontBoardServices 0x1b6019000 0x1b606f418', u'56 FrontBoardServices 0x1b6019000 0x1b606f0e4', u'57 FrontBoardServices 0x1b6019000 0x1b606f60c', u'58 CoreFoundation 0x1b0dc7000 0x1b0e70a00', u'59 CoreFoundation 0x1b0dc7000 0x1b0e70958', u'60 CoreFoundation 0x1b0dc7000 0x1b0e70140', u'61 CoreFoundation 0x1b0dc7000 0x1b0e6b23c', u'62 CoreFoundation 0x1b0dc7000 0x1b0e6aadc', u'63 GraphicsServices 0x1bae08000 0x1bae0b328', u'64 UIKitCore 0x1b4575000 0x1b4f7863c', u'65 QCloudCOSBrowser 0x1001b8000 0x1002a991c', u'66 libdyld.dylib 0x1b0cf3000 0x1b0cf4360'], u'constructed_calls': []}, u'malloc_size': -1, u'malloc_count': -1, u'stack_type': u''}]}, {u'duration': 0.01666, u'threads': [{u'cpu_usage': -1, u'name': u'0', u'frame': {u'value': 0, u'name': u'2', u'calls': [u'1 libsystem_kernel.dylib 0x1b0cc5000 0x1b0cec264', u'2 CoreFoundation 0x1b0dc7000 0x1b0e3e73c', u'3 CoreFoundation 0x1b0dc7000 0x1b0ec6dd8', u'4 CoreFoundation 0x1b0dc7000 0x1b0ede5d0', u'5 CoreFoundation 0x1b0dc7000 0x1b0f31a24', u'6 Foundation 0x1b11a3000 0x1b11bd7e8', u'7 UIKitCore 0x1b4575000 0x1b4fdfcb4', u'8 UIKitCore 0x1b4575000 0x1b4fe0088', u'9 QCloudCOSBrowser 0x1001b8000 0x1001cc3e4', u'10 QCloudCOSBrowser 0x1001b8000 0x1001cec98', u'11 QCloudCOSBrowser 0x1001b8000 0x1002d8ee0', u'12 QCloudCOSBrowser 0x1001b8000 0x1003e2200', u'13 QCloudCOSBrowser 0x1001b8000 0x1002be52c', u'14 QCloudCOSBrowser 0x1001b8000 0x1002bfa0c', u'15 QCloudCOSBrowser 0x1001b8000 0x1002befa0', u'16 QCloudCOSBrowser 0x1001b8000 0x1002fa4a4', u'17 UIKitCore 0x1b4575000 0x1b4f6eee4', u'18 UIKitCore 0x1b4575000 0x1b4f70ca0', u'19 UIKitCore 0x1b4575000 0x1b4f7642c', u'20 UIKitCore 0x1b4575000 0x1b4743208', u'21 UIKitCore 0x1b4575000 0x1b4bd9698', u'22 UIKitCore 0x1b4575000 0x1b4743cf0', u'23 UIKitCore 0x1b4575000 0x1b4743748', u'24 UIKitCore 0x1b4575000 0x1b4743b1c', u'25 UIKitCore 0x1b4575000 0x1b47433d8', u'26 UIKitCore 0x1b4575000 0x1b47478c4', u'27 UIKitCore 0x1b4575000 0x1b4b0af08', u'28 UIKitCore 0x1b4575000 0x1b4bf2c84', u'29 UIKitCore 0x1b4575000 0x1b47475fc', u'30 UIKitCore 0x1b4575000 0x1b4bf2b80', u'31 UIKitCore 0x1b4575000 0x1b4747468', u'32 UIKitCore 0x1b4575000 0x1b45b92c0', u'33 UIKitCore 0x1b4575000 0x1b45b7e28', u'34 UIKitCore 0x1b4575000 0x1b45b8ff8', u'35 UIKitCore 0x1b4575000 0x1b4f747e4', u'36 UIKitCore 0x1b4575000 0x1b4b2b900', u'37 FrontBoardServices 0x1b6019000 0x1b60257a0', u'38 FrontBoardServices 0x1b6019000 0x1b604a838', u'39 FrontBoardServices 0x1b6019000 0x1b602ff04', u'40 FrontBoardServices 0x1b6019000 0x1b604a4f4', u'41 libdispatch.dylib 0x100e38000 0x100e3ebd8', u'42 libdispatch.dylib 0x100e38000 0x100e41ffc', u'43 FrontBoardServices 0x1b6019000 0x1b606f418', u'44 FrontBoardServices 0x1b6019000 0x1b606f0e4', u'45 FrontBoardServices 0x1b6019000 0x1b606f60c', u'46 CoreFoundation 0x1b0dc7000 0x1b0e70a00', u'47 CoreFoundation 0x1b0dc7000 0x1b0e70958', u'48 CoreFoundation 0x1b0dc7000 0x1b0e70140', u'49 CoreFoundation 0x1b0dc7000 0x1b0e6b23c', u'50 CoreFoundation 0x1b0dc7000 0x1b0e6aadc', u'51 GraphicsServices 0x1bae08000 0x1bae0b328', u'52 UIKitCore 0x1b4575000 0x1b4f7863c', u'53 QCloudCOSBrowser 0x1001b8000 0x1002a991c', u'54 libdyld.dylib 0x1b0cf3000 0x1b0cf4360'], u'constructed_calls': []}, u'malloc_size': -1, u'malloc_count': -1, u'stack_type': u''}]}, {u'duration': 0.01666, u'threads': [{u'cpu_usage': -1, u'name': u'0', u'frame': {u'value': 0, u'name': u'3', u'calls': [u'1 unkonwn 0x100fac590', u'2 unkonwn 0x100fac58c', u'3 unkonwn 0x100fac5c0', u'4 unkonwn 0x100fac5c0', u'5 unkonwn 0x100fac5c0', u'6 unkonwn 0x100fac5c0', u'7 unkonwn 0x100fac5c0', u'8 unkonwn 0x100fac5c0', u'9 unkonwn 0x100fab9fc', u'10 unkonwn 0x100fa13bc', u'11 unkonwn 0x100fa8348', u'12 libdyld.dylib 0x1b0cf3000 0x1b0cf8460', u'13 UIKitCore 0x1b4575000 0x1b4d25880', u'14 UIKitCore 0x1b4575000 0x1b4d25808', u'15 UIKitCore 0x1b4575000 0x1b4d1f480', u'16 UIKitCore 0x1b4575000 0x1b4d27264', u'17 UIKitCore 0x1b4575000 0x1b4d27600', u'18 UIKitCore 0x1b4575000 0x1b46fc380', u'19 UIKitCore 0x1b4575000 0x1b46fc328', u'20 UIKitCore 0x1b4575000 0x1b46fb168', u'21 UIKitCore 0x1b4575000 0x1b46fd160', u'22 UIKitCore 0x1b4575000 0x1b46f8c88', u'23 UIKitCore 0x1b4575000 0x1b46dc540', u'24 UIKitCore 0x1b4575000 0x1b4fdfcd4', u'25 UIKitCore 0x1b4575000 0x1b4fe0088', u'26 QCloudCOSBrowser 0x1001b8000 0x1001cc3e4', u'27 QCloudCOSBrowser 0x1001b8000 0x1001cec98', u'28 QCloudCOSBrowser 0x1001b8000 0x1002d8ee0', u'29 QCloudCOSBrowser 0x1001b8000 0x1003e2200', u'30 QCloudCOSBrowser 0x1001b8000 0x1002be52c', u'31 QCloudCOSBrowser 0x1001b8000 0x1002bfa0c', u'32 QCloudCOSBrowser 0x1001b8000 0x1002befa0', u'33 QCloudCOSBrowser 0x1001b8000 0x1002fa4a4', u'34 UIKitCore 0x1b4575000 0x1b4f6eee4', u'35 UIKitCore 0x1b4575000 0x1b4f70ca0', u'36 UIKitCore 0x1b4575000 0x1b4f7642c', u'37 UIKitCore 0x1b4575000 0x1b4743208', u'38 UIKitCore 0x1b4575000 0x1b4bd9698', u'39 UIKitCore 0x1b4575000 0x1b4743cf0', u'40 UIKitCore 0x1b4575000 0x1b4743748', u'41 UIKitCore 0x1b4575000 0x1b4743b1c', u'42 UIKitCore 0x1b4575000 0x1b47433d8', u'43 UIKitCore 0x1b4575000 0x1b47478c4', u'44 UIKitCore 0x1b4575000 0x1b4b0af08', u'45 UIKitCore 0x1b4575000 0x1b4bf2c84', u'46 UIKitCore 0x1b4575000 0x1b47475fc', u'47 UIKitCore 0x1b4575000 0x1b4bf2b80', u'48 UIKitCore 0x1b4575000 0x1b4747468', u'49 UIKitCore 0x1b4575000 0x1b45b92c0', u'50 UIKitCore 0x1b4575000 0x1b45b7e28', u'51 UIKitCore 0x1b4575000 0x1b45b8ff8', u'52 UIKitCore 0x1b4575000 0x1b4f747e4', u'53 UIKitCore 0x1b4575000 0x1b4b2b900', u'54 FrontBoardServices 0x1b6019000 0x1b60257a0', u'55 FrontBoardServices 0x1b6019000 0x1b604a838', u'56 FrontBoardServices 0x1b6019000 0x1b602ff04', u'57 FrontBoardServices 0x1b6019000 0x1b604a4f4', u'58 libdispatch.dylib 0x100e38000 0x100e3ebd8', u'59 libdispatch.dylib 0x100e38000 0x100e41ffc', u'60 FrontBoardServices 0x1b6019000 0x1b606f418', u'61 FrontBoardServices 0x1b6019000 0x1b606f0e4', u'62 FrontBoardServices 0x1b6019000 0x1b606f60c', u'63 CoreFoundation 0x1b0dc7000 0x1b0e70a00', u'64 CoreFoundation 0x1b0dc7000 0x1b0e70958', u'65 CoreFoundation 0x1b0dc7000 0x1b0e70140', u'66 CoreFoundation 0x1b0dc7000 0x1b0e6b23c', u'67 CoreFoundation 0x1b0dc7000 0x1b0e6aadc', u'68 GraphicsServices 0x1bae08000 0x1bae0b328', u'69 UIKitCore 0x1b4575000 0x1b4f7863c', u'70 QCloudCOSBrowser 0x1001b8000 0x1002a991c', u'71 libdyld.dylib 0x1b0cf3000 0x1b0cf4360'], u'constructed_calls': []}, u'malloc_size': -1, u'malloc_count': -1, u'stack_type': u''}]}, {u'duration': 0.01666, u'threads': [{u'cpu_usage': -1, u'name': u'0', u'frame': {u'value': 0, u'name': u'4', u'calls': [u'1 libsystem_kernel.dylib 0x1b0cc5000 0x1b0ce9ce4', u'2 libsystem_pthread.dylib 0x1b0c03000 0x1b0c0bd38', u'3 libsystem_pthread.dylib 0x1b0c03000 0x1b0c0bcac', u'4 libdyld.dylib 0x1b0cf3000 0x1b0cf6d48', u'5 libdyld.dylib 0x1b0cf3000 0x1b0cf85f0', u'6 UIKitCore 0x1b4575000 0x1b4d25ba8', u'7 UIKitCore 0x1b4575000 0x1b4d25640', u'8 UIKitCore 0x1b4575000 0x1b4d2558c', u'9 libdispatch.dylib 0x100e38000 0x100e3ebd8', u'10 libdispatch.dylib 0x100e38000 0x100e404c8', u'11 UIKitCore 0x1b4575000 0x1b4d25564', u'12 UIKitCore 0x1b4575000 0x1b4d27384', u'13 UIKitCore 0x1b4575000 0x1b4d27600', u'14 UIKitCore 0x1b4575000 0x1b46fc380', u'15 UIKitCore 0x1b4575000 0x1b46fc328', u'16 UIKitCore 0x1b4575000 0x1b46fb168', u'17 UIKitCore 0x1b4575000 0x1b46fd160', u'18 UIKitCore 0x1b4575000 0x1b46f8c88', u'19 UIKitCore 0x1b4575000 0x1b46dc540', u'20 UIKitCore 0x1b4575000 0x1b4fdfcd4', u'21 UIKitCore 0x1b4575000 0x1b4fe0088', u'22 QCloudCOSBrowser 0x1001b8000 0x1001cc3e4', u'23 QCloudCOSBrowser 0x1001b8000 0x1001cec98', u'24 QCloudCOSBrowser 0x1001b8000 0x1002d8ee0', u'25 QCloudCOSBrowser 0x1001b8000 0x1003e2200', u'26 QCloudCOSBrowser 0x1001b8000 0x1002be52c', u'27 QCloudCOSBrowser 0x1001b8000 0x1002bfa0c', u'28 QCloudCOSBrowser 0x1001b8000 0x1002befa0', u'29 QCloudCOSBrowser 0x1001b8000 0x1002fa4a4', u'30 UIKitCore 0x1b4575000 0x1b4f6eee4', u'31 UIKitCore 0x1b4575000 0x1b4f70ca0', u'32 UIKitCore 0x1b4575000 0x1b4f7642c', u'33 UIKitCore 0x1b4575000 0x1b4743208', u'34 UIKitCore 0x1b4575000 0x1b4bd9698', u'35 UIKitCore 0x1b4575000 0x1b4743cf0', u'36 UIKitCore 0x1b4575000 0x1b4743748', u'37 UIKitCore 0x1b4575000 0x1b4743b1c', u'38 UIKitCore 0x1b4575000 0x1b47433d8', u'39 UIKitCore 0x1b4575000 0x1b47478c4', u'40 UIKitCore 0x1b4575000 0x1b4b0af08', u'41 UIKitCore 0x1b4575000 0x1b4bf2c84', u'42 UIKitCore 0x1b4575000 0x1b47475fc', u'43 UIKitCore 0x1b4575000 0x1b4bf2b80', u'44 UIKitCore 0x1b4575000 0x1b4747468', u'45 UIKitCore 0x1b4575000 0x1b45b92c0', u'46 UIKitCore 0x1b4575000 0x1b45b7e28', u'47 UIKitCore 0x1b4575000 0x1b45b8ff8', u'48 UIKitCore 0x1b4575000 0x1b4f747e4', u'49 UIKitCore 0x1b4575000 0x1b4b2b900', u'50 FrontBoardServices 0x1b6019000 0x1b60257a0', u'51 FrontBoardServices 0x1b6019000 0x1b604a838', u'52 FrontBoardServices 0x1b6019000 0x1b602ff04', u'53 FrontBoardServices 0x1b6019000 0x1b604a4f4', u'54 libdispatch.dylib 0x100e38000 0x100e3ebd8', u'55 libdispatch.dylib 0x100e38000 0x100e41ffc', u'56 FrontBoardServices 0x1b6019000 0x1b606f418', u'57 FrontBoardServices 0x1b6019000 0x1b606f0e4', u'58 FrontBoardServices 0x1b6019000 0x1b606f60c', u'59 CoreFoundation 0x1b0dc7000 0x1b0e70a00', u'60 CoreFoundation 0x1b0dc7000 0x1b0e70958', u'61 CoreFoundation 0x1b0dc7000 0x1b0e70140', u'62 CoreFoundation 0x1b0dc7000 0x1b0e6b23c', u'63 CoreFoundation 0x1b0dc7000 0x1b0e6aadc', u'64 GraphicsServices 0x1bae08000 0x1bae0b328', u'65 UIKitCore 0x1b4575000 0x1b4f7863c', u'66 QCloudCOSBrowser 0x1001b8000 0x1002a991c', u'67 libdyld.dylib 0x1b0cf3000 0x1b0cf4360'], u'constructed_calls': []}, u'malloc_size': -1, u'malloc_count': -1, u'stack_type': u''}]}, {u'duration': 0.01666, u'threads': [{u'cpu_usage': -1, u'name': u'0', u'frame': {u'value': 0, u'name': u'5', u'calls': [u'1 UIKitCore 0x1b4575000 0x1b53dd2e0', u'2 LookinServer 0x102194000 0x1021ad69c', u'3 UIKitCore 0x1b4575000 0x1b536292c', u'4 UIKitCore 0x1b4575000 0x1b5245350', u'5 UIKitCore 0x1b4575000 0x1b52459b8', u'6 UIKitCore 0x1b4575000 0x1b5245acc', u'7 UIKitCore 0x1b4575000 0x1b5245a70', u'8 UIKitCore 0x1b4575000 0x1b46dc55c', u'9 UIKitCore 0x1b4575000 0x1b4fdfcd4', u'10 UIKitCore 0x1b4575000 0x1b4fe0088', u'11 QCloudCOSBrowser 0x1001b8000 0x1001cc3e4', u'12 QCloudCOSBrowser 0x1001b8000 0x1001cec98', u'13 QCloudCOSBrowser 0x1001b8000 0x1002d8ee0', u'14 QCloudCOSBrowser 0x1001b8000 0x1003e2200', u'15 QCloudCOSBrowser 0x1001b8000 0x1002be52c', u'16 QCloudCOSBrowser 0x1001b8000 0x1002bfa0c', u'17 QCloudCOSBrowser 0x1001b8000 0x1002befa0', u'18 QCloudCOSBrowser 0x1001b8000 0x1002fa4a4', u'19 UIKitCore 0x1b4575000 0x1b4f6eee4', u'20 UIKitCore 0x1b4575000 0x1b4f70ca0', u'21 UIKitCore 0x1b4575000 0x1b4f7642c', u'22 UIKitCore 0x1b4575000 0x1b4743208', u'23 UIKitCore 0x1b4575000 0x1b4bd9698', u'24 UIKitCore 0x1b4575000 0x1b4743cf0', u'25 UIKitCore 0x1b4575000 0x1b4743748', u'26 UIKitCore 0x1b4575000 0x1b4743b1c', u'27 UIKitCore 0x1b4575000 0x1b47433d8', u'28 UIKitCore 0x1b4575000 0x1b47478c4', u'29 UIKitCore 0x1b4575000 0x1b4b0af08', u'30 UIKitCore 0x1b4575000 0x1b4bf2c84', u'31 UIKitCore 0x1b4575000 0x1b47475fc', u'32 UIKitCore 0x1b4575000 0x1b4bf2b80', u'33 UIKitCore 0x1b4575000 0x1b4747468', u'34 UIKitCore 0x1b4575000 0x1b45b92c0', u'35 UIKitCore 0x1b4575000 0x1b45b7e28', u'36 UIKitCore 0x1b4575000 0x1b45b8ff8', u'37 UIKitCore 0x1b4575000 0x1b4f747e4', u'38 UIKitCore 0x1b4575000 0x1b4b2b900', u'39 FrontBoardServices 0x1b6019000 0x1b60257a0', u'40 FrontBoardServices 0x1b6019000 0x1b604a838', u'41 FrontBoardServices 0x1b6019000 0x1b602ff04', u'42 FrontBoardServices 0x1b6019000 0x1b604a4f4', u'43 libdispatch.dylib 0x100e38000 0x100e3ebd8', u'44 libdispatch.dylib 0x100e38000 0x100e41ffc', u'45 FrontBoardServices 0x1b6019000 0x1b606f418', u'46 FrontBoardServices 0x1b6019000 0x1b606f0e4', u'47 FrontBoardServices 0x1b6019000 0x1b606f60c', u'48 CoreFoundation 0x1b0dc7000 0x1b0e70a00', u'49 CoreFoundation 0x1b0dc7000 0x1b0e70958', u'50 CoreFoundation 0x1b0dc7000 0x1b0e70140', u'51 CoreFoundation 0x1b0dc7000 0x1b0e6b23c', u'52 CoreFoundation 0x1b0dc7000 0x1b0e6aadc', u'53 GraphicsServices 0x1bae08000 0x1bae0b328', u'54 UIKitCore 0x1b4575000 0x1b4f7863c', u'55 QCloudCOSBrowser 0x1001b8000 0x1002a991c', u'56 libdyld.dylib 0x1b0cf3000 0x1b0cf4360'], u'constructed_calls': []}, u'malloc_size': -1, u'malloc_count': -1, u'stack_type': u''}]}, {u'duration': 0.01666, u'threads': [{u'cpu_usage': -1, u'name': u'0', u'frame': {u'value': 0, u'name': u'6', u'calls': [u'1 libsystem_kernel.dylib 0x1b0cc5000 0x1b0cea8b8', u'2 libsystem_platform.dylib 0x1b0bf8000 0x1b0bfe4d0', u'3 libobjc.A.dylib 0x1b0c14000 0x1b0c2167c', u'4 CoreFoundation 0x1b0dc7000 0x1b0df81d8', u'5 Foundation 0x1b11a3000 0x1b11af5bc', u'6 UIKitCore 0x1b4575000 0x1b45b5e24', u'7 UIKitCore 0x1b4575000 0x1b45b3708', u'8 UIKitCore 0x1b4575000 0x1b4f882dc', u'9 UIKitCore 0x1b4575000 0x1b4f7c220', u'10 UIKitCore 0x1b4575000 0x1b4f7c630', u'11 UIKitCore 0x1b4575000 0x1b46ffc14', u'12 UIKitCore 0x1b4575000 0x1b53f34d0', u'13 UIKitCore 0x1b4575000 0x1b4fe25dc', u'14 UIKitCore 0x1b4575000 0x1b4fdfcfc', u'15 UIKitCore 0x1b4575000 0x1b4fe0088', u'16 QCloudCOSBrowser 0x1001b8000 0x1001cc3e4', u'17 QCloudCOSBrowser 0x1001b8000 0x1001cec98', u'18 QCloudCOSBrowser 0x1001b8000 0x1002d8ee0', u'19 QCloudCOSBrowser 0x1001b8000 0x1003e2200', u'20 QCloudCOSBrowser 0x1001b8000 0x1002be52c', u'21 QCloudCOSBrowser 0x1001b8000 0x1002bfa0c', u'22 QCloudCOSBrowser 0x1001b8000 0x1002befa0', u'23 QCloudCOSBrowser 0x1001b8000 0x1002fa4a4', u'24 UIKitCore 0x1b4575000 0x1b4f6eee4', u'25 UIKitCore 0x1b4575000 0x1b4f70ca0', u'26 UIKitCore 0x1b4575000 0x1b4f7642c', u'27 UIKitCore 0x1b4575000 0x1b4743208', u'28 UIKitCore 0x1b4575000 0x1b4bd9698', u'29 UIKitCore 0x1b4575000 0x1b4743cf0', u'30 UIKitCore 0x1b4575000 0x1b4743748', u'31 UIKitCore 0x1b4575000 0x1b4743b1c', u'32 UIKitCore 0x1b4575000 0x1b47433d8', u'33 UIKitCore 0x1b4575000 0x1b47478c4', u'34 UIKitCore 0x1b4575000 0x1b4b0af08', u'35 UIKitCore 0x1b4575000 0x1b4bf2c84', u'36 UIKitCore 0x1b4575000 0x1b47475fc', u'37 UIKitCore 0x1b4575000 0x1b4bf2b80', u'38 UIKitCore 0x1b4575000 0x1b4747468', u'39 UIKitCore 0x1b4575000 0x1b45b92c0', u'40 UIKitCore 0x1b4575000 0x1b45b7e28', u'41 UIKitCore 0x1b4575000 0x1b45b8ff8', u'42 UIKitCore 0x1b4575000 0x1b4f747e4', u'43 UIKitCore 0x1b4575000 0x1b4b2b900', u'44 FrontBoardServices 0x1b6019000 0x1b60257a0', u'45 FrontBoardServices 0x1b6019000 0x1b604a838', u'46 FrontBoardServices 0x1b6019000 0x1b602ff04', u'47 FrontBoardServices 0x1b6019000 0x1b604a4f4', u'48 libdispatch.dylib 0x100e38000 0x100e3ebd8', u'49 libdispatch.dylib 0x100e38000 0x100e41ffc', u'50 FrontBoardServices 0x1b6019000 0x1b606f418', u'51 FrontBoardServices 0x1b6019000 0x1b606f0e4', u'52 FrontBoardServices 0x1b6019000 0x1b606f60c', u'53 CoreFoundation 0x1b0dc7000 0x1b0e70a00', u'54 CoreFoundation 0x1b0dc7000 0x1b0e70958', u'55 CoreFoundation 0x1b0dc7000 0x1b0e70140', u'56 CoreFoundation 0x1b0dc7000 0x1b0e6b23c', u'57 CoreFoundation 0x1b0dc7000 0x1b0e6aadc', u'58 GraphicsServices 0x1bae08000 0x1bae0b328', u'59 UIKitCore 0x1b4575000 0x1b4f7863c', u'60 QCloudCOSBrowser 0x1001b8000 0x1002a991c', u'61 libdyld.dylib 0x1b0cf3000 0x1b0cf4360'], u'constructed_calls': []}, u'malloc_size': -1, u'malloc_count': -1, u'stack_type': u''}]}, {u'duration': 0.01666, u'threads': [{u'cpu_usage': -1, u'name': u'0', u'frame': {u'value': 0, u'name': u'7', u'calls': [u'1 libsystem_kernel.dylib 0x1b0cc5000 0x1b0ce9c94', u'2 libsystem_pthread.dylib 0x1b0c03000 0x1b0c0b094', u'3 libc++.1.dylib 0x1b0d2e000 0x1b0d3c7a8', u'4 Flutter 0x101ac0000 0x101afaa28', u'5 Flutter 0x101ac0000 0x101b44910', u'6 Flutter 0x101ac0000 0x101b438a4', u'7 Flutter 0x101ac0000 0x101ace3c0', u'8 Flutter 0x101ac0000 0x101adcf14', u'9 QCloudCOSBrowser 0x1001b8000 0x1001dfb98', u'10 QCloudCOSBrowser 0x1001b8000 0x1002d90c8', u'11 QCloudCOSBrowser 0x1001b8000 0x1003e2200', u'12 QCloudCOSBrowser 0x1001b8000 0x1002be52c', u'13 QCloudCOSBrowser 0x1001b8000 0x1002bfa0c', u'14 QCloudCOSBrowser 0x1001b8000 0x1002befa0', u'15 QCloudCOSBrowser 0x1001b8000 0x1002fa4a4', u'16 UIKitCore 0x1b4575000 0x1b4f6eee4', u'17 UIKitCore 0x1b4575000 0x1b4f70ca0', u'18 UIKitCore 0x1b4575000 0x1b4f7642c', u'19 UIKitCore 0x1b4575000 0x1b4743208', u'20 UIKitCore 0x1b4575000 0x1b4bd9698', u'21 UIKitCore 0x1b4575000 0x1b4743cf0', u'22 UIKitCore 0x1b4575000 0x1b4743748', u'23 UIKitCore 0x1b4575000 0x1b4743b1c', u'24 UIKitCore 0x1b4575000 0x1b47433d8', u'25 UIKitCore 0x1b4575000 0x1b47478c4', u'26 UIKitCore 0x1b4575000 0x1b4b0af08', u'27 UIKitCore 0x1b4575000 0x1b4bf2c84', u'28 UIKitCore 0x1b4575000 0x1b47475fc', u'29 UIKitCore 0x1b4575000 0x1b4bf2b80', u'30 UIKitCore 0x1b4575000 0x1b4747468', u'31 UIKitCore 0x1b4575000 0x1b45b92c0', u'32 UIKitCore 0x1b4575000 0x1b45b7e28', u'33 UIKitCore 0x1b4575000 0x1b45b8ff8', u'34 UIKitCore 0x1b4575000 0x1b4f747e4', u'35 UIKitCore 0x1b4575000 0x1b4b2b900', u'36 FrontBoardServices 0x1b6019000 0x1b60257a0', u'37 FrontBoardServices 0x1b6019000 0x1b604a838', u'38 FrontBoardServices 0x1b6019000 0x1b602ff04', u'39 FrontBoardServices 0x1b6019000 0x1b604a4f4', u'40 libdispatch.dylib 0x100e38000 0x100e3ebd8', u'41 libdispatch.dylib 0x100e38000 0x100e41ffc', u'42 FrontBoardServices 0x1b6019000 0x1b606f418', u'43 FrontBoardServices 0x1b6019000 0x1b606f0e4', u'44 FrontBoardServices 0x1b6019000 0x1b606f60c', u'45 CoreFoundation 0x1b0dc7000 0x1b0e70a00', u'46 CoreFoundation 0x1b0dc7000 0x1b0e70958', u'47 CoreFoundation 0x1b0dc7000 0x1b0e70140', u'48 CoreFoundation 0x1b0dc7000 0x1b0e6b23c', u'49 CoreFoundation 0x1b0dc7000 0x1b0e6aadc', u'50 GraphicsServices 0x1bae08000 0x1bae0b328', u'51 UIKitCore 0x1b4575000 0x1b4f7863c', u'52 QCloudCOSBrowser 0x1001b8000 0x1002a991c', u'53 libdyld.dylib 0x1b0cf3000 0x1b0cf4360'], u'constructed_calls': []}, u'malloc_size': -1, u'malloc_count': -1, u'stack_type': u''}]}, {u'duration': 0.01666, u'threads': [{u'cpu_usage': -1, u'name': u'0', u'frame': {u'value': 0, u'name': u'8', u'calls': [u'1 libFontParser.dylib 0x1bb19f000 0x1bb1dbae0', u'2 libFontParser.dylib 0x1bb19f000 0x1bb1dba94', u'3 libFontParser.dylib 0x1bb19f000 0x1bb1be354', u'4 libFontParser.dylib 0x1bb19f000 0x1bb1a597c', u'5 libFontParser.dylib 0x1bb19f000 0x1bb1a5524', u'6 libFontParser.dylib 0x1bb19f000 0x1bb1b252c', u'7 CoreText 0x1b1b5f000 0x1b1c17c38', u'8 CoreText 0x1b1b5f000 0x1b1c32b64', u'9 CoreText 0x1b1b5f000 0x1b1c32c9c', u'10 CoreText 0x1b1b5f000 0x1b1c3eeac', u'11 CoreText 0x1b1b5f000 0x1b1c32fd8', u'12 CoreText 0x1b1b5f000 0x1b1c076c4', u'13 CoreText 0x1b1b5f000 0x1b1b7927c', u'14 CoreText 0x1b1b5f000 0x1b1b86018', u'15 CoreText 0x1b1b5f000 0x1b1b9a960', u'16 CoreText 0x1b1b5f000 0x1b1b9a5c8', u'17 CoreText 0x1b1b5f000 0x1b1b871cc', u'18 UIFoundation 0x1b4494000 0x1b4518900', u'19 UIFoundation 0x1b4494000 0x1b4514c08', u'20 UIFoundation 0x1b4494000 0x1b4496070', u'21 UIKitCore 0x1b4575000 0x1b5364fbc', u'22 UIKitCore 0x1b4575000 0x1b5369940', u'23 UIKitCore 0x1b4575000 0x1b53f34d0', u'24 UIKitCore 0x1b4575000 0x1b4723744', u'25 UIKitCore 0x1b4575000 0x1b471db20', u'26 UIKitCore 0x1b4575000 0x1b471cda4', u'27 UIKitCore 0x1b4575000 0x1b4714dfc', u'28 UIKitCore 0x1b4575000 0x1b48a0254', u'29 UIKitCore 0x1b4575000 0x1b48a0a98', u'30 UIKitCore 0x1b4575000 0x1b48a0eec', u'31 QCloudCOSBrowser 0x1001b8000 0x1002d9480', u'32 QCloudCOSBrowser 0x1001b8000 0x1003e2200', u'33 QCloudCOSBrowser 0x1001b8000 0x1002be52c', u'34 QCloudCOSBrowser 0x1001b8000 0x1002bfa0c', u'35 QCloudCOSBrowser 0x1001b8000 0x1002befa0', u'36 QCloudCOSBrowser 0x1001b8000 0x1002fa4a4', u'37 UIKitCore 0x1b4575000 0x1b4f6eee4', u'38 UIKitCore 0x1b4575000 0x1b4f70ca0', u'39 UIKitCore 0x1b4575000 0x1b4f7642c', u'40 UIKitCore 0x1b4575000 0x1b4743208', u'41 UIKitCore 0x1b4575000 0x1b4bd9698', u'42 UIKitCore 0x1b4575000 0x1b4743cf0', u'43 UIKitCore 0x1b4575000 0x1b4743748', u'44 UIKitCore 0x1b4575000 0x1b4743b1c', u'45 UIKitCore 0x1b4575000 0x1b47433d8', u'46 UIKitCore 0x1b4575000 0x1b47478c4', u'47 UIKitCore 0x1b4575000 0x1b4b0af08', u'48 UIKitCore 0x1b4575000 0x1b4bf2c84', u'49 UIKitCore 0x1b4575000 0x1b47475fc', u'50 UIKitCore 0x1b4575000 0x1b4bf2b80', u'51 UIKitCore 0x1b4575000 0x1b4747468', u'52 UIKitCore 0x1b4575000 0x1b45b92c0', u'53 UIKitCore 0x1b4575000 0x1b45b7e28', u'54 UIKitCore 0x1b4575000 0x1b45b8ff8', u'55 UIKitCore 0x1b4575000 0x1b4f747e4', u'56 UIKitCore 0x1b4575000 0x1b4b2b900', u'57 FrontBoardServices 0x1b6019000 0x1b60257a0', u'58 FrontBoardServices 0x1b6019000 0x1b604a838', u'59 FrontBoardServices 0x1b6019000 0x1b602ff04', u'60 FrontBoardServices 0x1b6019000 0x1b604a4f4', u'61 libdispatch.dylib 0x100e38000 0x100e3ebd8', u'62 libdispatch.dylib 0x100e38000 0x100e41ffc', u'63 FrontBoardServices 0x1b6019000 0x1b606f418', u'64 FrontBoardServices 0x1b6019000 0x1b606f0e4', u'65 FrontBoardServices 0x1b6019000 0x1b606f60c', u'66 CoreFoundation 0x1b0dc7000 0x1b0e70a00', u'67 CoreFoundation 0x1b0dc7000 0x1b0e70958', u'68 CoreFoundation 0x1b0dc7000 0x1b0e70140', u'69 CoreFoundation 0x1b0dc7000 0x1b0e6b23c', u'70 CoreFoundation 0x1b0dc7000 0x1b0e6aadc', u'71 GraphicsServices 0x1bae08000 0x1bae0b328', u'72 UIKitCore 0x1b4575000 0x1b4f7863c', u'73 QCloudCOSBrowser 0x1001b8000 0x1002a991c', u'74 libdyld.dylib 0x1b0cf3000 0x1b0cf4360'], u'constructed_calls': []}, u'malloc_size': -1, u'malloc_count': -1, u'stack_type': u''}]}, {u'duration': 0.01666, u'threads': [{u'cpu_usage': -1, u'name': u'0', u'frame': {u'value': 0, u'name': u'9', u'calls': [u'1 CoreFoundation 0x1b0dc7000 0x1b0e90dac', u'2 CoreFoundation 0x1b0dc7000 0x1b0e90b74', u'3 CoreFoundation 0x1b0dc7000 0x1b0dcb5c4', u'4 JavaScriptCore 0x1bfc05000 0x1bfc49540', u'5 JavaScriptCore 0x1bfc05000 0x1bfc496ec', u'6 WebKit 0x1b8485000 0x1b879c600', u'7 WebKit 0x1b8485000 0x1b879c8e4', u'8 WebKit 0x1b8485000 0x1b879cfd0', u'9 WebKit 0x1b8485000 0x1b86f2ec0', u'10 WebKit 0x1b8485000 0x1b86d237c', u'11 WebKit 0x1b8485000 0x1b86d2264', u'12 WebKit 0x1b8485000 0x1b86d20fc', u'13 WebKit 0x1b8485000 0x1b870cd1c', u'14 WebKit 0x1b8485000 0x1b8487910', u'15 WebKit 0x1b8485000 0x1b8495134', u'16 WebKit 0x1b8485000 0x1b848af5c', u'17 WebKit 0x1b8485000 0x1b848ac00', u'18 WebKit 0x1b8485000 0x1b848877c', u'19 WebKit 0x1b8485000 0x1b848863c', u'20 QCloudCOSBrowser 0x1001b8000 0x100250858', u'21 QCloudCOSBrowser 0x1001b8000 0x1002befc0', u'22 QCloudCOSBrowser 0x1001b8000 0x1002fa4a4', u'23 UIKitCore 0x1b4575000 0x1b4f6eee4', u'24 UIKitCore 0x1b4575000 0x1b4f70ca0', u'25 UIKitCore 0x1b4575000 0x1b4f7642c', u'26 UIKitCore 0x1b4575000 0x1b4743208', u'27 UIKitCore 0x1b4575000 0x1b4bd9698', u'28 UIKitCore 0x1b4575000 0x1b4743cf0', u'29 UIKitCore 0x1b4575000 0x1b4743748', u'30 UIKitCore 0x1b4575000 0x1b4743b1c', u'31 UIKitCore 0x1b4575000 0x1b47433d8', u'32 UIKitCore 0x1b4575000 0x1b47478c4', u'33 UIKitCore 0x1b4575000 0x1b4b0af08', u'34 UIKitCore 0x1b4575000 0x1b4bf2c84', u'35 UIKitCore 0x1b4575000 0x1b47475fc', u'36 UIKitCore 0x1b4575000 0x1b4bf2b80', u'37 UIKitCore 0x1b4575000 0x1b4747468', u'38 UIKitCore 0x1b4575000 0x1b45b92c0', u'39 UIKitCore 0x1b4575000 0x1b45b7e28', u'40 UIKitCore 0x1b4575000 0x1b45b8ff8', u'41 UIKitCore 0x1b4575000 0x1b4f747e4', u'42 UIKitCore 0x1b4575000 0x1b4b2b900', u'43 FrontBoardServices 0x1b6019000 0x1b60257a0', u'44 FrontBoardServices 0x1b6019000 0x1b604a838', u'45 FrontBoardServices 0x1b6019000 0x1b602ff04', u'46 FrontBoardServices 0x1b6019000 0x1b604a4f4', u'47 libdispatch.dylib 0x100e38000 0x100e3ebd8', u'48 libdispatch.dylib 0x100e38000 0x100e41ffc', u'49 FrontBoardServices 0x1b6019000 0x1b606f418', u'50 FrontBoardServices 0x1b6019000 0x1b606f0e4', u'51 FrontBoardServices 0x1b6019000 0x1b606f60c', u'52 CoreFoundation 0x1b0dc7000 0x1b0e70a00', u'53 CoreFoundation 0x1b0dc7000 0x1b0e70958', u'54 CoreFoundation 0x1b0dc7000 0x1b0e70140', u'55 CoreFoundation 0x1b0dc7000 0x1b0e6b23c', u'56 CoreFoundation 0x1b0dc7000 0x1b0e6aadc', u'57 GraphicsServices 0x1bae08000 0x1bae0b328', u'58 UIKitCore 0x1b4575000 0x1b4f7863c', u'59 QCloudCOSBrowser 0x1001b8000 0x1002a991c', u'60 libdyld.dylib 0x1b0cf3000 0x1b0cf4360'], u'constructed_calls': []}, u'malloc_size': -1, u'malloc_count': -1, u'stack_type': u''}]}, {u'duration': 0.01666, u'threads': [{u'cpu_usage': -1, u'name': u'0', u'frame': {u'value': 0, u'name': u'10', u'calls': [u'1 unkonwn 0x100fac51c', u'2 unkonwn 0x100fab9fc', u'3 unkonwn 0x100fa13bc', u'4 unkonwn 0x100fa8348', u'5 libdyld.dylib 0x1b0cf3000 0x1b0cf8460', u'6 WebCore 0x1b8a57000 0x1b8a61cd8', u'7 libdispatch.dylib 0x100e38000 0x100e3ebd8', u'8 libdispatch.dylib 0x100e38000 0x100e404c8', u'9 WebCore 0x1b8a57000 0x1b8a61ffc', u'10 libdispatch.dylib 0x100e38000 0x100e3ebd8', u'11 libdispatch.dylib 0x100e38000 0x100e404c8', u'12 WebCore 0x1b8a57000 0x1b8a61d6c', u'13 WebKit 0x1b8485000 0x1b86c92c4', u'14 WebKit 0x1b8485000 0x1b87ec9ec', u'15 WebKit 0x1b8485000 0x1b87ec844', u'16 WebKit 0x1b8485000 0x1b875a27c', u'17 WebKit 0x1b8485000 0x1b84880f4', u'18 WebKit 0x1b8485000 0x1b84880a4', u'19 WebKit 0x1b8485000 0x1b848ac6c', u'20 WebKit 0x1b8485000 0x1b848877c', u'21 WebKit 0x1b8485000 0x1b848863c', u'22 QCloudCOSBrowser 0x1001b8000 0x100250858', u'23 QCloudCOSBrowser 0x1001b8000 0x1002befc0', u'24 QCloudCOSBrowser 0x1001b8000 0x1002fa4a4', u'25 UIKitCore 0x1b4575000 0x1b4f6eee4', u'26 UIKitCore 0x1b4575000 0x1b4f70ca0', u'27 UIKitCore 0x1b4575000 0x1b4f7642c', u'28 UIKitCore 0x1b4575000 0x1b4743208', u'29 UIKitCore 0x1b4575000 0x1b4bd9698', u'30 UIKitCore 0x1b4575000 0x1b4743cf0', u'31 UIKitCore 0x1b4575000 0x1b4743748', u'32 UIKitCore 0x1b4575000 0x1b4743b1c', u'33 UIKitCore 0x1b4575000 0x1b47433d8', u'34 UIKitCore 0x1b4575000 0x1b47478c4', u'35 UIKitCore 0x1b4575000 0x1b4b0af08', u'36 UIKitCore 0x1b4575000 0x1b4bf2c84', u'37 UIKitCore 0x1b4575000 0x1b47475fc', u'38 UIKitCore 0x1b4575000 0x1b4bf2b80', u'39 UIKitCore 0x1b4575000 0x1b4747468', u'40 UIKitCore 0x1b4575000 0x1b45b92c0', u'41 UIKitCore 0x1b4575000 0x1b45b7e28', u'42 UIKitCore 0x1b4575000 0x1b45b8ff8', u'43 UIKitCore 0x1b4575000 0x1b4f747e4', u'44 UIKitCore 0x1b4575000 0x1b4b2b900', u'45 FrontBoardServices 0x1b6019000 0x1b60257a0', u'46 FrontBoardServices 0x1b6019000 0x1b604a838', u'47 FrontBoardServices 0x1b6019000 0x1b602ff04', u'48 FrontBoardServices 0x1b6019000 0x1b604a4f4', u'49 libdispatch.dylib 0x100e38000 0x100e3ebd8', u'50 libdispatch.dylib 0x100e38000 0x100e41ffc', u'51 FrontBoardServices 0x1b6019000 0x1b606f418', u'52 FrontBoardServices 0x1b6019000 0x1b606f0e4', u'53 FrontBoardServices 0x1b6019000 0x1b606f60c', u'54 CoreFoundation 0x1b0dc7000 0x1b0e70a00', u'55 CoreFoundation 0x1b0dc7000 0x1b0e70958', u'56 CoreFoundation 0x1b0dc7000 0x1b0e70140', u'57 CoreFoundation 0x1b0dc7000 0x1b0e6b23c', u'58 CoreFoundation 0x1b0dc7000 0x1b0e6aadc', u'59 GraphicsServices 0x1bae08000 0x1bae0b328', u'60 UIKitCore 0x1b4575000 0x1b4f7863c', u'61 QCloudCOSBrowser 0x1001b8000 0x1002a991c', u'62 libdyld.dylib 0x1b0cf3000 0x1b0cf4360'], u'constructed_calls': []}, u'malloc_size': -1, u'malloc_count': -1, u'stack_type': u''}]}, {u'duration': 0.01666, u'threads': [{u'cpu_usage': -1, u'name': u'0', u'frame': {u'value': 0, u'name': u'11', u'calls': [u'1 CoreFoundation 0x1b0dc7000 0x1b0dcb660', u'2 CoreFoundation 0x1b0dc7000 0x1b0dcb640', u'3 CoreFoundation 0x1b0dc7000 0x1b0dfbb28', u'4 CoreFoundation 0x1b0dc7000 0x1b0dd06d8', u'5 CoreFoundation 0x1b0dc7000 0x1b0e4c4d8', u'6 Foundation 0x1b11a3000 0x1b11a9a04', u'7 TextInput 0x1bcf53000 0x1bcf98178', u'8 TextInput 0x1bcf53000 0x1bcf9d274', u'9 TextInput 0x1bcf53000 0x1bcf9d9d4', u'10 libdispatch.dylib 0x100e38000 0x100e3ebd8', u'11 libdispatch.dylib 0x100e38000 0x100e404c8', u'12 TextInput 0x1bcf53000 0x1bcf9d9b8', u'13 UIKitCore 0x1b4575000 0x1b4c5b1a4', u'14 UIKitCore 0x1b4575000 0x1b4c5b088', u'15 UIKitCore 0x1b4575000 0x1b4c5b02c', u'16 libdispatch.dylib 0x100e38000 0x100e3ebd8', u'17 libdispatch.dylib 0x100e38000 0x100e404c8', u'18 UIKitCore 0x1b4575000 0x1b4c5b010', u'19 UIKitCore 0x1b4575000 0x1b4d8ddd8', u'20 UIKitCore 0x1b4575000 0x1b4d88cbc', u'21 UIKitCore 0x1b4575000 0x1b4d86c34', u'22 WebKit 0x1b8485000 0x1b8754260', u'23 WebKit 0x1b8485000 0x1b86d3434', u'24 WebKit 0x1b8485000 0x1b86d2ecc', u'25 WebKit 0x1b8485000 0x1b8712ec8', u'26 WebKit 0x1b8485000 0x1b8712cc4', u'27 WebKit 0x1b8485000 0x1b848bcc4', u'28 WebKit 0x1b8485000 0x1b848bc50', u'29 WebKit 0x1b8485000 0x1b8489f44', u'30 WebKit 0x1b8485000 0x1b848863c', u'31 QCloudCOSBrowser 0x1001b8000 0x100250858', u'32 QCloudCOSBrowser 0x1001b8000 0x1002befc0', u'33 QCloudCOSBrowser 0x1001b8000 0x1002fa4a4', u'34 UIKitCore 0x1b4575000 0x1b4f6eee4', u'35 UIKitCore 0x1b4575000 0x1b4f70ca0', u'36 UIKitCore 0x1b4575000 0x1b4f7642c', u'37 UIKitCore 0x1b4575000 0x1b4743208', u'38 UIKitCore 0x1b4575000 0x1b4bd9698', u'39 UIKitCore 0x1b4575000 0x1b4743cf0', u'40 UIKitCore 0x1b4575000 0x1b4743748', u'41 UIKitCore 0x1b4575000 0x1b4743b1c', u'42 UIKitCore 0x1b4575000 0x1b47433d8', u'43 UIKitCore 0x1b4575000 0x1b47478c4', u'44 UIKitCore 0x1b4575000 0x1b4b0af08', u'45 UIKitCore 0x1b4575000 0x1b4bf2c84', u'46 UIKitCore 0x1b4575000 0x1b47475fc', u'47 UIKitCore 0x1b4575000 0x1b4bf2b80', u'48 UIKitCore 0x1b4575000 0x1b4747468', u'49 UIKitCore 0x1b4575000 0x1b45b92c0', u'50 UIKitCore 0x1b4575000 0x1b45b7e28', u'51 UIKitCore 0x1b4575000 0x1b45b8ff8', u'52 UIKitCore 0x1b4575000 0x1b4f747e4', u'53 UIKitCore 0x1b4575000 0x1b4b2b900', u'54 FrontBoardServices 0x1b6019000 0x1b60257a0', u'55 FrontBoardServices 0x1b6019000 0x1b604a838', u'56 FrontBoardServices 0x1b6019000 0x1b602ff04', u'57 FrontBoardServices 0x1b6019000 0x1b604a4f4', u'58 libdispatch.dylib 0x100e38000 0x100e3ebd8', u'59 libdispatch.dylib 0x100e38000 0x100e41ffc', u'60 FrontBoardServices 0x1b6019000 0x1b606f418', u'61 FrontBoardServices 0x1b6019000 0x1b606f0e4', u'62 FrontBoardServices 0x1b6019000 0x1b606f60c', u'63 CoreFoundation 0x1b0dc7000 0x1b0e70a00', u'64 CoreFoundation 0x1b0dc7000 0x1b0e70958', u'65 CoreFoundation 0x1b0dc7000 0x1b0e70140', u'66 CoreFoundation 0x1b0dc7000 0x1b0e6b23c', u'67 CoreFoundation 0x1b0dc7000 0x1b0e6aadc', u'68 GraphicsServices 0x1bae08000 0x1bae0b328', u'69 UIKitCore 0x1b4575000 0x1b4f7863c', u'70 QCloudCOSBrowser 0x1001b8000 0x1002a991c', u'71 libdyld.dylib 0x1b0cf3000 0x1b0cf4360'], u'constructed_calls': []}, u'malloc_size': -1, u'malloc_count': -1, u'stack_type': u''}]}, {u'duration': 0.01666, u'threads': [{u'cpu_usage': -1, u'name': u'0', u'frame': {u'value': 0, u'name': u'12', u'calls': [u'1 libsystem_kernel.dylib 0x1b0cc5000 0x1b0ceab1c', u'2 Foundation 0x1b11a3000 0x1b12bf650', u'3 ManagedConfiguration 0x1b3606000 0x1b36c17b0', u'4 ManagedConfiguration 0x1b3606000 0x1b36c1e78', u'5 libdispatch.dylib 0x100e38000 0x100e3ebd8', u'6 libdispatch.dylib 0x100e38000 0x100e4d858', u'7 ManagedConfiguration 0x1b3606000 0x1b36c1cbc', u'8 ManagedConfiguration 0x1b3606000 0x1b36c23ec', u'9 ManagedConfiguration 0x1b3606000 0x1b36e14a4', u'10 ManagedConfiguration 0x1b3606000 0x1b36e1134', u'11 ManagedConfiguration 0x1b3606000 0x1b36e550c', u'12 UIKitCore 0x1b4575000 0x1b4c4c3a4', u'13 UIKitCore 0x1b4575000 0x1b4c4cf00', u'14 UIKitCore 0x1b4575000 0x1b4c52ee0', u'15 UIKitCore 0x1b4575000 0x1b4c51abc', u'16 UIKitCore 0x1b4575000 0x1b4c5071c', u'17 UIKitCore 0x1b4575000 0x1b4c46508', u'18 UIKitCore 0x1b4575000 0x1b4d88cfc', u'19 UIKitCore 0x1b4575000 0x1b4d86c34', u'20 WebKit 0x1b8485000 0x1b8754260', u'21 WebKit 0x1b8485000 0x1b86d3434', u'22 WebKit 0x1b8485000 0x1b86d2ecc', u'23 WebKit 0x1b8485000 0x1b8712ec8', u'24 WebKit 0x1b8485000 0x1b8712cc4', u'25 WebKit 0x1b8485000 0x1b848bcc4', u'26 WebKit 0x1b8485000 0x1b848bc50', u'27 WebKit 0x1b8485000 0x1b8489f44', u'28 WebKit 0x1b8485000 0x1b848863c', u'29 QCloudCOSBrowser 0x1001b8000 0x100250858', u'30 QCloudCOSBrowser 0x1001b8000 0x1002befc0', u'31 QCloudCOSBrowser 0x1001b8000 0x1002fa4a4', u'32 UIKitCore 0x1b4575000 0x1b4f6eee4', u'33 UIKitCore 0x1b4575000 0x1b4f70ca0', u'34 UIKitCore 0x1b4575000 0x1b4f7642c', u'35 UIKitCore 0x1b4575000 0x1b4743208', u'36 UIKitCore 0x1b4575000 0x1b4bd9698', u'37 UIKitCore 0x1b4575000 0x1b4743cf0', u'38 UIKitCore 0x1b4575000 0x1b4743748', u'39 UIKitCore 0x1b4575000 0x1b4743b1c', u'40 UIKitCore 0x1b4575000 0x1b47433d8', u'41 UIKitCore 0x1b4575000 0x1b47478c4', u'42 UIKitCore 0x1b4575000 0x1b4b0af08', u'43 UIKitCore 0x1b4575000 0x1b4bf2c84', u'44 UIKitCore 0x1b4575000 0x1b47475fc', u'45 UIKitCore 0x1b4575000 0x1b4bf2b80', u'46 UIKitCore 0x1b4575000 0x1b4747468', u'47 UIKitCore 0x1b4575000 0x1b45b92c0', u'48 UIKitCore 0x1b4575000 0x1b45b7e28', u'49 UIKitCore 0x1b4575000 0x1b45b8ff8', u'50 UIKitCore 0x1b4575000 0x1b4f747e4', u'51 UIKitCore 0x1b4575000 0x1b4b2b900', u'52 FrontBoardServices 0x1b6019000 0x1b60257a0', u'53 FrontBoardServices 0x1b6019000 0x1b604a838', u'54 FrontBoardServices 0x1b6019000 0x1b602ff04', u'55 FrontBoardServices 0x1b6019000 0x1b604a4f4', u'56 libdispatch.dylib 0x100e38000 0x100e3ebd8', u'57 libdispatch.dylib 0x100e38000 0x100e41ffc', u'58 FrontBoardServices 0x1b6019000 0x1b606f418', u'59 FrontBoardServices 0x1b6019000 0x1b606f0e4', u'60 FrontBoardServices 0x1b6019000 0x1b606f60c', u'61 CoreFoundation 0x1b0dc7000 0x1b0e70a00', u'62 CoreFoundation 0x1b0dc7000 0x1b0e70958', u'63 CoreFoundation 0x1b0dc7000 0x1b0e70140', u'64 CoreFoundation 0x1b0dc7000 0x1b0e6b23c', u'65 CoreFoundation 0x1b0dc7000 0x1b0e6aadc', u'66 GraphicsServices 0x1bae08000 0x1bae0b328', u'67 UIKitCore 0x1b4575000 0x1b4f7863c', u'68 QCloudCOSBrowser 0x1001b8000 0x1002a991c', u'69 libdyld.dylib 0x1b0cf3000 0x1b0cf4360'], u'constructed_calls': []}, u'malloc_size': -1, u'malloc_count': -1, u'stack_type': u''}]}, {u'duration': 0.01666, u'threads': [{u'cpu_usage': -1, u'name': u'0', u'frame': {u'value': 0, u'name': u'13', u'calls': [u'1 unkonwn 0x100fac5c0', u'2 unkonwn 0x100fac5c0', u'3 unkonwn 0x100fac5c0', u'4 unkonwn 0x100fac5c0', u'5 unkonwn 0x100fac5c0', u'6 unkonwn 0x100fac5c0', u'7 unkonwn 0x100fac5c0', u'8 unkonwn 0x100fac5c0', u'9 unkonwn 0x100fac5c0', u'10 unkonwn 0x100fac5c0', u'11 unkonwn 0x100fac5c0', u'12 unkonwn 0x100fab9fc', u'13 unkonwn 0x100fa13bc', u'14 unkonwn 0x100fa8348', u'15 libdyld.dylib 0x1b0cf3000 0x1b0cf8460', u'16 UIKitCore 0x1b4575000 0x1b4a20c38', u'17 UIKitCore 0x1b4575000 0x1b4a20bc0', u'18 UIKitCore 0x1b4575000 0x1b4a1d2fc', u'19 UIKitCore 0x1b4575000 0x1b495dc5c', u'20 UIKitCore 0x1b4575000 0x1b495e360', u'21 UIKitCore 0x1b4575000 0x1b4a91554', u'22 UIKitCore 0x1b4575000 0x1b4d8d6d8', u'23 UIKitCore 0x1b4575000 0x1b4dacdc0', u'24 UIKitCore 0x1b4575000 0x1b4d8b31c', u'25 UIKitCore 0x1b4575000 0x1b4d88dcc', u'26 UIKitCore 0x1b4575000 0x1b4d86c34', u'27 WebKit 0x1b8485000 0x1b8754260', u'28 WebKit 0x1b8485000 0x1b86d3434', u'29 WebKit 0x1b8485000 0x1b86d2ecc', u'30 WebKit 0x1b8485000 0x1b8712ec8', u'31 WebKit 0x1b8485000 0x1b8712cc4', u'32 WebKit 0x1b8485000 0x1b848bcc4', u'33 WebKit 0x1b8485000 0x1b848bc50', u'34 WebKit 0x1b8485000 0x1b8489f44', u'35 WebKit 0x1b8485000 0x1b848863c', u'36 QCloudCOSBrowser 0x1001b8000 0x100250858', u'37 QCloudCOSBrowser 0x1001b8000 0x1002befc0', u'38 QCloudCOSBrowser 0x1001b8000 0x1002fa4a4', u'39 UIKitCore 0x1b4575000 0x1b4f6eee4', u'40 UIKitCore 0x1b4575000 0x1b4f70ca0', u'41 UIKitCore 0x1b4575000 0x1b4f7642c', u'42 UIKitCore 0x1b4575000 0x1b4743208', u'43 UIKitCore 0x1b4575000 0x1b4bd9698', u'44 UIKitCore 0x1b4575000 0x1b4743cf0', u'45 UIKitCore 0x1b4575000 0x1b4743748', u'46 UIKitCore 0x1b4575000 0x1b4743b1c', u'47 UIKitCore 0x1b4575000 0x1b47433d8', u'48 UIKitCore 0x1b4575000 0x1b47478c4', u'49 UIKitCore 0x1b4575000 0x1b4b0af08', u'50 UIKitCore 0x1b4575000 0x1b4bf2c84', u'51 UIKitCore 0x1b4575000 0x1b47475fc', u'52 UIKitCore 0x1b4575000 0x1b4bf2b80', u'53 UIKitCore 0x1b4575000 0x1b4747468', u'54 UIKitCore 0x1b4575000 0x1b45b92c0', u'55 UIKitCore 0x1b4575000 0x1b45b7e28', u'56 UIKitCore 0x1b4575000 0x1b45b8ff8', u'57 UIKitCore 0x1b4575000 0x1b4f747e4', u'58 UIKitCore 0x1b4575000 0x1b4b2b900', u'59 FrontBoardServices 0x1b6019000 0x1b60257a0', u'60 FrontBoardServices 0x1b6019000 0x1b604a838', u'61 FrontBoardServices 0x1b6019000 0x1b602ff04', u'62 FrontBoardServices 0x1b6019000 0x1b604a4f4', u'63 libdispatch.dylib 0x100e38000 0x100e3ebd8', u'64 libdispatch.dylib 0x100e38000 0x100e41ffc', u'65 FrontBoardServices 0x1b6019000 0x1b606f418', u'66 FrontBoardServices 0x1b6019000 0x1b606f0e4', u'67 FrontBoardServices 0x1b6019000 0x1b606f60c', u'68 CoreFoundation 0x1b0dc7000 0x1b0e70a00', u'69 CoreFoundation 0x1b0dc7000 0x1b0e70958', u'70 CoreFoundation 0x1b0dc7000 0x1b0e70140', u'71 CoreFoundation 0x1b0dc7000 0x1b0e6b23c', u'72 CoreFoundation 0x1b0dc7000 0x1b0e6aadc', u'73 GraphicsServices 0x1bae08000 0x1bae0b328', u'74 UIKitCore 0x1b4575000 0x1b4f7863c', u'75 QCloudCOSBrowser 0x1001b8000 0x1002a991c', u'76 libdyld.dylib 0x1b0cf3000 0x1b0cf4360'], u'constructed_calls': []}, u'malloc_size': -1, u'malloc_count': -1, u'stack_type': u''}]}, {u'duration': 0.01666, u'threads': [{u'cpu_usage': -1, u'name': u'0', u'frame': {u'value': 0, u'name': u'14', u'calls': [u'1 libobjc.A.dylib 0x1b0c14000 0x1b0c1e730', u'2 libobjc.A.dylib 0x1b0c14000 0x1b0c283d0', u'3 libobjc.A.dylib 0x1b0c14000 0x1b0c163fc', u'4 Foundation 0x1b11a3000 0x1b11bcab4', u'5 Foundation 0x1b11a3000 0x1b11bcbd8', u'6 BaseBoard 0x1b3a82000 0x1b3accc28', u'7 BaseBoard 0x1b3a82000 0x1b3a841a4', u'8 BackBoardServices 0x1b77d2000 0x1b78099bc', u'9 BackBoardServices 0x1b77d2000 0x1b7802f04', u'10 BackBoardServices 0x1b77d2000 0x1b780373c', u'11 BaseBoard 0x1b3a82000 0x1b3a93498', u'12 UIKitCore 0x1b4575000 0x1b4fc0770', u'13 UIKitCore 0x1b4575000 0x1b51a71d4', u'14 UIKitCore 0x1b4575000 0x1b473dd90', u'15 UIKitCore 0x1b4575000 0x1b51a718c', u'16 UIKitCore 0x1b4575000 0x1b45b808c', u'17 UIKitCore 0x1b4575000 0x1b45b8ff8', u'18 UIKitCore 0x1b4575000 0x1b4f747e4', u'19 UIKitCore 0x1b4575000 0x1b4b2b900', u'20 FrontBoardServices 0x1b6019000 0x1b60257a0', u'21 FrontBoardServices 0x1b6019000 0x1b604a838', u'22 FrontBoardServices 0x1b6019000 0x1b602ff04', u'23 FrontBoardServices 0x1b6019000 0x1b604a4f4', u'24 libdispatch.dylib 0x100e38000 0x100e3ebd8', u'25 libdispatch.dylib 0x100e38000 0x100e41ffc', u'26 FrontBoardServices 0x1b6019000 0x1b606f418', u'27 FrontBoardServices 0x1b6019000 0x1b606f0e4', u'28 FrontBoardServices 0x1b6019000 0x1b606f60c', u'29 CoreFoundation 0x1b0dc7000 0x1b0e70a00', u'30 CoreFoundation 0x1b0dc7000 0x1b0e70958', u'31 CoreFoundation 0x1b0dc7000 0x1b0e70140', u'32 CoreFoundation 0x1b0dc7000 0x1b0e6b23c', u'33 CoreFoundation 0x1b0dc7000 0x1b0e6aadc', u'34 GraphicsServices 0x1bae08000 0x1bae0b328', u'35 UIKitCore 0x1b4575000 0x1b4f7863c', u'36 QCloudCOSBrowser 0x1001b8000 0x1002a991c', u'37 libdyld.dylib 0x1b0cf3000 0x1b0cf4360'], u'constructed_calls': []}, u'malloc_size': -1, u'malloc_count': -1, u'stack_type': u''}]}, {u'duration': 0.01666, u'threads': [{u'cpu_usage': -1, u'name': u'0', u'frame': {u'value': 0, u'name': u'15', u'calls': [u'1 libobjc.A.dylib 0x1b0c14000 0x1b0c1e75c', u'2 libobjc.A.dylib 0x1b0c14000 0x1b0c283d0', u'3 libobjc.A.dylib 0x1b0c14000 0x1b0c163fc', u'4 UIKitCore 0x1b4575000 0x1b495e888', u'5 Flutter 0x101ac0000 0x101add4f8', u'6 UIKitCore 0x1b4575000 0x1b495dc5c', u'7 UIKitCore 0x1b4575000 0x1b48d0038', u'8 UIKitCore 0x1b4575000 0x1b48d0354', u'9 UIKitCore 0x1b4575000 0x1b48d121c', u'10 UIKitCore 0x1b4575000 0x1b48d255c', u'11 UIKitCore 0x1b4575000 0x1b48b59e0', u'12 UIKitCore 0x1b4575000 0x1b540e17c', u'13 QuartzCore 0x1b7825000 0x1b79762c0', u'14 QuartzCore 0x1b7825000 0x1b797c43c', u'15 QuartzCore 0x1b7825000 0x1b7987140', u'16 QuartzCore 0x1b7825000 0x1b78cf884', u'17 QuartzCore 0x1b7825000 0x1b78f9574', u'18 UIKitCore 0x1b4575000 0x1b4f8fac8', u'19 CoreFoundation 0x1b0dc7000 0x1b0e70834', u'20 CoreFoundation 0x1b0dc7000 0x1b0e6ffd4', u'21 CoreFoundation 0x1b0dc7000 0x1b0e6b250', u'22 CoreFoundation 0x1b0dc7000 0x1b0e6aadc', u'23 GraphicsServices 0x1bae08000 0x1bae0b328', u'24 UIKitCore 0x1b4575000 0x1b4f7863c', u'25 QCloudCOSBrowser 0x1001b8000 0x1002a991c', u'26 libdyld.dylib 0x1b0cf3000 0x1b0cf4360'], u'constructed_calls': []}, u'malloc_size': -1, u'malloc_count': -1, u'stack_type': u''}]}, {u'duration': 0.01666, u'threads': [{u'cpu_usage': -1, u'name': u'0', u'frame': {u'value': 0, u'name': u'16', u'calls': [u'1 libobjc.A.dylib 0x1b0c14000 0x1b0c21664', u'2 CoreFoundation 0x1b0dc7000 0x1b0e72304', u'3 CoreFoundation 0x1b0dc7000 0x1b0e72304', u'4 CoreFoundation 0x1b0dc7000 0x1b0eb7b34', u'5 CoreFoundation 0x1b0dc7000 0x1b0e72048', u'6 CoreGraphics 0x1b7c33000 0x1b7ccb9e4', u'7 CoreText 0x1b1b5f000 0x1b1c659a0', u'8 CoreText 0x1b1b5f000 0x1b1bd2b9c', u'9 CoreText 0x1b1b5f000 0x1b1bd254c', u'10 CoreText 0x1b1b5f000 0x1b1bda7c0', u'11 CoreText 0x1b1b5f000 0x1b1bd8dc8', u'12 CoreText 0x1b1b5f000 0x1b1bd800c', u'13 CoreText 0x1b1b5f000 0x1b1c34730', u'14 CoreText 0x1b1b5f000 0x1b1c34930', u'15 CoreText 0x1b1b5f000 0x1b1c349f8', u'16 CoreText 0x1b1b5f000 0x1b1bb7cd8', u'17 CoreText 0x1b1b5f000 0x1b1bb80b0', u'18 CoreText 0x1b1b5f000 0x1b1b83620', u'19 CoreText 0x1b1b5f000 0x1b1b83008', u'20 CoreText 0x1b1b5f000 0x1b1b82a74', u'21 CoreText 0x1b1b5f000 0x1b1b823c8', u'22 CoreText 0x1b1b5f000 0x1b1b9a760', u'23 CoreText 0x1b1b5f000 0x1b1b9a5c8', u'24 CoreText 0x1b1b5f000 0x1b1b871cc', u'25 UIFoundation 0x1b4494000 0x1b4518900', u'26 UIFoundation 0x1b4494000 0x1b4514c08', u'27 UIFoundation 0x1b4494000 0x1b44963ac', u'28 UIKitCore 0x1b4575000 0x1b49a62b8', u'29 UIKitCore 0x1b4575000 0x1b49a59cc', u'30 QCloudCOSBrowser 0x1001b8000 0x1002c884c', u'31 UIKitCore 0x1b4575000 0x1b49aa090', u'32 UIKitCore 0x1b4575000 0x1b49a84c8', u'33 UIKitCore 0x1b4575000 0x1b4660880', u'34 UIKitCore 0x1b4575000 0x1b46607c4', u'35 UIKitCore 0x1b4575000 0x1b54051bc', u'36 UIKitCore 0x1b4575000 0x1b53f90e0', u'37 UIKitCore 0x1b4575000 0x1b53f8fc8', u'38 UIKitCore 0x1b4575000 0x1b54078d0', u'39 UIKitCore 0x1b4575000 0x1b531c398', u'40 UIKitCore 0x1b4575000 0x1b531ff1c', u'41 UIKitCore 0x1b4575000 0x1b531fcb4', u'42 UIKitCore 0x1b4575000 0x1b531febc', u'43 UIKitCore 0x1b4575000 0x1b5326fb4', u'44 UIKitCore 0x1b4575000 0x1b464bef0', u'45 UIKitCore 0x1b4575000 0x1b464e280', u'46 UIKitCore 0x1b4575000 0x1b533f4f8', u'47 UIKitCore 0x1b4575000 0x1b533f9c4', u'48 UIKitCore 0x1b4575000 0x1b533f8a8', u'49 Foundation 0x1b11a3000 0x1b11c9ffc', u'50 UIKitCore 0x1b4575000 0x1b533fbe4', u'51 UIKitCore 0x1b4575000 0x1b533f8a8', u'52 Foundation 0x1b11a3000 0x1b11c9ffc', u'53 UIKitCore 0x1b4575000 0x1b53400a0', u'54 UIKitCore 0x1b4575000 0x1b533ea74', u'55 UIKitCore 0x1b4575000 0x1b533fcd8', u'56 UIKitCore 0x1b4575000 0x1b5340b18', u'57 UIKitCore 0x1b4575000 0x1b53fa584', u'58 UIKitCore 0x1b4575000 0x1b48bf56c', u'59 UIKitCore 0x1b4575000 0x1b48bf7a0', u'60 UIKitCore 0x1b4575000 0x1b48d25b8', u'61 UIKitCore 0x1b4575000 0x1b48b59e0', u'62 UIKitCore 0x1b4575000 0x1b540e17c', u'63 QuartzCore 0x1b7825000 0x1b79762c0', u'64 QuartzCore 0x1b7825000 0x1b797c43c', u'65 QuartzCore 0x1b7825000 0x1b7987140', u'66 QuartzCore 0x1b7825000 0x1b78cf884', u'67 QuartzCore 0x1b7825000 0x1b78f9574', u'68 UIKitCore 0x1b4575000 0x1b4f8fac8', u'69 CoreFoundation 0x1b0dc7000 0x1b0e70834', u'70 CoreFoundation 0x1b0dc7000 0x1b0e6ffd4', u'71 CoreFoundation 0x1b0dc7000 0x1b0e6b250', u'72 CoreFoundation 0x1b0dc7000 0x1b0e6aadc', u'73 GraphicsServices 0x1bae08000 0x1bae0b328', u'74 UIKitCore 0x1b4575000 0x1b4f7863c', u'75 QCloudCOSBrowser 0x1001b8000 0x1002a991c', u'76 libdyld.dylib 0x1b0cf3000 0x1b0cf4360'], u'constructed_calls': []}, u'malloc_size': -1, u'malloc_count': -1, u'stack_type': u''}]}, {u'duration': 0.01666, u'threads': [{u'cpu_usage': -1, u'name': u'0', u'frame': {u'value': 0, u'name': u'17', u'calls': [u'1 libsystem_kernel.dylib 0x1b0cc5000 0x1b0ce9c94', u'2 libsystem_pthread.dylib 0x1b0c03000 0x1b0c0b094', u'3 libc++.1.dylib 0x1b0d2e000 0x1b0d3c840', u'4 Flutter 0x101ac0000 0x101afaae4', u'5 Flutter 0x101ac0000 0x101adf268', u'6 UIKitCore 0x1b4575000 0x1b540e354', u'7 QuartzCore 0x1b7825000 0x1b79762c0', u'8 QuartzCore 0x1b7825000 0x1b797c43c', u'9 QuartzCore 0x1b7825000 0x1b7987140', u'10 QuartzCore 0x1b7825000 0x1b78cf884', u'11 QuartzCore 0x1b7825000 0x1b78f9574', u'12 UIKitCore 0x1b4575000 0x1b4f8fac8', u'13 CoreFoundation 0x1b0dc7000 0x1b0e70834', u'14 CoreFoundation 0x1b0dc7000 0x1b0e6ffd4', u'15 CoreFoundation 0x1b0dc7000 0x1b0e6b250', u'16 CoreFoundation 0x1b0dc7000 0x1b0e6aadc', u'17 GraphicsServices 0x1bae08000 0x1bae0b328', u'18 UIKitCore 0x1b4575000 0x1b4f7863c', u'19 QCloudCOSBrowser 0x1001b8000 0x1002a991c', u'20 libdyld.dylib 0x1b0cf3000 0x1b0cf4360'], u'constructed_calls': []}, u'malloc_size': -1, u'malloc_count': -1, u'stack_type': u''}]}, {u'duration': 0.01666, u'threads': [{u'cpu_usage': -1, u'name': u'0', u'frame': {u'value': 0, u'name': u'18', u'calls': [u'1 libz.1.dylib 0x1e6308000 0x1e6313644', u'2 libz.1.dylib 0x1e6308000 0x1e631391c', u'3 ImageIO 0x1b166e000 0x1b1837fec', u'4 ImageIO 0x1b166e000 0x1b187a318', u'5 ImageIO 0x1b166e000 0x1b16e3818', u'6 ImageIO 0x1b166e000 0x1b16e31b8', u'7 ImageIO 0x1b166e000 0x1b16e2b70', u'8 ImageIO 0x1b166e000 0x1b16df2a0', u'9 ImageIO 0x1b166e000 0x1b16eb570', u'10 CoreGraphics 0x1b7c33000 0x1b7f29424', u'11 CoreGraphics 0x1b7c33000 0x1b7d2aa88', u'12 CoreGraphics 0x1b7c33000 0x1b7e93cf4', u'13 CoreGraphics 0x1b7c33000 0x1b7d2aa88', u'14 CoreGraphics 0x1b7c33000 0x1b7f18e8c', u'15 CoreGraphics 0x1b7c33000 0x1b7e06a1c', u'16 CoreGraphics 0x1b7c33000 0x1b7e04868', u'17 CoreGraphics 0x1b7c33000 0x1b7c359dc', u'18 CoreGraphics 0x1b7c33000 0x1b7e1f7bc', u'19 CoreGraphics 0x1b7c33000 0x1b7e0b4dc', u'20 QuartzCore 0x1b7825000 0x1b784c6a0', u'21 QuartzCore 0x1b7825000 0x1b784e864', u'22 QuartzCore 0x1b7825000 0x1b784f2d8', u'23 QuartzCore 0x1b7825000 0x1b7987568', u'24 QuartzCore 0x1b7825000 0x1b78cf890', u'25 QuartzCore 0x1b7825000 0x1b78f9574', u'26 UIKitCore 0x1b4575000 0x1b4f8fac8', u'27 CoreFoundation 0x1b0dc7000 0x1b0e70834', u'28 CoreFoundation 0x1b0dc7000 0x1b0e6ffd4', u'29 CoreFoundation 0x1b0dc7000 0x1b0e6b250', u'30 CoreFoundation 0x1b0dc7000 0x1b0e6aadc', u'31 GraphicsServices 0x1bae08000 0x1bae0b328', u'32 UIKitCore 0x1b4575000 0x1b4f7863c', u'33 QCloudCOSBrowser 0x1001b8000 0x1002a991c', u'34 libdyld.dylib 0x1b0cf3000 0x1b0cf4360'], u'constructed_calls': []}, u'malloc_size': -1, u'malloc_count': -1, u'stack_type': u''}]}, {u'duration': 0.01666, u'threads': [{u'cpu_usage': -1, u'name': u'0', u'frame': {u'value': 0, u'name': u'19', u'calls': [u'1 CoreGraphics 0x1b7c33000 0x1b7c5fc88', u'2 unkonwn 0x4', u'3 CoreGraphics 0x1b7c33000 0x1b7ea4764', u'4 CoreGraphics 0x1b7c33000 0x1b7e94390', u'5 CoreGraphics 0x1b7c33000 0x1b7d2a4c0', u'6 CoreGraphics 0x1b7c33000 0x1b7f191c0', u'7 CoreGraphics 0x1b7c33000 0x1b7dfdcd8', u'8 CoreGraphics 0x1b7c33000 0x1b7e085dc', u'9 CoreGraphics 0x1b7c33000 0x1b7e04868', u'10 CoreGraphics 0x1b7c33000 0x1b7c359dc', u'11 CoreGraphics 0x1b7c33000 0x1b7e1f7bc', u'12 CoreGraphics 0x1b7c33000 0x1b7e0b4dc', u'13 QuartzCore 0x1b7825000 0x1b784c6a0', u'14 QuartzCore 0x1b7825000 0x1b784e864', u'15 QuartzCore 0x1b7825000 0x1b784f2d8', u'16 QuartzCore 0x1b7825000 0x1b7987568', u'17 QuartzCore 0x1b7825000 0x1b78cf890', u'18 QuartzCore 0x1b7825000 0x1b78f9574', u'19 UIKitCore 0x1b4575000 0x1b4f8fac8', u'20 CoreFoundation 0x1b0dc7000 0x1b0e70834', u'21 CoreFoundation 0x1b0dc7000 0x1b0e6ffd4', u'22 CoreFoundation 0x1b0dc7000 0x1b0e6b250', u'23 CoreFoundation 0x1b0dc7000 0x1b0e6aadc', u'24 GraphicsServices 0x1bae08000 0x1bae0b328', u'25 UIKitCore 0x1b4575000 0x1b4f7863c', u'26 QCloudCOSBrowser 0x1001b8000 0x1002a991c', u'27 libdyld.dylib 0x1b0cf3000 0x1b0cf4360'], u'constructed_calls': []}, u'malloc_size': -1, u'malloc_count': -1, u'stack_type': u''}]}, {u'duration': 0.01666, u'threads': [{u'cpu_usage': -1, u'name': u'0', u'frame': {u'value': 0, u'name': u'20', u'calls': [u'1 CoreGraphics 0x1b7c33000 0x1b7c5fca0', u'2 unkonwn 0x4', u'3 CoreGraphics 0x1b7c33000 0x1b7ea4764', u'4 CoreGraphics 0x1b7c33000 0x1b7e94390', u'5 CoreGraphics 0x1b7c33000 0x1b7d2a4c0', u'6 CoreGraphics 0x1b7c33000 0x1b7f191c0', u'7 CoreGraphics 0x1b7c33000 0x1b7dfdcd8', u'8 CoreGraphics 0x1b7c33000 0x1b7e085dc', u'9 CoreGraphics 0x1b7c33000 0x1b7e04868', u'10 CoreGraphics 0x1b7c33000 0x1b7c359dc', u'11 CoreGraphics 0x1b7c33000 0x1b7e1f7bc', u'12 CoreGraphics 0x1b7c33000 0x1b7e0b4dc', u'13 QuartzCore 0x1b7825000 0x1b784c6a0', u'14 QuartzCore 0x1b7825000 0x1b784e864', u'15 QuartzCore 0x1b7825000 0x1b784f2d8', u'16 QuartzCore 0x1b7825000 0x1b7987568', u'17 QuartzCore 0x1b7825000 0x1b78cf890', u'18 QuartzCore 0x1b7825000 0x1b78f9574', u'19 UIKitCore 0x1b4575000 0x1b4f8fac8', u'20 CoreFoundation 0x1b0dc7000 0x1b0e70834', u'21 CoreFoundation 0x1b0dc7000 0x1b0e6ffd4', u'22 CoreFoundation 0x1b0dc7000 0x1b0e6b250', u'23 CoreFoundation 0x1b0dc7000 0x1b0e6aadc', u'24 GraphicsServices 0x1bae08000 0x1bae0b328', u'25 UIKitCore 0x1b4575000 0x1b4f7863c', u'26 QCloudCOSBrowser 0x1001b8000 0x1002a991c', u'27 libdyld.dylib 0x1b0cf3000 0x1b0cf4360'], u'constructed_calls': []}, u'malloc_size': -1, u'malloc_count': -1, u'stack_type': u''}]}, {u'duration': 0.01666, u'threads': [{u'cpu_usage': -1, u'name': u'0', u'frame': {u'value': 0, u'name': u'21', u'calls': [u'1 libobjc.A.dylib 0x1b0c14000 0x1b0c160ac', u'2 QCloudCOSBrowser 0x1001b8000 0x10023e684', u'3 QCloudCOSBrowser 0x1001b8000 0x1004dc3c8', u'4 CoreData 0x1b57b3000 0x1b5847bfc', u'5 CoreData 0x1b57b3000 0x1b593dd90', u'6 CoreData 0x1b57b3000 0x1b59173b0', u'7 CoreData 0x1b57b3000 0x1b5923a04', u'8 libdispatch.dylib 0x100e38000 0x100e3ebd8', u'9 libdispatch.dylib 0x100e38000 0x100e4d858', u'10 CoreData 0x1b57b3000 0x1b59147fc', u'11 CoreData 0x1b57b3000 0x1b57b7f90', u'12 QCloudCOSBrowser 0x1001b8000 0x1003a2338', u'13 QCloudCOSBrowser 0x1001b8000 0x1003a2174', u'14 QCloudCOSBrowser 0x1001b8000 0x1003a3c78', u'15 QCloudCOSBrowser 0x1001b8000 0x1003a3ee0', u'16 QCloudCOSBrowser 0x1001b8000 0x10038e500', u'17 QCloudCOSBrowser 0x1001b8000 0x10021b368', u'18 QCloudCOSBrowser 0x1001b8000 0x1002e55a8', u'19 QCloudCOSBrowser 0x1001b8000 0x1002ab1cc', u'20 CoreFoundation 0x1b0dc7000 0x1b0e4e288', u'21 CoreFoundation 0x1b0dc7000 0x1b0e4e2d0', u'22 CoreFoundation 0x1b0dc7000 0x1b0e4d630', u'23 CoreFoundation 0x1b0dc7000 0x1b0e4d2e8', u'24 CoreFoundation 0x1b0dc7000 0x1b0dc959c', u'25 CoreFoundation 0x1b0dc7000 0x1b0e4cc38', u'26 Foundation 0x1b11a3000 0x1b11a90c8', u'27 QCloudCOSBrowser 0x1001b8000 0x1003e50b8', u'28 libdispatch.dylib 0x100e38000 0x100e3d7fc', u'29 libdispatch.dylib 0x100e38000 0x100e3ebd8', u'30 libdispatch.dylib 0x100e38000 0x100e4cc34', u'31 CoreFoundation 0x1b0dc7000 0x1b0e705e4', u'32 CoreFoundation 0x1b0dc7000 0x1b0e6b5d8', u'33 CoreFoundation 0x1b0dc7000 0x1b0e6aadc', u'34 GraphicsServices 0x1bae08000 0x1bae0b328', u'35 UIKitCore 0x1b4575000 0x1b4f7863c', u'36 QCloudCOSBrowser 0x1001b8000 0x1002a991c', u'37 libdyld.dylib 0x1b0cf3000 0x1b0cf4360'], u'constructed_calls': []}, u'malloc_size': -1, u'malloc_count': -1, u'stack_type': u''}]}, {u'duration': 0.01666, u'threads': [{u'cpu_usage': -1, u'name': u'0', u'frame': {u'value': 0, u'name': u'22', u'calls': [u'1 FrontBoardServices 0x1b6019000 0x1b603e22c', u'2 libobjc.A.dylib 0x1b0c14000 0x1b0c190e8', u'3 libobjc.A.dylib 0x1b0c14000 0x1b0c2bd7c', u'4 CoreFoundation 0x1b0dc7000 0x1b0df820c', u'5 FrontBoardServices 0x1b6019000 0x1b603db00', u'6 FrontBoardServices 0x1b6019000 0x1b60495cc', u'7 libsystem_blocks.dylib 0x1b0ae5000 0x1b0ae5a48', u'8 libdispatch.dylib 0x100e38000 0x100e3f024', u'9 libsystem_blocks.dylib 0x1b0ae5000 0x1b0ae5a48', u'10 FrontBoardServices 0x1b6019000 0x1b606f1b8', u'11 FrontBoardServices 0x1b6019000 0x1b606f60c', u'12 CoreFoundation 0x1b0dc7000 0x1b0e70a00', u'13 CoreFoundation 0x1b0dc7000 0x1b0e70958', u'14 CoreFoundation 0x1b0dc7000 0x1b0e70140', u'15 CoreFoundation 0x1b0dc7000 0x1b0e6b23c', u'16 CoreFoundation 0x1b0dc7000 0x1b0e6aadc', u'17 GraphicsServices 0x1bae08000 0x1bae0b328', u'18 UIKitCore 0x1b4575000 0x1b4f7863c', u'19 QCloudCOSBrowser 0x1001b8000 0x1002a991c', u'20 libdyld.dylib 0x1b0cf3000 0x1b0cf4360'], u'constructed_calls': []}, u'malloc_size': -1, u'malloc_count': -1, u'stack_type': u''}]}]}, u'stage': u'others', u'rdmuuid': u'0', u'plugin': 2, u'region': u'\u6df1\u5733', u'p_id': 1820, u'apm_identify': u'd88f989f-9036-4fe2-bbd5-c01463f60460', u'device_classification': u'0', u'deviceid': u'EFE02E59-DD26-4D43-9EBB-BD35B871E137', u'is_vip': False, u'bread_crumb_id': u'', u'cputype': u'arm64', u'os': u'Version 13.3.1 (Build 17D50)'}

    print b.get('rawstack', None)


if __name__ == '__main__':
    restsql_test()
    # pandas_test()
    # pg_test()
    # jsontest()
